<?php

namespace App\Http\Controllers\Gateway\Alfalah;

use App\Models\Deposit;
use App\Models\User;
use App\Models\GatewayCurrency;
use App\Http\Controllers\Controller;
use App\Http\Controllers\Gateway\PaymentController;
use Auth;
use Illuminate\Http\Request;
use Carbon\Carbon;


class ProcessController extends Controller
{
    /*
     * Alfalah
     */

    public static function process($deposit)
    {
        
         $url = "https://sandbox.bankalfalah.com/HS/HS/HS";
	 
	 //$url = "https://payments.bankalfalah.com/HS/HS/HS";
       
        $Key1= "zZUqq8Qt2rS5rga2";
        $Key2= "5337950878617324";
        $HS_ChannelId="1001";
        $HS_MerchantId="4095" ;
        $HS_StoreId="012962" ;
        $HS_IsRedirectionRequest  = 0;
        $HS_ReturnURL="https://giftcard.xenio.in/ipn/alfalah";
        $HS_MerchantHash="OUU362MB1uoiisbHOz5L0I9lGs1L+GeqM9/NX5XmmgDjgOnBczbcwlL2y/BzO+D1";
        $HS_MerchantUsername="hebace" ;
        $HS_MerchantPassword="xKCJlT5Pv6hvFzk4yqF7CA==";
        $HS_TransactionReferenceNumber= $deposit->trx;
//        $transactionTypeId = "3";
//	 $TransactionAmount = "3";   
		
		   $cipher="aes-128-cbc";
	    
	    
        $mapString = 
          "HS_ChannelId=$HS_ChannelId" 
        . "&HS_IsRedirectionRequest=$HS_IsRedirectionRequest" 
        . "&HS_MerchantId=$HS_MerchantId" 
        . "&HS_StoreId=$HS_StoreId" 
        . "&HS_ReturnURL=$HS_ReturnURL"
        . "&HS_MerchantHash=$HS_MerchantHash"
        . "&HS_MerchantUsername=$HS_MerchantUsername"
        . "&HS_MerchantPassword=$HS_MerchantPassword"
        . "&HS_TransactionReferenceNumber=$HS_TransactionReferenceNumber";
        
     
        $cipher_text = openssl_encrypt($mapString, $cipher, $Key1, OPENSSL_RAW_DATA , $Key2);
        $hashRequest = base64_encode($cipher_text);
	
		
        
        //The data you want to send via POST
        $fields = [
            "HS_ChannelId"=>$HS_ChannelId,
            "HS_IsRedirectionRequest"=>$HS_IsRedirectionRequest,
            "HS_MerchantId"=> $HS_MerchantId,
            "HS_StoreId"=> $HS_StoreId,
            "HS_ReturnURL"=> $HS_ReturnURL,
            "HS_MerchantHash"=> $HS_MerchantHash,
            "HS_MerchantUsername"=> $HS_MerchantUsername,
            "HS_MerchantPassword"=> $HS_MerchantPassword,
            "HS_TransactionReferenceNumber"=> $HS_TransactionReferenceNumber,
            "HS_RequestHash"=> $hashRequest
        ];
        
        $fields_string = http_build_query($fields);
        
        //open connection
        $ch = curl_init();
        //set the url, number of POST vars, POST data
        curl_setopt($ch,CURLOPT_URL, $url);
        curl_setopt($ch,CURLOPT_POST, true);
        curl_setopt($ch,CURLOPT_POSTFIELDS, $fields_string);
        //So that curl_exec returns the contents of the cURL; rather than echoing it
        curl_setopt($ch,CURLOPT_RETURNTRANSFER, true); 
        //execute post
        $result = curl_exec($ch);
        
       $handshake =  json_decode($result);
       
        $AuthToken = $handshake->AuthToken;
      
   $RequestHash1 = NULL;
$Currency = "PKR";
$IsBIN =0;

$mapStringSSo = 
  "AuthToken=$AuthToken" 
. "&RequestHash=$RequestHash1" 
. "&ChannelId=$HS_ChannelId"
. "&Currency=$Currency"
. "&IsBIN=$IsBIN"
. "&ReturnURL=$HS_ReturnURL"
. "&MerchantId=$HS_MerchantId"
. "&StoreId=$HS_StoreId" 
. "&MerchantHash=$HS_MerchantHash"
. "&MerchantUsername=$HS_MerchantUsername"
. "&MerchantPassword=$HS_MerchantPassword"
. "&TransactionTypeId=3"
. "&TransactionReferenceNumber=$HS_TransactionReferenceNumber"
. "&TransactionAmount=$deposit->final_amo";

 $cipher_text = openssl_encrypt($mapStringSSo, $cipher, $Key1,   OPENSSL_RAW_DATA , $Key2);
$hashRequest1 = base64_encode($cipher_text);      

    $post_data = [
       
  "AuthToken" => $AuthToken, 
 "ChannelId"=>$HS_ChannelId,
 "Currency"=>$Currency,
 "ReturnURL"=>$HS_ReturnURL,
 "MerchantId"=>$HS_MerchantId,
 "StoreId"=>$HS_StoreId,
 "isBIN" => "0",
 "MerchantHash"=>$HS_MerchantHash,
 "MerchantUsername"=>$HS_MerchantUsername,
 "MerchantPassword"=>$HS_MerchantPassword,
 "TransactionTypeId"=>3,
 "TransactionReferenceNumber"=>$HS_TransactionReferenceNumber,
 "TransactionAmount"=>$deposit->final_amo,
  "RequestHash" => $hashRequest1,
        ];
      $pfields_string = $post_data;
        
        //open connection
       
        $send['url'] = 'https://sandbox.bankalfalah.com/SSO/SSO/SSO';
        $send['method'] = 'POST';
        $send['view'] = 'user.payment.redirect';
        $send['val'] = $pfields_string;   
        
        return json_encode($send,JSON_UNESCAPED_SLASHES);
    }

    

    public function ipn(Request $request)
    {
             
           
    
       if(isset($_GET['O'])){
        $deposit = Deposit::where('trx', $_GET['O'])->orderBy('id', 'DESC')->first();
        
        if ($request->RC != 00) {
        	$notify[] = ['error','Error Processing Payment'];
               
       	return redirect()->route(gatewayRedirectUrl())->withNotify($notify);
        }

        if($request->O == $deposit->trx && $request->status == 00){
			PaymentController::userDataUpdate($deposit->trx);
            $notify[] = ['success', 'Transaction is successful'];
            
           return redirect()->route('user.home')->withNotify($notify);
		}else{
			$notify[] = ['error','Payment failed'];
     	return redirect()->route(gatewayRedirectUrl())->withNotify($notify);
		}
		
    } else {
        $notify[] = ['error','Payment failed'];
       return redirect()->route(gatewayRedirectUrl(true))->withNotify($notify);
    }
    $notify[] = ['error','Payment failed'];
    return redirect()->route(gatewayRedirectUrl(true))->withNotify($notify);
    }
}
