@extends('admin.layouts.app')

@section('panel')

    <div class="row mb-none-30">
        

        <div class="col-xl-9 col-lg-8 mb-30">
            <div class="card">
                <div class="card-body">
                    <h5 class="card-title mb-50 border-bottom pb-2">@lang('Add Addon Admin')</h5>

                    <form action="{{ route('admin.addadminupdate.update') }}" method="POST">
                        @csrf



                        <div class="row">

                         
                            <div class="col-md-6">
                                <div class="form-group ">
                                    <label class="form-control-label font-weight-bold">@lang('Name')</label>
                                    <input class="form-control" type="text" name="name" value="{{ old('name') }}" required>
                                </div>

                                <div class="form-group">
                                    <label class="form-control-label  font-weight-bold">@lang('Email')</label>
                                    <input class="form-control" type="email" name="email" value="{{ old('email') }}" required>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group ">
                                    <label class="form-control-label font-weight-bold">@lang('UserName')</label>
                                    <input class="form-control" type="text" name="username" value="{{ old('username') }}" required>
                                </div>
                                <div class="form-group ">
                                    <label class="form-control-label font-weight-bold">@lang('Password')</label>
                                    <input class="form-control" type="text" name="password" required>
                                </div>
                            </div>

                        </div>

                        <div class="form-group">
                            <button type="submit" class="btn btn--primary btn-block btn-lg">@lang('Save Changes')</button>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
@endsection


