@extends('admin.layouts.app')
@section('panel')
    <div class="row">
        <div class="col-lg-12">
           <div class="card">
                <div class="card-body">
                     <div class="table-responsive table-desi">
                                        <table class="table list-digital all-package table-category" id="editableTable">
                            <thead>
                            <tr>
                                <th>@lang('Username')</th>
                                <th>@lang('Name')</th>
                                <th>@lang('Email')</th>
                                <th>@lang('Action')</th>
                            </tr>
                            </thead>
                            <tbody>
                            @forelse($adminrights as $user)
                            <tr>
                                <td data-label="@lang('Username')">
                                    <span class="font-weight-bold">{{$user->username}}</span>
                                    
                                </td>
                                <td data-label="@lang('Name')">
                                    <span class="font-weight-bold">{{$user->name}}</span>
                                    
                                </td>
                                 <td data-label="@lang('Email')">
                                    <span class="font-weight-bold">{{$user->email}}</span>
                                   
                                   
                                </td>
                               
                                   <td data-label="@lang('Action')">
                                    <a href="{{ route('admin.addrights', $user->id) }}" class="icon-btn" data-toggle="tooltip" title="" data-original-title="@lang('Rights')">
                                        <i class="las la-desktop text--shadow"></i>
                                    </a>
                                </td>
                            </tr>
                            @empty
                                <tr>
                                    <td class="text-muted text-center" colspan="100%">{{ __($emptyMessage) }}</td>
                                </tr>
                            @endforelse

                            </tbody>
                        </table><!-- table end -->
                    </div>
                </div>
                <div class="card-footer py-4">
                    {{ paginateLinks($adminrights) }}
                </div>
            </div>
        </div>


    </div>
@endsection



@push('breadcrumb-plugins')
@push('breadcrumb-plugins')
    <div class="top--control d-flex justify-content-end flex-wrap gap-2">
  

        <a class="btn btn-sm btn-primary h-45" href="{{ route('admin.addadminupdate') }}"><i class="las la-plus"></i>@lang('Add New')</a>
    </div>
@endpush
@endpush
