@extends('admin.layouts.app')

@section('panel')
    <!-- breadcrumb End -->
<!-- Account Section Starts Here -->
<div class="row">
    <div class="container">
            <div class="row mt-4">
                <div class="col-lg-6">
           
            <form class="account-form row g-4" action="{{route('admin.go2fa.verify')}}" method="POST">
                @csrf
                <div class="col-md-12">
                    <h5>@lang('2FA Verification')</h5>
                    <br/>
                    <p class="">@lang('Current Time'): {{\Carbon\Carbon::now()}}</p>
                </div>
                <div class="col-md-12">
                    <label for="code" class="form--label">@lang('Verification Code')</label>
                    <input type="text" name="code" id="code" class="form-control form--control">
                </div>
                <div class="col-md-12">
                    <button type="submit" class="btn btn-solid">@lang('Submit')</button>
                </div>
            </form>
        </div>
    </div>
          </div>
</div>
<!-- Account Section Ends Here -->

@endsection


@push('script')
<script>
    (function($){
        "use strict";
        $('#code').on('input change', function () {
          var xx = document.getElementById('code').value;

              $(this).val(function (index, value) {
                 value = value.substr(0,7);
                  return value.replace(/\W/gi, '').replace(/(.{3})/g, '$1 ');
              });

      });
    })(jQuery)
</script>
@endpush
