@extends('admin.layouts.master')
@section('content')
    <div class="page-wrapper">
        <div class="authentication-box">
            <div class="container">
                <div class="row">
                    <div class="col-md-5 p-0 card-left">
                        <div class="card bg-primary">
                            <div class="svg-icon">
                                <a href="{{ route('user.home') }}"><img src="{{getImage(imagePath()['logoIcon']['path'] .'/logo.png')}}"
                                    class="img-fluid blur-up lazyload" alt="" ></a>
                            </div>
<div class="single-item">
                                <div>
                                    <div>
                                        <h3>{{__($general->sitename)}}</h3>

                                    </div>
                                </div>


                            </div>
                       </div>
                              </div>

                    <div class="col-md-7 p-0 card-right">
                        <div class="card tab2-card card-login">
                            <div class="card-body">
                                <ul class="nav nav-tabs nav-material" id="top-tab" role="tablist">
                                    <li class="nav-item">
                                        <a class="nav-link active" id="top-profile-tab" data-bs-toggle="tab"
                                            href="#top-profile" role="tab" aria-controls="top-profile"
                                            aria-selected="true"><span class="icon-user me-2"></span>@lang('Account Recovery')</a>
                                    </li>

                                </ul>




                <form action="{{ route('admin.password.reset') }}" method="POST" class="cmn-form mt-30">
                    @csrf
                    <div class="form-group">
                        <label for="email">@lang('Email')</label>
                        <input type="email" name="email" class="form-control b-radius--capsule" id="username" value="{{ old('email') }}" placeholder="@lang('Enter your email')">
                        <i class="las la-user input-icon"></i>
                    </div>
                    <div class="form-group d-flex justify-content-between align-items-center">
                        <a href="{{ route('admin.login') }}" class="text-muted text--small"><i class="las la-lock"></i>@lang('Login Here')</a>
                    </div>
                    <div class="form-group">
                        <button type="submit" class="btn btn-primary">@lang('Send Code') <i class="las la-sign-in-alt"></i></button>
                    </div>
                </form>
            </div>
        </div><!-- login-area end -->
    </div>
                     </div>
          </div>
             </div>
         </div>



@endsection
