@extends('admin.layouts.app')
@extends('admin.layouts.master')
@section('panel')
      
        @if(@json_decode($general->sys_version)->message)
        <div class="row">
            @foreach(json_decode($general->sys_version)->message as $msg)
              <div class="col-md-12">
                  <div class="alert border border--primary" role="alert">
                      <div class="alert__icon bg--primary"><i class="far fa-bell"></i></div>
                      <p class="alert__message">@php echo $msg; @endphp</p>
                      <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                        <span aria-hidden="true">×</span>
                    </button>
                </div>
              </div>
            @endforeach
        </div>
        @endif
        <div class="row">
<div class="col-xxl-3 col-md-6 xl-50">
                            <div class="card o-hidden widget-cards">
                                <div class="warning-box card-body">
                                    <div class="media static-top-widget align-items-center">
                                        <div class="icons-widgets">
                                            <div class="align-self-center text-center">
                                                <i data-feather="navigation" class="font-warning"></i>
                                            </div>
                                        </div>
                                        <div class="media-body media-doller">
                                            <span class="m-0">@lang('Deposit')</span>
                                            <h3 class="mb-0"> {{$general->cur_text}} <span class="counter">{{showAmount($payment['total_deposit_amount'])}}</span>
                                            </h3>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
               <div class="col-xxl-3 col-md-6 xl-50">
                            <div class="card o-hidden widget-cards">
                                <div class="secondary-box card-body">
                                    <div class="media static-top-widget align-items-center">
                                        <div class="icons-widgets">
                                            <div class="align-self-center text-center">
                                                <i data-feather="box" class="font-secondary"></i>
                                            </div>
                                        </div>
                                        <div class="media-body media-doller">
                                            <span class="m-0">@lang('Charges')</span>
                                            <h3 class="mb-0"> {{$general->cur_text}} <span class="counter">{{showAmount($payment['total_deposit_charge'])}}</span>
                                            </h3>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
              <div class="col-xxl-3 col-md-6 xl-50">
                            <div class="card o-hidden widget-cards">
                                <div class="primary-box card-body">
                                    <div class="media static-top-widget align-items-center">
                                        <div class="icons-widgets">
                                            <div class="align-self-center text-center"><i data-feather="message-square"
                                                    class="font-primary"></i></div>
                                        </div>
                                        <div class="media-body media-doller"><span class="m-0">@lang('Awaited Deposit')</span>
                                            <h3 class="mb-0">{{$general->cur_text}} <span class="counter">{{$payment['total_deposit_pending']}}</span></h3>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
              <div class="col-xxl-3 col-md-6 xl-50">
                            <div class="card o-hidden widget-cards">
                                <div class="danger-box card-body">
                                    <div class="media static-top-widget align-items-center">
                                        <div class="icons-widgets">
                                            <div class="align-self-center text-center"><i data-feather="users"
                                                    class="font-danger"></i></div>
                                        </div>
                                        <div class="media-body media-doller"><span class="m-0">@lang('Users')</span>
                                            <h3 class="mb-0"><span class="counter">{{$widget['total_users']}}</span></h3>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
             <div class="col-xl-3 col-lg-6 col-sm-6 mb-30">
            <div class="dashboard-w1 bg--19 b-radius--10 box-shadow" >
                <div class="icon">
                    <i class="lab la-adversal"></i>
                </div>
                <div class="details">
                    <div class="numbers">
                        <span class="amount">{{$widget['totalAd']}}</span>
                    </div>
                    <div class="desciption">
                        <span>@lang('Total Adverts')</span>
                    </div>
                    <a href="{{route('admin.ad.index')}}" class="btn btn-sm text--small bg--white text--black box--shadow3 mt-3">@lang('View All')</a>
                </div>
            </div>
        </div>


        <div class="col-xl-3 col-lg-6 col-sm-6 mb-30">
            <div class="dashboard-w1 bg--3 b-radius--10 box-shadow" >
                <div class="icon">
                    <i class="las la-exchange-alt"></i>
                </div>
                <div class="details">
                    <div class="numbers">
                        <span class="amount">{{$widget['totalTrade']}}</span>
                    </div>
                    <div class="desciption">
                        <span>@lang('Total Trade')</span>
                    </div>
                    <a href="{{route('admin.trade.request.index')}}" class="btn btn-sm text--small bg--white text--black box--shadow3 mt-3">@lang('View All')</a>
                </div>
            </div>
        </div>

        <div class="col-xl-3 col-lg-6 col-sm-6 mb-30">
            <div class="dashboard-w1 bg--12 b-radius--10 box-shadow" >
                <div class="icon">
                    <i class="lab la-bitcoin"></i>
                </div>
                <div class="details">
                    <div class="numbers">
                        <span class="amount">{{$widget['totalCrypto']}}</span>
                    </div>
                    <div class="desciption">
                        <span>@lang('Total Crypto Currency')</span>
                    </div>

                    <a href="{{route('admin.crypto.index')}}" class="btn btn-sm text--small bg--white text--black box--shadow3 mt-3">@lang('View All')</a>
                </div>
            </div>
        </div>

        <div class="col-xl-3 col-lg-6 col-sm-6 mb-30">
            <div class="dashboard-w1 bg--6 b-radius--10 box-shadow">
                <div class="icon">
                    <i class="las la-coins"></i>
                </div>
                <div class="details">
                    <div class="numbers">
                        <span class="amount">{{$widget['totalFiat']}}</span>
                    </div>
                    <div class="desciption">
                        <span>@lang('Total Fiat Currency')</span>
                    </div>

                    <a href="{{route('admin.fiat.currency.index')}}" class="btn btn-sm text--small bg--white text--black box--shadow3 mt-3">@lang('View All')</a>
                </div>
            </div>
        </div>
            </div>
   
    <div class="row mb-none-30 mt-50">
        <div class="col-xl-12 col-md-12 mb-30">
            <h4>@lang('Loan Summary')</h4>
        </div>
        <div class="col-xl-3 col-sm-6 mb-30">
            <div class="dashboard-w1 bg--5 b-radius--10 box-shadow" >
                <div class="icon">
                    <i class="las la-redo"></i>
                </div>
                <div class="details">
                    <div class="numbers">
                        <span class="amount">{{ $widget['total_pending_loan'] }}</span>
                    </div>
                    <div class="desciption">
                        <span>@lang('Total Pending Loan')</span>
                    </div>
                    <a href="{{ route('admin.loan.pending') }}" class="btn btn-sm text--small bg--white text--black box--shadow3 mt-3">@lang('View All')</a>
                </div>
            </div>
        </div>

        <div class="col-xl-3 col-sm-6 mb-30">
            <div class="dashboard-w1 bg--warning b-radius--10 box-shadow" >
                <div class="icon">
                    <i class="las la-redo"></i>
                </div>
                <div class="details">
                    <div class="numbers">
                        <span class="amount">{{ $widget['total_running_loan'] }}</span>
                    </div>
                    <div class="desciption">
                        <span>@lang('Total Running Loan')</span>
                    </div>
                    <a href="{{ route('admin.loan.running') }}" class="btn btn-sm text--small bg--white text--black box--shadow3 mt-3">@lang('View All')</a>
                </div>
            </div>
        </div>

        <div class="col-xl-3 col-sm-6 mb-30">
            <div class="dashboard-w1 bg--red b-radius--10 box-shadow" >
                <div class="icon">
                    <i class="las la-redo"></i>
                </div>
                <div class="details">
                    <div class="numbers">
                        <span class="amount">{{ $widget['total_due_loan'] }}</span>
                    </div>
                    <div class="desciption">
                        <span>@lang('Total Due Loan')</span>
                    </div>
                    <a href="{{ route('admin.loan.due') }}" class="btn btn-sm text--small bg--white text--black box--shadow3 mt-3">@lang('View All')</a>
                </div>
            </div>
        </div>


        <div class="col-xl-3 col-sm-6 mb-30">
            <div class="dashboard-w1 bg--success b-radius--10 box-shadow" >
                <div class="icon">
                    <i class="las la-redo"></i>
                </div>
                <div class="details">
                    <div class="numbers">
                        <span class="amount">{{ $widget['total_paid_loan'] }}</span>
                    </div>
                    <div class="desciption">
                        <span>@lang('Total Paid Loan')</span>
                    </div>
                    <a href="{{ route('admin.loan.paid') }}" class="btn btn-sm text--small bg--white text--black box--shadow3 mt-3">@lang('View All')</a>
                </div>
            </div>
        </div>
    </div> 
    
     
     <div class="row mb-none-30 mt-50">
        <div class="col-xl-12 col-md-12 mb-30">
            <h4>@lang('DPS Summary')</h4>
        </div>
        <div class="col-xl-3 col-sm-6 mb-30">
            <div class="dashboard-w1 bg--18 b-radius--10 box-shadow" >
                <div class="icon">
                    <i class="las la-cloud"></i>
                </div>
                <div class="details">
                    <div class="numbers">
                        <span class="amount">{{ $widget['total_dps'] }}</span>
                    </div>
                    <div class="desciption">
                        <span>@lang('Total DPS')</span>
                    </div>
                    <a href="{{ route('admin.dps.index') }}" class="btn btn-sm text--small bg--white text--black box--shadow3 mt-3">@lang('View All')</a>
                </div>
            </div>
        </div>

        <div class="col-xl-3 col-sm-6 mb-30">
            <div class="dashboard-w1 bg--info b-radius--10 box-shadow" >
                <div class="icon">
                    <i class="las la-cloud"></i>
                </div>
                <div class="details">
                    <div class="numbers">
                        <span class="amount">{{ $widget['total_running_dps'] }}</span>
                    </div>
                    <div class="desciption">
                        <span>@lang('Total Running DPS')</span>
                    </div>
                    <a href="{{ route('admin.dps.running') }}" class="btn btn-sm text--small bg--white text--black box--shadow3 mt-3">@lang('View All')</a>
                </div>
            </div>
        </div>

        <div class="col-xl-3 col-sm-6 mb-30">
            <div class="dashboard-w1 bg--5 b-radius--10 box-shadow" >
                <div class="icon">
                    <i class="las la-cloud"></i>
                </div>
                <div class="details">
                    <div class="numbers">
                        <span class="amount">{{ $widget['total_due_dps'] }}</span>
                    </div>
                    <div class="desciption">
                        <span>@lang('Total Due DPS')</span>
                    </div>
                    <a href="{{ route('admin.dps.due') }}" class="btn btn-sm text--small bg--white text--black box--shadow3 mt-3">@lang('View All')</a>
                </div>
            </div>
        </div>

        <div class="col-xl-3 col-sm-6 mb-30">
            <div class="dashboard-w1 bg--success b-radius--10 box-shadow" >
                <div class="icon">
                    <i class="las la-cloud"></i>
                </div>
                <div class="details">
                    <div class="numbers">
                        <span class="amount">{{ @$widget['total_matured_dps'] }}</span>
                    </div>
                    <div class="desciption">
                        <span>@lang('Total Matured DPS')</span>
                    </div>
                    <a href="{{ route('admin.dps.matured') }}" class="btn btn-sm text--small bg--white text--black box--shadow3 mt-3">@lang('View All')</a>
                </div>
            </div>
        </div>


    </div>
      
         
     <div class="row mb-none-30 mt-50">
        <div class="col-xl-12 col-md-12 mb-30">
            <h4>@lang('FDR Summary')</h4>
        </div>
        <div class="col-xl-3 col-sm-6 mb-30">
            <div class="dashboard-w1 bg--10 b-radius--10 box-shadow" >
                <div class="icon">
                    <i class="las la-wave-square"></i>
                </div>
                <div class="details">
                    <div class="numbers">
                        <span class="amount">{{ $widget['total_fdr'] }}</span>
                    </div>
                    <div class="desciption">
                        <span>@lang('Total FDR')</span>
                    </div>
                    <a href="{{ route('admin.fdr.index') }}" class="btn btn-sm text--small bg--white text--black box--shadow3 mt-3">@lang('View All')</a>
                </div>
            </div>
        </div>

        <div class="col-xl-3 col-sm-6 mb-30">
            <div class="dashboard-w1 bg--6 b-radius--10 box-shadow" >
                <div class="icon">
                    <i class="las la-wave-square"></i>
                </div>
                <div class="details">
                    <div class="numbers">
                        <span class="amount">{{ $widget['total_running_fdr'] }}</span>
                    </div>
                    <div class="desciption">
                        <span>@lang('Running FDR')</span>
                    </div>
                    <a href="{{ route('admin.fdr.running') }}" class="btn btn-sm text--small bg--white text--black box--shadow3 mt-3">@lang('View All')</a>
                </div>
            </div>
        </div>

        <div class="col-xl-3 col-sm-6 mb-30">
            <div class="dashboard-w1 bg--9 b-radius--10 box-shadow" >
                <div class="icon">
                    <i class="las la-wave-square"></i>
                </div>
                <div class="details">
                    <div class="numbers">
                        <span class="amount">{{ @$widget['total_due_fdr'] }}</span>
                    </div>
                    <div class="desciption">
                        <span>@lang('Due FDR')</span>
                    </div>

                    <a href="{{ route('admin.fdr.due') }}" class="btn btn-sm text--small bg--white text--black box--shadow3 mt-3">@lang('View All')</a>
                </div>
            </div>
        </div>

        <div class="col-xl-3 col-sm-6 mb-30">
            <div class="dashboard-w1 bg--black b-radius--10 box-shadow" >
                <div class="icon">
                    <i class="las la-wave-square"></i>
                </div>
                <div class="details">
                    <div class="numbers">
                        <span class="amount">{{ @$widget['total_closed_fdr'] }}</span>
                    </div>
                    <div class="desciption">
                        <span>@lang('Closed FDR')</span>
                    </div>
                    <a href="{{ route('admin.fdr.closed') }}" class="btn btn-sm text--small bg--white text--black box--shadow3 mt-3">@lang('View All')</a>
                </div>
            </div>
        </div>



    </div>
  @if($cryptos->count())

    <div class="row mb-none-30 mt-50">
        <div class="col-xl-12 col-md-12 mb-30">
            <h4>@lang('Crypto Deposit Summary')</h4>
        </div>

        @foreach ($cryptos as $item)
            @php
                $totalDeposit =  App\Models\Deposit::where('crypto_id', $item->id)->where('status',1)->sum('amount');
                $totalDepositCharge =  App\Models\Deposit::where('crypto_id', $item->id)->where('status',1)->sum('charge');
            @endphp
            <div class="col-xl-4 col-md-6 mb-30">
                <div class="widget bb--3 border--primary b-radius--10 bg--white p-4 box--shadow2 has--link">
                    <a href="{{route('admin.deposit.successful')}}" class="item--link"></a>
                    <div class="widget__icon b-radius--rounded bg--primary display-4">{{__($item->symbol)}}</div>
                    <div class="widget__content">
                    <p class="text-uppercase text-muted">@lang('Total Deposit')</p>
                    <h3 class="text--primary font-weight-bold">{{showAmount($totalDeposit,8)}} {{__($item->code)}}</h3>
                    <p class="stat-down mt-10">
                        <span>@lang('Total Charge')</span>
                        <i class="fa fa-arrow-right"></i>
                        {{showAmount($totalDepositCharge,8)}} {{__($item->code)}}
                    </p>
                    </div>
                    <div class="widget__arrow">
                    <i class="fa fa-chevron-right"></i>
                    </div>
                </div><!-- widget end -->
            </div>
        @endforeach
    </div>


    <div class="row mb-none-30 mt-50">
        <div class="col-xl-12 col-md-12 mb-30">
            <h4>@lang('Withdrawal Summary')</h4>
        </div>

        @foreach ($cryptos as $item)
            @php
                $totalWithdrawal =  App\Models\Withdrawal::where('crypto_id', $item->id)->where('status',1)->sum('amount');
                $totalWithdrawalCharge =  App\Models\Withdrawal::where('crypto_id', $item->id)->where('status',1)->sum('charge');
            @endphp

            <div class="col-xl-4 col-md-6 mb-30">
                <div class="widget bb--3 border--info b-radius--10 bg--white p-4 box--shadow2 has--link">
                <a href="{{route('admin.withdraw.approved')}}" class="item--link"></a>
                <div class="widget__icon b-radius--rounded bg--info display-4">{{__($item->symbol)}}</div>
                <div class="widget__content">
                    <p class="text-uppercase text-muted">@lang('Total Withdrawal')</p>
                    <h3 class="text--info font-weight-bold">{{showAmount($totalWithdrawal,8)}} {{__($item->code)}}</h3>
                    <p class="stat-down mt-10">
                        <span>@lang('Total Charge')</span>
                        <i class="fa fa-arrow-right"></i>
                        {{showAmount($totalWithdrawalCharge,8)}} {{__($item->code)}}
                    </p>
                </div>
                <div class="widget__arrow">
                    <i class="fa fa-chevron-right"></i>
                </div>
                </div><!-- widget end -->
            </div>
        @endforeach
    </div>
    @endif

    <div class="row mt-50 mb-none-30">
       
    </div>


    <div class="row mt-50">
        <div class="col-xl-6 mb-30">
            <div class="card">
                <div class="card-body">
                    <h5 class="card-title">@lang('Monthly Deposit Report')</h5>
                    <div id="apex-bar-chart"> </div>
                </div>
            </div>
        </div>
        
    
        <div class="col-xl-6 mb-30">
            <div class="card">
                <div class="card-body">
                    <h5 class="card-title">@lang('Last 30 days Deposit History')</h5>
                    <div id="deposit-line"></div>
                </div>
            </div>
        </div>
    </div>

<!--    <div class="row mb-none-30 mt-5">
        <div class="col-xl-4 col-lg-6 mb-30">
            <div class="card overflow-hidden">
                <div class="card-body">
                    <h5 class="card-title">@lang('Login By Browser')</h5>
                    <canvas id="userBrowserChart"></canvas>
                </div>
            </div>
        </div>
        <div class="col-xl-4 col-lg-6 mb-30">
            <div class="card">
                <div class="card-body">
                    <h5 class="card-title">@lang('Login By OS')</h5>
                    <canvas id="userOsChart"></canvas>
                </div>
            </div>
        </div>
        <div class="col-xl-4 col-lg-6 mb-30">
            <div class="card">
                <div class="card-body">
                    <h5 class="card-title">@lang('Login By Country')</h5>
                    <canvas id="userCountryChart"></canvas>
                </div>
            </div>
        </div>
    </div>-->
@endsection
    </div>
                    </div>
@push('script')

    <script src="{{asset('assets/admin/js/vendor/apexcharts.min.js')}}"></script>
    <script src="{{asset('assets/admin/js/vendor/chart.js.2.8.0.js')}}"></script>

    <script>
        "use strict";
        // apex-bar-chart js
        var options = {
            series: [{
                name: 'Total Deposit',
                data: [
                  @foreach($months as $month)
                    {{ getAmount(@$depositsMonth->where('months',$month)->first()->depositAmount) }},
                  @endforeach
                ]
            }],
            chart: {
                type: 'bar',
                height: 400,
                toolbar: {
                    show: false
                }
            },
            plotOptions: {
                bar: {
                    horizontal: false,
                    columnWidth: '50%',
                    endingShape: 'rounded'
                },
            },
            dataLabels: {
                enabled: false
            },
            stroke: {
                show: true,
                width: 2,
                colors: ['transparent']
            },
            xaxis: {
                categories: @json($months),
            },
            yaxis: {
                title: {
                    text: "{{__($general->cur_sym)}}",
                    style: {
                        color: '#7c97bb'
                    }
                }
            },
            grid: {
                xaxis: {
                    lines: {
                        show: false
                    }
                },
                yaxis: {
                    lines: {
                        show: false
                    }
                },
            },
            fill: {
                opacity: 1
            },
            tooltip: {
                y: {
                    formatter: function (val) {
                        return "{{__($general->cur_sym)}}" + val + " "
                    }
                }
            }
        };

        var chart = new ApexCharts(document.querySelector("#apex-bar-chart"), options);
        chart.render();

         // apex-line chart
            var options = {
                chart: {
                    height: 430,
                    type: "area",
                    toolbar: {
                        show: false
                    },
                    dropShadow: {
                        enabled: true,
                        enabledSeries: [0],
                        top: -2,
                        left: 0,
                        blur: 10,
                        opacity: 0.08
                    },
                    animations: {
                        enabled: true,
                        easing: 'linear',
                        dynamicAnimation: {
                            speed: 1000
                        }
                    },
                },
                 colors: ['#00E396', '#0090FF'],
                dataLabels: {
                    enabled: false
                },
                series: [
                    {
                        name: "Series 1",
                        data: @json($deposits['per_day_amount']->flatten())
                    }
                ],
                fill: {
                    type: "gradient",
                    gradient: {
                        shadeIntensity: 1,
                        opacityFrom: 0.7,
                        opacityTo: 0.9,
                        stops: [0, 90, 100]
                    }
                },
                xaxis: {
                    categories: @json($deposits['per_day']->flatten())
                },
                grid: {
                    padding: {
                        left: 5,
                        right: 5
                    },
                    xaxis: {
                        lines: {
                            show: false
                        }
                    },
                    yaxis: {
                        lines: {
                            show: false
                        }
                    },
                },
            };

            var chart = new ApexCharts(document.querySelector("#deposit-line"), options);

            chart.render();

        var ctx = document.getElementById('userBrowserChart');
        var myChart = new Chart(ctx, {
            type: 'doughnut',
            data: {
                labels: @json($chart['user_browser_counter']->keys()),
                datasets: [{
                    data: {{ $chart['user_browser_counter']->flatten() }},
                    backgroundColor: [
                        '#ff7675',
                        '#6c5ce7',
                        '#ffa62b',
                        '#ffeaa7',
                        '#D980FA',
                        '#fccbcb',
                        '#45aaf2',
                        '#05dfd7',
                        '#FF00F6',
                        '#1e90ff',
                        '#2ed573',
                        '#eccc68',
                        '#ff5200',
                        '#cd84f1',
                        '#7efff5',
                        '#7158e2',
                        '#fff200',
                        '#ff9ff3',
                        '#08ffc8',
                        '#3742fa',
                        '#1089ff',
                        '#70FF61',
                        '#bf9fee',
                        '#574b90'
                    ],
                    borderColor: [
                        'rgba(231, 80, 90, 0.75)'
                    ],
                    borderWidth: 0,

                }]
            },
            options: {
                aspectRatio: 1,
                responsive: true,
                maintainAspectRatio: true,
                elements: {
                    line: {
                        tension: 0 // disables bezier curves
                    }
                },
                scales: {
                    xAxes: [{
                        display: false
                    }],
                    yAxes: [{
                        display: false
                    }]
                },
                legend: {
                    display: false,
                }
            }
        });



        var ctx = document.getElementById('userOsChart');
        var myChart = new Chart(ctx, {
            type: 'doughnut',
            data: {
                labels: @json($chart['user_os_counter']->keys()),
                datasets: [{
                    data: {{ $chart['user_os_counter']->flatten() }},
                    backgroundColor: [
                        '#ff7675',
                        '#6c5ce7',
                        '#ffa62b',
                        '#ffeaa7',
                        '#D980FA',
                        '#fccbcb',
                        '#45aaf2',
                        '#05dfd7',
                        '#FF00F6',
                        '#1e90ff',
                        '#2ed573',
                        '#eccc68',
                        '#ff5200',
                        '#cd84f1',
                        '#7efff5',
                        '#7158e2',
                        '#fff200',
                        '#ff9ff3',
                        '#08ffc8',
                        '#3742fa',
                        '#1089ff',
                        '#70FF61',
                        '#bf9fee',
                        '#574b90'
                    ],
                    borderColor: [
                        'rgba(0, 0, 0, 0.05)'
                    ],
                    borderWidth: 0,

                }]
            },
            options: {
                aspectRatio: 1,
                responsive: true,
                elements: {
                    line: {
                        tension: 0 // disables bezier curves
                    }
                },
                scales: {
                    xAxes: [{
                        display: false
                    }],
                    yAxes: [{
                        display: false
                    }]
                },
                legend: {
                    display: false,
                }
            },
        });


        // Donut chart
        var ctx = document.getElementById('userCountryChart');
        var myChart = new Chart(ctx, {
            type: 'doughnut',
            data: {
                labels: @json($chart['user_country_counter']->keys()),
                datasets: [{
                    data: {{ $chart['user_country_counter']->flatten() }},
                    backgroundColor: [
                        '#ff7675',
                        '#6c5ce7',
                        '#ffa62b',
                        '#ffeaa7',
                        '#D980FA',
                        '#fccbcb',
                        '#45aaf2',
                        '#05dfd7',
                        '#FF00F6',
                        '#1e90ff',
                        '#2ed573',
                        '#eccc68',
                        '#ff5200',
                        '#cd84f1',
                        '#7efff5',
                        '#7158e2',
                        '#fff200',
                        '#ff9ff3',
                        '#08ffc8',
                        '#3742fa',
                        '#1089ff',
                        '#70FF61',
                        '#bf9fee',
                        '#574b90'
                    ],
                    borderColor: [
                        'rgba(231, 80, 90, 0.75)'
                    ],
                    borderWidth: 0,

                }]
            },
            options: {
                aspectRatio: 1,
                responsive: true,
                elements: {
                    line: {
                        tension: 0 // disables bezier curves
                    }
                },
                scales: {
                    xAxes: [{
                        display: false
                    }],
                    yAxes: [{
                        display: false
                    }]
                },
                legend: {
                    display: false,
                }
            }
        });

    </script>
@endpush
