@extends('admin.layouts.app')
@section('panel')

 <div class="row mt-4">
          <div class="col-12">
                        <div class="card">
                            <div class="card-header">
                                <h4 class="card-title">List of Closed Loop Cards</h4>
                                <p class="text-info">Use QR code to print physical cards</p>
                            </div>
										
									
                                                                    
									   <div class="card-body">
										
											<div class="table-responsive--lg">
                                <table class="table custom--table">
                                                                                                    <thead class="bg-dark text-white">
                                                                                                        <tr>
                                                                                                            <th class="text-white">User</th>
                                                                                                            <th class="text-white">Card Details</th>
                                                                                                          <th class="text-white">QR</th>
                                                                                                          <th class="text-white">Physical</th>
                                                                                                              
                                                                                                    </tr>
                                                                                                    </thead>	
                                                                                                    <tbody>
                                                                                                            
                                                                                                            <?php
                                                                                                            
                                                                 
   
   foreach($cards as $buser){
        
                                                                                                            
                                                 
                                                    ?>
														<tr>
                                                                                                                    <td>{{ $buser->user->username }}</td>
                                                                                                                    
                                                                                                                    <td style="text-align: left;">
                                                                                                                        <p class="mb-0" style='color:black;'>@lang('Name'): <span class="fs-16 font-w600 mb-0" style='color:gray;'>{{ $buser->name_on_card}}</span></p>
                                                                                                                                <p class="mb-0" style='color:black;'>@lang('Card Number'): <span class="fs-16 font-w600 mb-0" style='color:gray;'>{{ $buser->card_pan}}</span></p>
                                                                                                                                <p class="mb-0" style='color:black;'>@lang('Exp'): <span class="fs-16 font-w600 mb-0" style='color:gray;'>{{ $buser->expiration}}</span></p>
                                                                                                                                <p class="mb-0" style='color:black;'>@lang('CVV'): <span class="fs-16 font-w600 mb-0" style='color:gray;'>{{ $buser->cvv}}</span></p>
																
															</td>
                                                                                                                      
                                                                                                                      
                                                                                                                          <td>
                                                                                                                              @php
                                                                                                                              $qr = array(
   "card_hash" => $buser->card_hash,
   "cvv" => $buser->cvv,
   "expiration" => $buser->expiration,
   "name_on_card" => $buser->name_on_card
   
   );
   $qrimg = json_encode($qr);
                                                                                                                              @endphp
                                                                                                                               <a href="https://api.qrserver.com/v1/create-qr-code/?size=300x300&bgcolor=bdbdbd&data={{ $qrimg }}" data-lightbox="{{ $buser->card_hash }}">
                                                                                                                               <img src="https://api.qrserver.com/v1/create-qr-code/?size=100x100&bgcolor=bdbdbd&data={{ $qrimg }}"></a>
																
															</td>
                                                                                                                        
                                                                                                                        
                                                                                                                        <td style="text-align: left;">
                                                                                                                            @if($general->physical)
                                                                                                                            @if($buser->physical != null || $buser->physical != 0 )
                                                                                                                            <p class="mb-0">Physical Issuance Status: <span style="text-transform:uppercase; color: black">{{ $buser->ship_status }}</span></p>
                                                                                                                            <p class="mb-0">{{ $buser->address }}, {{ $buser->city }}, {{ $buser->state }}, {{ $buser->country }}, {{ $buser->zip }}</p>
                                                                                                                           
                                                                                                                            <form class="mt-2" method="POST" action="{{ route('admin.dc.update',$buser->id ) }}">
                                                                                                                                @csrf
                                                                                                                                <input type="hidden" name="cardid" value="{{ $buser->id }}">
                                                                                                                                <div class="row">
                                                                                                                                <div class="form-group col-md-3">
                                                                                                                                     <label class="form-control-label font-weight-bold"> @lang('Status')</label>
                                                                    <select class="select2-basic" name="ship_status" required>  
                                                                        <option value="">Please Select</option>
                                                                        <option value="process">In Process</option>
                                                                        <option value="printing">Printing</option>
                                                                        <option value="shipped">Shipped</option>
                                                                    </select>
                          
                                                                                                                                </div>
                                                                                                                                <div class="form-group col-md-3 offset-1">
                                                                                                                                  
                            <button type="submit" class="btn btn--primary btn-block btn-sm">@lang('Update')</button>
                        
                                                                                                                                </div>
                                                                                                                                    </div>
                                                                                                                            </form>
                                                                                                                             @endif
                                                                                                                            @endif
                                                                                                                        </td>
                                                                                                                        
                                                                                                                        
                                                                                                                        
                                                                                                                                                                                                                                 
														</tr>
       <?php } ?>
   
													<tbody>
												</table>
											</div>
										</div>
										
									</div>
								</div>
    </div>

@stop

@push('script')

<script src="https://cdnjs.cloudflare.com/ajax/libs/lightbox2/2.11.3/js/lightbox.min.js" integrity="sha512-k2GFCTbp9rQU412BStrcD/rlwv1PYec9SNrkbQlo6RZCf75l6KcC3UwDY8H5n5hl4v77IDtIPwOk9Dqjs/mMBQ==" crossorigin="anonymous" referrerpolicy="no-referrer"></script>
<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/lightbox2/2.11.3/css/lightbox.min.css" integrity="sha512-ZKX+BvQihRJPA8CROKBhDNvoc2aDMOdAlcm7TUQY+35XYtrd3yh95QOOhsPDQY9QnKE0Wqag9y38OIgEvb88cA==" crossorigin="anonymous" referrerpolicy="no-referrer" />


@endpush

