@extends('admin.layouts.app')
@section('panel')
    <div class="row">
        <div class="col-xl-12">
            <div class="card b-radius--10 ">
                <div class="card-header col-xl-12">
                    <h5 class="title">Confirm User Data Deletion</h5><br>
                    <p class="text-danger">All User Data Will Be Deleted, Action Cannot Be Reversed</p>
                </div>
              <div class="card-body mb-4">
                   <form action="{{ route('admin.deldemodata') }}" method="POST" onclick="return confirm('Are you sure you want to delete all user data? Action Cannot Be Reversed');">
                    @csrf
                  <button type="submit" class="btn btn-danger">Confirm</button>
              </div>
                <div class="card-footer">
                    <h4 class="text-danger">All User Data Will Be Deleted, Action Cannot Be Reversed</h4>
                </div>
            </div>
        </div>
    </div>
@endsection
@push('style')
<style>
  td{
    font-size: 22px !important;
  }
  .table td {
      white-space: nowrap;
  }
</style>
@endpush