<!-- meta tags and other links -->
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>{{ $general->sitename($pageTitle ?? '') }}</title>
    <!-- site favicon -->
    <link rel="shortcut icon" type="image/png" href="{{getImage(imagePath()['logoIcon']['path'] .'/favicon.png')}}">
    <link rel="stylesheet" href="https://fonts.googleapis.com/css2?family=Montserrat:wght@300;400;500;600;700&display=swap">
    
    <!-- NEW ADMIN -->
    <link rel="stylesheet"
        href="https://fonts.googleapis.com/css2?family=Work+Sans:ital,wght@0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,500;1,600;1,700;1,800;1,900&display=swap">

    <link rel="stylesheet"
        href="https://fonts.googleapis.com/css2?family=Nunito:ital,wght@0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap">


    <!-- Font Awesome-->
    <link rel="stylesheet" type="text/css" href="{{ asset('assets/newadmin/css/vendors/font-awesome.css') }}">

    <!-- Flag icon-->
    <link rel="stylesheet" type="text/css" href="{{ asset('assets/newadmin/css/vendors/flag-icon.css') }}">

    <!-- ico-font-->
    <link rel="stylesheet" type="text/css" href="{{ asset('assets/newadmin/css/vendors/icofont.css') }}">

    <!-- Prism css-->
    <link rel="stylesheet" type="text/css" href="{{ asset('assets/newadmin/css/vendors/prism.css') }}">

    <!-- Chartist css -->
    <link rel="stylesheet" type="text/css" href="{{ asset('assets/newadmin/css/vendors/chartist.css') }}">

    <!-- Bootstrap css-->
    <link rel="stylesheet" type="text/css" href="{{ asset('assets/newadmin/css/vendors/bootstrap.css') }}">
     <link rel="stylesheet" href="{{asset('assets/admin/css/vendor/bootstrap-toggle.min.css')}}">
 <link rel="stylesheet" href="{{asset('assets/admin/css/vendor/select2.min.css')}}">
    <!-- App css-->
    <link rel="stylesheet" href="{{asset('assets/admin/css/app.css')}}">
    <link rel="stylesheet" type="text/css" href="{{ asset('assets/newadmin/css/style.css') }}">
  
    <link rel="stylesheet" href="{{asset('assets/admin/css/line-awesome.min.css')}}">
    
    
        <!-- NEW ADMIN -->
    <!-- bootstrap 4  -->
<!--    <link rel="stylesheet" href="{{ asset('assets/admin/css/vendor/bootstrap.min.css') }}">
     bootstrap toggle css 
    <link rel="stylesheet" href="{{asset('assets/admin/css/vendor/bootstrap-toggle.min.css')}}">
     fontawesome 5  
    <link rel="stylesheet" href="{{asset('assets/admin/css/all.min.css')}}">
     line-awesome webfont 
    <link rel="stylesheet" href="{{asset('assets/admin/css/line-awesome.min.css')}}">-->

    @stack('style-lib')

<!--     custom select box css 
    <link rel="stylesheet" href="{{asset('assets/admin/css/vendor/nice-select.css')}}">
     code preview css 
    <link rel="stylesheet" href="{{asset('assets/admin/css/vendor/prism.css')}}">
     select 2 css 
    <link rel="stylesheet" href="{{asset('assets/admin/css/vendor/select2.min.css')}}">
     jvectormap css 
    <link rel="stylesheet" href="{{asset('assets/admin/css/vendor/jquery-jvectormap-2.0.5.css')}}">
     datepicker css 
    <link rel="stylesheet" href="{{asset('assets/admin/css/vendor/datepicker.min.css')}}">
     timepicky for time picker css 
    <link rel="stylesheet" href="{{asset('assets/admin/css/vendor/jquery-timepicky.css')}}">
     bootstrap-clockpicker css 
    <link rel="stylesheet" href="{{asset('assets/admin/css/vendor/bootstrap-clockpicker.min.css')}}">
     bootstrap-pincode css 
    <link rel="stylesheet" href="{{asset('assets/admin/css/vendor/bootstrap-pincode-input.css')}}">-->
    <!-- dashdoard main css -->
<!--    -->


    @stack('style')
</head>
<body>
@yield('content')



<!-- jQuery library -->
<script src="{{ asset('assets/newadmin/js/jquery-3.3.1.min.js') }}"></script>

 
<script src="{{asset('assets/admin/js/vendor/bootstrap.bundle.min.js')}}"></script>
 
<script src="{{asset('assets/admin/js/vendor/bootstrap-toggle.min.js')}}"></script>

 
<script src="{{asset('assets/admin/js/vendor/jquery.slimscroll.min.js')}}"></script>

<script src="{{asset('assets/admin/js/vendor/jquery.nice-select.min.js')}}"></script>

<script src="{{asset('assets/admin/js/vendor/select2.min.js')}}"></script>
@include('partials.notify')
@stack('script-lib')

<script src="{{ asset('assets/admin/js/nicEdit.js') }}"></script>

<!-- code preview js -->
<!--<script src="{{asset('assets/admin/js/vendor/prism.js')}}"></script>
 seldct 2 js 
-->
<!-- main js -->
<script src="{{asset('assets/admin/js/app.js')}}"></script>
<script src="{{ asset('assets/admin/js/cuModal.js') }}"></script>
 <!-- latest jquery-->
<!--    <script src="{{ asset('assets/newadmin/js/jquery-3.3.1.min.js') }}"></script>

     Bootstrap js
    <script src="{{ asset('assets/newadmin/js/bootstrap.bundle.min.js') }}"></script>-->

    <!-- feather icon js-->
    <script src="{{ asset('assets/newadmin/js/icons/feather-icon/feather.min.js') }}"></script>
    <script src="{{ asset('assets/newadmin/js/icons/feather-icon/feather-icon.js') }}"></script>

    <!-- Sidebar jquery-->
    <script src="{{ asset('assets/newadmin/js/sidebar-menu.js') }}"></script>

    <!--chartist js-->
    <script src="{{ asset('assets/newadmin/js/chart/chartist/chartist.js') }}"></script>

    <!--chartjs js-->
    <script src="{{ asset('assets/newadmin/js/chart/chartjs/chart.min.js') }}"></script>

    <!-- lazyload js-->
    <script src="{{ asset('assets/newadmin/js/lazysizes.min.js') }}"></script>

    <!--copycode js-->
    <script src="{{ asset('assets/newadmin/js/prism/prism.min.js') }}"></script>
    <script src="{{ asset('assets/newadmin/js/clipboard/clipboard.min.js') }}"></script>
    <script src="{{ asset('assets/newadmin/js/custom-card/custom-card.js') }}"></script>

    <!--counter js-->
    <script src="{{ asset('assets/newadmin/js/counter/jquery.waypoints.min.js') }}"></script>
    <script src="{{ asset('assets/newadmin/js/counter/jquery.counterup.min.js') }}"></script>
    <script src="{{ asset('assets/newadmin/js/counter/counter-custom.js') }}"></script>

    <!--peity chart js-->
    <script src="{{ asset('assets/newadmin/js/chart/peity-chart/peity.jquery.js') }}"></script>

    <!-- Apex Chart Js -->
    <script src="https://cdn.jsdelivr.net/npm/apexcharts"></script>

    <!--sparkline chart js-->
    <script src="{{ asset('assets/newadmin/js/chart/sparkline/sparkline.js') }}"></script>

    <!--Customizer admin-->
  <script src="{{ asset('assets/newadmin/js/admin-customizer.js') }}"></script>

    <!--dashboard custom js-->
    <script src="{{ asset('assets/newadmin/js/dashboard/default.js') }}"></script>

    <!--right sidebar js-->
    <script src="{{ asset('assets/newadmin/js/chat-menu.js') }}"></script>

    <!--height equal js-->
    <script src="{{ asset('assets/newadmin/js/height-equal.js') }}"></script>

    <!-- lazyload js-->
    <script src="{{ asset('assets/newadmin/js/lazysizes.min.js') }}"></script>

    <!--script admin-->
    <script src="{{ asset('assets/newadmin/js/admin-script.js') }}"></script>
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.css" integrity="sha512-5A8nwdMOWrSz20fDsjczgUidUBR8liPYU+WymTZP1lmY9G6Oc7HlZv156XqnsgNUzTyMefFTcsFH/tnJE/+xBg==" crossorigin="anonymous" referrerpolicy="no-referrer" />

	<script type="text/javascript" language="javascript" src="https://cdn.datatables.net/1.12.1/js/jquery.dataTables.min.js"></script>
	<script type="text/javascript" language="javascript" src="https://cdn.datatables.net/1.12.1/js/dataTables.bootstrap4.min.js"></script>
	<script type="text/javascript" language="javascript" src="https://cdn.datatables.net/buttons/2.2.3/js/dataTables.buttons.min.js"></script>
	<script type="text/javascript" language="javascript" src="https://cdn.datatables.net/buttons/2.2.3/js/buttons.bootstrap4.min.js"></script>
	<script type="text/javascript" language="javascript" src="https://cdnjs.cloudflare.com/ajax/libs/jszip/3.1.3/jszip.min.js"></script>
	<script type="text/javascript" language="javascript" src="https://cdnjs.cloudflare.com/ajax/libs/pdfmake/0.1.53/pdfmake.min.js"></script>
	<script type="text/javascript" language="javascript" src="https://cdnjs.cloudflare.com/ajax/libs/pdfmake/0.1.53/vfs_fonts.js"></script>
	<script type="text/javascript" language="javascript" src="https://cdn.datatables.net/buttons/2.2.3/js/buttons.html5.min.js"></script>
	<script type="text/javascript" language="javascript" src="https://cdn.datatables.net/buttons/2.2.3/js/buttons.print.min.js"></script>
	<script type="text/javascript" language="javascript" src="https://cdn.datatables.net/buttons/2.2.3/js/buttons.colVis.min.js"></script>
    
    {{-- LOAD NIC EDIT --}}
<script>
    "use strict";
    bkLib.onDomLoaded(function() {
        $( ".nicEdit" ).each(function( index ) {
            $(this).attr("id","nicEditor"+index);
            new nicEditor({fullPanel : true}).panelInstance('nicEditor'+index,{hasPanel : true});
        });
    });
    (function($){
        $( document ).on('mouseover ', '.nicEdit-main,.nicEdit-panelContain',function(){
            $('.nicEdit-main').focus();
        });
    })(jQuery);
</script>
<script>
$(document).ready(function() {
$('#daTable').DataTable( {
        dom: 'Bfrtip',
         paging: false,
        buttons: [
            'copyHtml5',
            'excelHtml5',
            'csvHtml5',
            'pdfHtml5'
        ]
    } );
} );
</script><!-- -->
@stack('script')


</body>
</html>
