@extends('admin.layouts.app')
@section('panel')
<style>
    .toggle.ios, .toggle-on.ios, .toggle-off.ios { border-radius: 20px; }
    .toggle.ios .toggle-handle { border-radius: 20px; }
  </style>
    <div class="row mb-none-30">
        <div class="col-lg-12 col-md-12 mb-30">
            <div class="card">
                <div class="card-body">
                    <form action="" method="POST">
                        @csrf
                        
                        <div class="row">
                            
                             <div class="form-group col-lg-2 col-sm-6 col-md-4">
                                <label class="form-control-label font-weight-bold w-100">@lang('Crypto Functions')</label>
                                <input type="checkbox"  data-style="ios" data-size="normal" data-onstyle="-success" data-offstyle="-danger" data-toggle="toggle" data-on="@lang('On')" data-off="@lang('Off')" name="crypto" @if($general->crypto) checked @endif>
                            </div>
                            
                            <div class="form-group col-lg-2 col-sm-6 col-md-4">
                                <label class="form-control-label font-weight-bold w-100">@lang('Livitpay Mastercard')</label>
                                <input type="checkbox"  data-style="ios" data-size="normal" data-onstyle="-success" data-offstyle="-danger" data-toggle="toggle" data-on="@lang('On')" data-off="@lang('Off')" name="livitpay" @if($general->livitpay) checked @endif>
                            </div>
                            
                             <div class="form-group col-lg-2 col-sm-6 col-md-4">
                                <label class="form-control-label font-weight-bold w-100">@lang('Loans')</label>
                                <input type="checkbox"  data-style="ios" data-size="normal" data-onstyle="-success" data-offstyle="-danger" data-toggle="toggle" data-on="@lang('On')" data-off="@lang('Off')" name="loan" @if($general->loan) checked @endif>
                            </div>
                            
                             <div class="form-group col-lg-2 col-sm-6 col-md-4">
                                <label class="form-control-label font-weight-bold w-100">@lang('Deposit Pension')</label>
                                <input type="checkbox"  data-style="ios" data-size="normal" data-onstyle="-success" data-offstyle="-danger" data-toggle="toggle" data-on="@lang('On')" data-off="@lang('Off')" name="dps" @if($general->dps) checked @endif>
                            </div>
                            
                             <div class="form-group col-lg-2 col-sm-6 col-md-4">
                                <label class="form-control-label font-weight-bold w-100">@lang('Fixed Deposit')</label>
                                <input type="checkbox"  data-style="ios" data-size="normal" data-onstyle="-success" data-offstyle="-danger" data-toggle="toggle" data-on="@lang('On')" data-off="@lang('Off')" name="fdr" @if($general->fdr) checked @endif>
                            </div>
  <div class="form-group col-lg-2 col-sm-6 col-md-4">
                                <label class="form-control-label font-weight-bold w-100">@lang('Investments')</label>
                                <input type="checkbox"  data-style="ios" data-size="normal" data-onstyle="-success" data-offstyle="-danger" data-toggle="toggle" data-on="@lang('On')" data-off="@lang('Off')" name="investments" @if($general->investments) checked @endif>
                            </div>
    <div class="form-group col-lg-2 col-sm-6 col-md-4">
                                <label class="form-control-label font-weight-bold w-100">@lang('Remittance')</label>
                                <input type="checkbox"  data-style="ios" data-size="normal" data-onstyle="-success" data-offstyle="-danger" data-toggle="toggle" data-on="@lang('On')" data-off="@lang('Off')" name="remittance" @if($general->remittance) checked @endif>
                            </div>
                            
                                <div class="form-group col-lg-2 col-sm-6 col-md-4">
                                <label class="form-control-label font-weight-bold w-100">@lang('Payment Deposit - Mobile Only')</label>
                                <input type="checkbox"  data-style="ios" data-size="normal" data-onstyle="-success" data-offstyle="-danger" data-toggle="toggle" data-on="@lang('On')" data-off="@lang('Off')" name="payment_deposit" @if($general->payment_deposit) checked @endif>
                                </div><!-- comment -->
                                
                                
                                    <div class="form-group col-lg-2 col-sm-6 col-md-4">
                                <label class="form-control-label font-weight-bold w-100">@lang('Payment Withdrawal - Mobile Only')</label>
                                <input type="checkbox"  data-style="ios" data-size="normal" data-onstyle="-success" data-offstyle="-danger" data-toggle="toggle" data-on="@lang('On')" data-off="@lang('Off')" name="payment_withdrawal" @if($general->payment_withdrawal) checked @endif>
                                    </div><!-- comment -->
                                    
                                        <div class="form-group col-lg-2 col-sm-6 col-md-4">
                                <label class="form-control-label font-weight-bold w-100">@lang('User Transfer - Mobile Only')</label>
                                <input type="checkbox"  data-style="ios" data-size="normal" data-onstyle="-success" data-offstyle="-danger" data-toggle="toggle" data-on="@lang('On')" data-off="@lang('Off')" name="user_transfer" @if($general->user_transfer) checked @endif>
                            </div>
                                    
                                    
                                    
                             
                             
                            
                        </div>

                        <div class="form-group">
                            <button type="submit" class="btn btn--primary btn-block btn-lg">@lang('Update')</button>
                        </div>
                        <p class="mt-4">Note: Certain Modules will disable on both web and mobile. Crypto functions only disable all menu options, will not remove any existing crypto balances, enabled gateways, etc.</p>
                    </form>
                </div>
            </div>
        </div>
    </div>
@endsection

@push('script-lib')
    <script src="{{ asset('assets/admin/js/spectrum.js') }}"></script>
@endpush

@push('style-lib')
    <link rel="stylesheet" href="{{ asset('assets/admin/css/spectrum.css') }}">
@endpush


@push('style')
    <style>
        .sp-replacer {
            padding: 0;
            border: 1px solid rgba(0, 0, 0, .125);
            border-radius: 5px 0 0 5px;
            border-right: none;
        }

        .sp-preview {
            width: 100px;
            height: 46px;
            border: 0;
        }

        .sp-preview-inner {
            width: 110px;
        }

        .sp-dd {
            display: none;
        }
        .select2-container .select2-selection--single {
            height: 44px;
        }
        .select2-container--default .select2-selection--single .select2-selection__rendered {
            line-height: 43px;
        }
        .select2-container--default .select2-selection--single .select2-selection__arrow {
            height: 43px;
        }
    </style>
@endpush

@push('script')
    <script>
        (function ($) {
            "use strict";
            $('.colorPicker').spectrum({
                color: $(this).data('color'),
                change: function (color) {
                    $(this).parent().siblings('.colorCode').val(color.toHexString().replace(/^#?/, ''));
                }
            });

            $('.colorCode').on('input', function () {
                var clr = $(this).val();
                $(this).parents('.input-group').find('.colorPicker').spectrum({
                    color: clr,
                });
            });

            $('.select2-basic').select2({
                dropdownParent: $('.card-body')
            });

            $('select[name=timezone]').val();
        })(jQuery);

    </script>
@endpush

