@extends('admin.layouts.app')
@section('panel')
<style>
    .toggle.ios, .toggle-on.ios, .toggle-off.ios { border-radius: 20px; }
    .toggle.ios .toggle-handle { border-radius: 20px; }
  </style>
    <div class="row mb-none-30">
        <div class="col-lg-12 col-md-12 mb-30">
            <div class="card">
                <div class="card-body">
                    <form action="" method="POST">
                        @csrf
                        
                        <div class="row">
                            <div class="form-group col-md-2">
                                <label class="form-control-label font-weight-bold w-100">@lang('Force Secure Password')</label>
                                <input type="checkbox" data-style="ios" data-size="normal" data-onstyle="-success" data-offstyle="-danger" data-toggle="toggle" data-on="@lang('On')" data-off="@lang('Off')" name="secure_password" @if($general->secure_password) checked @endif>
                            </div>
                            <div class="form-group col-md-2">
                                <label class="form-control-label font-weight-bold w-100">@lang('Agree policy')</label>
                                <input type="checkbox"  data-style="ios"  data-size="normal" data-onstyle="-success" data-offstyle="-danger" data-toggle="toggle" data-on="@lang('On')" data-off="@lang('Off')" name="agree" @if($general->agree) checked @endif>
                            </div>


                            <div class="form-group col-md-2">
                                <label class="form-control-label font-weight-bold w-100">@lang('User Registration')</label>
                                <input type="checkbox"  data-style="ios" data-size="normal" data-onstyle="-success" data-offstyle="-danger" data-toggle="toggle" data-on="@lang('On')" data-off="@lang('Off')" name="registration" @if($general->registration) checked @endif>
                            </div>

                            <div class="form-group col-md-2">
                                <label class="form-control-label font-weight-bold w-100">@lang('Force SSL')</label>
                                <input type="checkbox"  data-style="ios" data-size="normal" data-onstyle="-success" data-offstyle="-danger" data-toggle="toggle" data-on="@lang('On')" data-off="@lang('Off')" name="force_ssl" @if($general->force_ssl) checked @endif>
                            </div>
                            <div class="form-group col-lg-2 col-sm-6 col-md-4">
                                <label class="form-control-label font-weight-bold w-100"> @lang('Email Verification')</label>
                                <input type="checkbox"  data-style="ios" data-size="normal" data-onstyle="-success" data-offstyle="-danger" data-toggle="toggle" data-on="@lang('On')" data-off="@lang('Off')" name="ev" @if($general->ev) checked @endif>
                            </div>
                            <div class="form-group col-lg-2 col-sm-6 col-md-4">
                                <label class="form-control-label font-weight-bold w-100">@lang('Email Notification')</label>
                                <input type="checkbox"  data-style="ios" data-size="normal" data-onstyle="-success" data-offstyle="-danger" data-toggle="toggle" data-on="@lang('On')" data-off="@lang('Off')" name="en" @if($general->en) checked @endif>
                            </div>
                            <div class="form-group col-lg-2 col-sm-6 col-md-4">
                                <label class="form-control-label font-weight-bold w-100"> @lang('SMS Verification')</label>
                                <input type="checkbox"  data-style="ios" data-size="normal" data-onstyle="-success" data-offstyle="-danger" data-toggle="toggle" data-on="@lang('On')" data-off="@lang('Off')" name="sv" @if($general->sv) checked @endif>
                            </div>
                            <div class="form-group col-lg-2 col-sm-6 col-md-4">
                                <label class="form-control-label font-weight-bold w-100">@lang('SMS Notification')</label>
                                <input type="checkbox"  data-style="ios" data-size="normal" data-onstyle="-success" data-offstyle="-danger" data-toggle="toggle" data-on="@lang('On')" data-off="@lang('Off')" name="sn" @if($general->sn) checked @endif>
                            </div>
                             <div class="form-group col-lg-2 col-sm-6 col-md-4">
                                <label class="form-control-label font-weight-bold w-100">@lang('Crypto Functions')</label>
                                <input type="checkbox"  data-style="ios" data-size="normal" data-onstyle="-success" data-offstyle="-danger" data-toggle="toggle" data-on="@lang('On')" data-off="@lang('Off')" name="crypto" @if($general->crypto) checked @endif>
                            </div>
                            <div class="form-group col-lg-2 col-sm-6 col-md-4">
                                <label class="form-control-label font-weight-bold w-100">@lang('Debit Card Closed Loop')</label>
                                <input type="checkbox"  data-style="ios" data-size="normal" data-onstyle="-success" data-offstyle="-danger" data-toggle="toggle" data-on="@lang('On')" data-off="@lang('Off')" name="cd" @if($general->cd) checked @endif>
                            </div>
                            <div class="form-group col-lg-2 col-sm-6 col-md-4">
                                <label class="form-control-label font-weight-bold w-100">@lang('Physical Closed Loop Cards')</label>
                                <input type="checkbox"  data-style="ios" data-size="normal" data-onstyle="-success" data-offstyle="-danger" data-toggle="toggle" data-on="@lang('On')" data-off="@lang('Off')" name="physical" @if($general->physical) checked @endif>
                            </div>
 <div class="form-group col-lg-2 col-sm-6 col-md-4">
                                <label class="form-control-label font-weight-bold w-100">@lang('Virtual Numbers')</label>
                                <input type="checkbox"  data-style="ios" data-size="normal" data-onstyle="-success" data-offstyle="-danger" data-toggle="toggle" data-on="@lang('On')" data-off="@lang('Off')" name="vonage" @if($general->vonage) checked @endif>
                            </div>
                             <div class="form-group col-lg-2 col-sm-6 col-md-4">
                                <label class="form-control-label font-weight-bold w-100">@lang('Verfai API')</label>
                                <input type="checkbox"  data-style="ios" data-size="normal" data-onstyle="-success" data-offstyle="-danger" data-toggle="toggle" data-on="@lang('On')" data-off="@lang('Off')" name="verifai_act" @if($general->verifai_act) checked @endif>
                            </div>
                            <div class="form-group col-lg-2 col-sm-6 col-md-4">
                                <label class="form-control-label font-weight-bold w-100">@lang('Admin KYC Approval')</label>
                                <input type="checkbox"  data-style="ios" data-size="normal" data-onstyle="-success" data-offstyle="-danger" data-toggle="toggle" data-on="@lang('On')" data-off="@lang('Off')" name="kyc" @if($general->kyc) checked @endif>
                            </div>
                            <div class="form-group col-lg-2 col-sm-6 col-md-4">
                                <label class="form-control-label font-weight-bold w-100">@lang('Tremendous Visa Prepaid')</label>
                                <input type="checkbox"  data-style="ios" data-size="normal" data-onstyle="-success" data-offstyle="-danger" data-toggle="toggle" data-on="@lang('On')" data-off="@lang('Off')" name="tremendous" @if($general->tremendous) checked @endif>
                            </div>
                            <div class="form-group col-lg-2 col-sm-6 col-md-4">
                                <label class="form-control-label font-weight-bold w-100">@lang('Livitpay Mastercard')</label>
                                <input type="checkbox"  data-style="ios" data-size="normal" data-onstyle="-success" data-offstyle="-danger" data-toggle="toggle" data-on="@lang('On')" data-off="@lang('Off')" name="livitpay" @if($general->livitpay) checked @endif>
                            </div>
                            
                             <div class="form-group col-lg-2 col-sm-6 col-md-4">
                                <label class="form-control-label font-weight-bold w-100">@lang('Loans')</label>
                                <input type="checkbox"  data-style="ios" data-size="normal" data-onstyle="-success" data-offstyle="-danger" data-toggle="toggle" data-on="@lang('On')" data-off="@lang('Off')" name="loan" @if($general->loan) checked @endif>
                            </div>
                            
                             <div class="form-group col-lg-2 col-sm-6 col-md-4">
                                <label class="form-control-label font-weight-bold w-100">@lang('Deposit Pension')</label>
                                <input type="checkbox"  data-style="ios" data-size="normal" data-onstyle="-success" data-offstyle="-danger" data-toggle="toggle" data-on="@lang('On')" data-off="@lang('Off')" name="dps" @if($general->dps) checked @endif>
                            </div>
                            
                             <div class="form-group col-lg-2 col-sm-6 col-md-4">
                                <label class="form-control-label font-weight-bold w-100">@lang('Fixed Deposit')</label>
                                <input type="checkbox"  data-style="ios" data-size="normal" data-onstyle="-success" data-offstyle="-danger" data-toggle="toggle" data-on="@lang('On')" data-off="@lang('Off')" name="fdr" @if($general->fdr) checked @endif>
                            </div>
  <div class="form-group col-lg-2 col-sm-6 col-md-4">
                                <label class="form-control-label font-weight-bold w-100">@lang('Investments')</label>
                                <input type="checkbox"  data-style="ios" data-size="normal" data-onstyle="-success" data-offstyle="-danger" data-toggle="toggle" data-on="@lang('On')" data-off="@lang('Off')" name="investments" @if($general->investments) checked @endif>
                            </div>
    <div class="form-group col-lg-2 col-sm-6 col-md-4">
                                <label class="form-control-label font-weight-bold w-100">@lang('Remittance')</label>
                                <input type="checkbox"  data-style="ios" data-size="normal" data-onstyle="-success" data-offstyle="-danger" data-toggle="toggle" data-on="@lang('On')" data-off="@lang('Off')" name="remittance" @if($general->remittance) checked @endif>
                            </div>
           <div class="form-group col-lg-2 col-sm-6 col-md-4">
                                <label class="form-control-label font-weight-bold w-100">@lang('Games')</label>
                                <input type="checkbox"  data-style="ios" data-size="normal" data-onstyle="-success" data-offstyle="-danger" data-toggle="toggle" data-on="@lang('On')" data-off="@lang('Off')" name="games" @if($general->games) checked @endif>
                            </div>                   
                             
                            
                        </div>

                        <div class="form-group">
                            <button type="submit" class="btn btn--primary btn-block btn-lg">@lang('Update')</button>
                        </div>
                        <p class="mt-4">Note: Certain Modules will disable on both web and mobile. Crypto functions only disable all menu options, will not remove any existing crypto balances, enabled gateways, etc.</p>
                    </form>
                </div>
            </div>
        </div>
    </div>
@endsection

@push('script-lib')
    <script src="{{ asset('assets/admin/js/spectrum.js') }}"></script>
@endpush

@push('style-lib')
    <link rel="stylesheet" href="{{ asset('assets/admin/css/spectrum.css') }}">
@endpush


@push('style')
    <style>
        .sp-replacer {
            padding: 0;
            border: 1px solid rgba(0, 0, 0, .125);
            border-radius: 5px 0 0 5px;
            border-right: none;
        }

        .sp-preview {
            width: 100px;
            height: 46px;
            border: 0;
        }

        .sp-preview-inner {
            width: 110px;
        }

        .sp-dd {
            display: none;
        }
        .select2-container .select2-selection--single {
            height: 44px;
        }
        .select2-container--default .select2-selection--single .select2-selection__rendered {
            line-height: 43px;
        }
        .select2-container--default .select2-selection--single .select2-selection__arrow {
            height: 43px;
        }
    </style>
@endpush

@push('script')
    <script>
        (function ($) {
            "use strict";
            $('.colorPicker').spectrum({
                color: $(this).data('color'),
                change: function (color) {
                    $(this).parent().siblings('.colorCode').val(color.toHexString().replace(/^#?/, ''));
                }
            });

            $('.colorCode').on('input', function () {
                var clr = $(this).val();
                $(this).parents('.input-group').find('.colorPicker').spectrum({
                    color: clr,
                });
            });

            $('.select2-basic').select2({
                dropdownParent: $('.card-body')
            });

            $('select[name=timezone]').val();
        })(jQuery);

    </script>
@endpush

