@extends('admin.layouts.app')
@section('panel')
    <div class="row">
        <div class="col-lg-12">
           <div class="card">
                <div class="card-body">
                     <div class="table-responsive table-desi">
                                        <table class="table list-digital all-package table-category" id="editableTable">
                            <thead>
                            <tr>
                                <th>@lang('User')</th>
                                <th>@lang('Number')</th>
                                <th>@lang('Plan')</th>
                                <th>@lang('Balance')</th>
                                <th>@lang('Expiry')</th>
                                
                            </tr>
                            </thead>
                            <tbody>
                            @forelse($vnplans as $u)
                            <tr>
                                <td data-label="@lang('User')">
                                    <span class="font-weight-bold">{{ $u->user->fullname }}</span>
                                    <br>
                                    <span class="small">
                                    <a href="{{ route('admin.users.detail', $u->user_id) }}"><span>@</span>{{ $u->user->username }}</a>
                                    </span>
                                </td>
                                 <td data-label="@lang('Profile')">
                                   {{ $u->msisdn }}
                                   
                                </td>
                               

                                <td data-label="@lang('Email-Phone')">
                                    {{ $u->plan->name }}
                                </td>
                                <td data-label="@lang('Count')">
                                    <span class="font-weight-bold" data-toggle="tooltip" data-original-title="{{ @$user->address->country }}">{{ $u->getcount($u->msisdn) }} @lang('SMS')</span><br>
                                    <span class="font-weight-bold" data-toggle="tooltip" data-original-title="{{ @$user->address->country }}">{{ $u->getvoicecount($u->msisdn) / 60 }} @lang('Minutes')</span>
                                </td>


                                <td>
                                    {{ $u->created_at->diffForHumans() }}
                                </td>
                                
                            </tr>
                            @empty
                                <tr>
                                    <td class="text-muted text-center" colspan="100%">{{ __($emptyMessage) }}</td>
                                </tr>
                            @endforelse

                            </tbody>
                        </table><!-- table end -->
                    </div>
                </div>
                <div class="card-footer py-4">
                    {{ paginateLinks($vnplans) }}
                </div>
            </div>
        </div>


    </div>
@endsection



@push('breadcrumb-plugins')
    
@endpush
