@php
    $featured = getContent('featured.content', true);
    $featuredCards = App\Models\Category::with('subCategory')
                                        ->where('featured', 1)
                                        ->where('status', 1)
                                        ->latest()
                                        ->take(12)
                                        ->get();
@endphp
<!-- Featured Card Section -->
   <div class="title1 section-t-space">
        <h2>{{ __(@$featured->data_values->title) }}</h2>
        <h4 class="title-inner1">{{ __(@$featured->data_values->sub_heading) }}</h4>
    </div>

 <!-- Product slider -->
    <section class="section-b-space pt-0 ratio_asos">
        <div class="container">
            <div class="row">
                <div class="col">
                     
                    <div class="product-5 product-m no-arrow">
                         @foreach($featuredCards as $featuredCard)
                        <div class="product-box">
                                                         <div class="sub-section" style="
    position: absolute;
    z-index: 1;
    margin-right: auto;
    margin-left: auto;
    width: 100%;
    text-align: center;
    top: 12px;
   
    padding: 5px;
"><img src="{{ pinimage() }}" class="" alt="" srcset="" style="
    text-align: center;
    margin-right: auto;
    margin-left: auto;
"></div>
                                                        <div class="img-wrapper sub-section" style="box-shadow: 2px 0px 9px 0px gray;border-radius: 10px;">
                                                            <img src="{{getImage(imagePath()['logoIcon']['path'] .'/logo.png')}}" class="img-fluid blur-up lazyloaded" alt="" style="max-height: 45px;position: absolute;z-index: 999999;bottom: 1px;text-align: center;margin-right: auto;margin-left: auto;opacity: .7;">
                                <div class="front">
                                    <a href="{{ route('category', ['name'=>slug($featuredCard->name), 'id'=>$featuredCard->id]) }}">
                                           @if((strpos($featuredCard->image, "https://") !== false) || (strpos($featuredCard->image, "http://") !== false)) 
                                        <img src="{{ $featuredCard->image }}"
                                            class="img-fluid blur-up lazyload bg-img" alt="" >
                                     @else
                                       <img src="{{ getImage(imagePath()['category']['path'].'/'.$featuredCard->image) }}"
                                            class="img-fluid blur-up lazyload bg-img" alt="">
                                     @endif
                                    </a>
                                </div>
                                <div class="back">
                                    <a href="{{ route('category', ['name'=>slug($featuredCard->name), 'id'=>$featuredCard->id]) }}">
                                         @if((strpos($featuredCard->image, "https://") !== false) || (strpos($featuredCard->image, "http://") !== false)) 
                                        <img src="{{ $featuredCard->image }}"
                                            class="img-fluid blur-up lazyload bg-img" alt="">
                                     @else
                                       <img src="{{ getImage(imagePath()['category']['path'].'/'.$featuredCard->image) }}"
                                            class="img-fluid blur-up lazyload bg-img" alt="">
                                     @endif
                                    </a>
                                </div>
                                <div class="cart-info cart-wrap">
                                   
                                    <a href="{{ route('category', ['name'=>slug($featuredCard->name), 'id'=>$featuredCard->id]) }}" title="Quick View">
                                        <i class="ti-search" aria-hidden="true"></i>
                                    </a>
                                   
                                </div>
                            </div>
                            <div class="product-detail">
                                <div class="rating-section">
                                                            <div class="rating">
                                                                 @php $p = rand(3,5) @endphp
                                    @for ($i = 0; $i < $p; $i++)
                                    <i class="fa fa-star"></i> 
                                    @endfor
                                                            </div>
                                                             <h6>@php echo rand(10,599) @endphp ratings</h6>
                                                              </div>
                                <a href="{{ route('category', ['name'=>slug($featuredCard->name), 'id'=>$featuredCard->id]) }}">
                                    <h6>{{ $featuredCard->name }}</h6>
                                </a>
                               
                            </div>
                        </div>
                          @endforeach 
                    </div>
                   
                </div>
            </div>
        </div>
    </section>
    <!-- Product slider end -->


<!-- <section class="top-selling-card-section bg--section pt-120 pb-120">
    <div class="container">
        <div class="row justify-content-center">
            <div class="col-lg-7 col-xxl-6">
                <div class="section__header text-center">
                    <span class="section__category">
                        {{ __(@$featured->data_values->title) }}
                    </span>
                    <h3 class="section__title">
                        {{ __(@$featured->data_values->heading) }}
                    </h3>
                    <p>
                        {{ __(@$featured->data_values->sub_heading) }}
                    </p>
                </div>
            </div>
        </div>
        <div class="card-slider owl-theme owl-carousel">
            @foreach($featuredCards as $featuredCard)
                <div class="card-item">
                    <div class="card-thumb">
                        <a href="{{ route('category', ['name'=>slug($featuredCard->name), 'id'=>$featuredCard->id]) }}">
                            <img src="{{ getImage(imagePath()['category']['path'].'/'.$featuredCard->image) }}" alt="@lang('card')">
                        </a>
                    </div>
                    <h5 class="title">
                        <a href="{{ route('category', ['name'=>slug($featuredCard->name), 'id'=>$featuredCard->id]) }}">
                            {{ __($featuredCard->name) }}
                        </a>
                    </h5>
                </div>
            @endforeach
        </div>
    </div>
</section> -->
<!-- Featured Card Section -->
