@php
    $partners = getContent('partner.content', true);
@endphp

 <!--Start Service Style1 Area-->
        <section id="service" class="service-style1-area">
            <div class="service-style1-bg" style="background-image: url({{ getImage('assets/images/frontend/partner/' .@$partners->data_values->image, '1920x965') }});">
            </div>
            <div class="container">

                <div class="row">
                    <div class="col-xl-12">
                        <div class="service-style1-title">
                            <div class="sec-title">
                                <h2>{{ __(@$partners->data_values->heading) }}</h2>
                                <div class="sub-title">
                                    <p>{{ __(@$partners->data_values->subheading) }}</p>
                                </div>
                            </div>
                            <div class="get-assistant-box">
                                <a href="#"><span class="icon-chatting"></span></a>
                            </div>
                        </div>
                    </div>
                </div>

                <div class="row">
                    <div class="col-xl-12">
                        <div class="service-style1-tab">
                            <!--Start Service Style1 Tab Button-->
                            <div class="service-style1-tab__button">
                                <ul class="tabs-button-box clearfix">
                                    <li data-tab="#individuals" class="tab-btn-item active-btn-item">
                                        <div class="inner">
                                            <div class="left">
                                                <h4>@lang('Banking for')</h4>
                                                <h3>@lang('Individuals')</h3>
                                            </div>
                                            <div class="right">
                                                <span class="icon-down-arrow"></span>
                                            </div>
                                        </div>
                                    </li>
                                    <li data-tab="#companies" class="tab-btn-item">
                                        <div class="inner">
                                            <div class="left">
                                                <h4>@lang('Banking for')</h4>
                                                <h3>@lang('Companies')</h3>
                                            </div>
                                            <div class="right">
                                                <span class="icon-down-arrow"></span>
                                            </div>
                                        </div>
                                    </li>
                                </ul>
                            </div>
                            <!--End Service Style1 Tab Button-->

                            <!--Start Tabs Content Box-->
                            <div class="tabs-content-box">

                                <!--Tab-->
                                <div class="tab-content-box-item" id="individuals">
                                    <div class="service-style1-tab-content-box-item">
                                        <div class="row">
                                            <!--Start Single Service Box Style1-->
                                            <div class="col-xl-4 col-lg-4">
                                                <div class="single-service-box-style1">
                                                    <div class="icon">
                                                        <span class="icon-safebox"></span>
                                                    </div>
                                                    <h3><a href="#">{{ __(@$partners->data_values->individualheading1) }}</a></h3>
                                                    <div class="border-box"></div>
                                                    <p>{{ __(@$partners->data_values->individualsubheading1) }}</p>
                                                    <h6><span>*</span> {{ __(@$partners->data_values->individualpoint1) }}</h6>
                                                    <div class="btn-box">
                                                        <a href="#"><span class="icon-right-arrow"></span></a>
                                                    </div>
                                                </div>
                                            </div>
                                            <!--End Single Service Box Style1-->
                                            <!--Start Single Service Box Style1-->
                                            <div class="col-xl-4 col-lg-4">
                                                <div class="single-service-box-style1">
                                                    <div class="icon">
                                                        <span class="icon-online"></span>
                                                    </div>
                                                    <h3><a href="#">{{ __(@$partners->data_values->individualheading2) }}</a></h3>
                                                    <div class="border-box"></div>
                                                    <p>{{ __(@$partners->data_values->individualsubheading2) }}</p>
                                                    <h6><span>*</span> {{ __(@$partners->data_values->individualpoint2) }}</h6>
                                                    <div class="btn-box">
                                                        <a href="#"><span class="icon-right-arrow"></span></a>
                                                    </div>
                                                </div>
                                            </div>
                                            <!--End Single Service Box Style1-->
                                            <!--Start Single Service Box Style1-->
                                            <div class="col-xl-4 col-lg-4">
                                                <div class="single-service-box-style1">
                                                    <div class="icon">
                                                        <span class="icon-loan"></span>
                                                    </div>
                                                     <h3><a href="#">{{ __(@$partners->data_values->individualheading3) }}</a></h3>
                                                    <div class="border-box"></div>
                                                    <p>{{ __(@$partners->data_values->individualsubheading3) }}</p>
                                                    <h6><span>*</span> {{ __(@$partners->data_values->individualpoint3) }}</h6>
                                                    <div class="btn-box">
                                                        <a href="#"><span class="icon-right-arrow"></span></a>
                                                    </div>
                                                </div>
                                            </div>
                                            <!--End Single Service Box Style1-->
                                        </div>
                                    </div>
                                </div>

                                <!--Tab-->
                                <div class="tab-content-box-item tab-content-box-item-active" id="companies">
                                    <div class="service-style1-tab-content-box-item">
                                        <div class="row">
                                            <!--Start Single Service Box Style1-->
                                            <div class="col-xl-4 col-lg-4">
                                                <div class="single-service-box-style1">
                                                    <div class="icon">
                                                        <span class="icon-safebox"></span>
                                                    </div>
                                                    <h3><a href="#">{{ __(@$partners->data_values->companyheading1) }}</a></h3>
                                                    <div class="border-box"></div>
                                                    <p>{{ __(@$partners->data_values->companysubheading1) }}</p>
                                                    <h6><span>*</span> {{ __(@$partners->data_values->companypoint1) }}</h6>
                                                    <div class="btn-box">
                                                        <a href="#"><span class="icon-right-arrow"></span></a>
                                                    </div>
                                                </div>
                                            </div>
                                            <!--End Single Service Box Style1-->
                                            <!--Start Single Service Box Style1-->
                                            <div class="col-xl-4 col-lg-4">
                                                <div class="single-service-box-style1">
                                                    <div class="icon">
                                                        <span class="icon-online"></span>
                                                    </div>
                                                    <h3><a href="#">{{ __(@$partners->data_values->companyheading2) }}</a></h3>
                                                    <div class="border-box"></div>
                                                    <p>{{ __(@$partners->data_values->companysubheading2) }}</p>
                                                    <h6><span>*</span> {{ __(@$partners->data_values->companypoint2) }}</h6>
                                                    <div class="btn-box">
                                                        <a href="#"><span class="icon-right-arrow"></span></a>
                                                    </div>
                                                </div>
                                            </div>
                                            <!--End Single Service Box Style1-->
                                            <!--Start Single Service Box Style1-->
                                            <div class="col-xl-4 col-lg-4">
                                                <div class="single-service-box-style1">
                                                    <div class="icon">
                                                        <span class="icon-loan"></span>
                                                    </div>
                                                    <h3><a href="#">{{ __(@$partners->data_values->companyheading3) }}</a></h3>
                                                    <div class="border-box"></div>
                                                    <p>{{ __(@$partners->data_values->companysubheading3) }}</p>
                                                    <h6><span>*</span> {{ __(@$partners->data_values->companypoint3) }}</h6>
                                                    <div class="btn-box">
                                                        <a href="#"><span class="icon-right-arrow"></span></a>
                                                    </div>
                                                </div>
                                            </div>
                                            <!--End Single Service Box Style1-->
                                        </div>
                                    </div>
                                </div>

                            </div>
                            <!--End Tabs Content Box-->

                        </div>
                    </div>
                </div>

                

            </div>
        </section>
        <!--End Service Style1 Area-->
