@php
    $testimonial = getContent('testimonial.content', true);
    $testimonials = getContent('testimonial.element');
@endphp

 <div class="title1 section-t-space">
        <h2>{{ __(@$testimonial->data_values->title) }}</h2>
        <h4 class="title-inner1">{{ __(@$testimonial->data_values->sub_heading) }}</h4>
    </div>
 <!--Testimonial start-->
    <section class="testimonial small-section">
        <div class="container">
            <div class="row">
                <div class="col-sm-12">
                    <div class="slide-2 testimonial-slider no-arrow">
                           @foreach($testimonials as $data)
                        <div>
                            <div class="media">
                                <div class="text-center">
                                    <img src="{{ getImage('assets/images/frontend/testimonial/' .@$data->data_values->image, '100x100') }}" alt="#">
                                    <h5>{{ __($data->data_values->name) }}</h5>
                                    <h6>{{ __($data->data_values->designation) }}</h6>
                                </div>
                                <div class="media-body">
                                    <p>{{ __($data->data_values->say) }}</p>
                                </div>
                            </div>
                        </div>
                         @endforeach
                    </div>
                </div>
            </div>
        </div>
    </section>
    <!--Testimonial ends-->

<!-- Testimonial Section -->
<!--
<section class="section-b-space pt-0 ratio_asos">
        <div class="container">
            <div class="row">
                <div class="col">
        <div class="product-4 product-m no-arrow">

            @foreach($testimonials as $data)
                <div class="testimonial-item">
                    <div class="testimonial-thumb">
                        <img src="{{ getImage('assets/images/frontend/testimonial/' .@$data->data_values->image, '100x100') }}" alt="@lang('client')">
                    </div>
                    <div class="quote">
                        <i class="las la-quote-right"></i>
                    </div>
                    <div class="testimonial-content">
                        <div class="testimonial-header">
                            <div class="name">
                                <h6 class="title">{{ __($data->data_values->name) }}</h6>
                                <span class="info">{{ __($data->data_values->designation) }}</span>
                            </div>
                            <div class="ratings">
                                @for($i = 0; $i < $data->data_values->rating; $i++)
                                    <i class="las la-star"></i>
                                @endfor
                            </div>
                        </div>
                        <p>
                            {{ __($data->data_values->say) }}
                        </p>
                    </div>
                </div>
            @endforeach

        </div>
    </div>
            </div> comment 
             </div>
</section>-->
<!-- Testimonial Section -->
