@extends($activeTemplate.'layouts.master')
@section('content')

<!-- breadcrumb start -->
    <div class="breadcrumb-section">
        <div class="container">
            <div class="row">
                <div class="col-sm-6">
                    <div class="page-title">
                        <h2>ACH Bank Transfer</h2>
                    </div>
                </div>
                <div class="col-sm-6">
                    <nav aria-label="breadcrumb" class="theme-breadcrumb">
                        <ol class="breadcrumb">
                            <li class="breadcrumb-item"><a href="{{ route('home') }}">Home</a></li>
                            <li class="breadcrumb-item active" aria-current="page">ACH Bank Transfer</li>
                        </ol>
                    </nav>
                </div>
            </div>
        </div>
    </div>
    <!-- breadcrumb End -->
    
     <div class="row mt-4">
            <div class="col-xl-12 col-xxl-12">
                <div class="card">
                    <div class="card-header">
                        <h4 class="card-title">@lang('Direct ACH Transfers')</h4>
                        <p>@lang('You can directly transfer from your authorised bank accounts, ACH transfers are credited to your wallet in 24-48hours upon settlement')</p>	
                    </div>
                    <div class="card-body">
                       
                            <div class="">
                                <div>
                                    <form action="{{ route('user.processbank') }}" method="POST">
                                        @csrf
                                      <div class="form-row">
                                                                   <div class="form-group col-md-4">
                                                                        <label>@lang('Amount')</label>
                                                                        <input placeholder="Enter Amount" type="number" step="0.01" min="0" required name="amount" id="amount" class="form-control">
                                                                    </div>                                                                      
                                                             <div class="form-group col-md-12"> 
                                                                
                                                                  <div class="mt-4">
                                            <button type="submit" class="btn btn-primary"><i class="fa fa-bank" aria-hidden="true"></i> @lang('Proceed')</button>
                                        </div>
                                                             </div>
                                                                  </div>

                                    </form>
                                </div>
                    
                 
                              
                            </div>
                        </div>
                    </div>
                </div>
            </div>
   
        @endsection