@extends($activeTemplate.'layouts.master')
@section('content')
 
<div class="container mt-4">
    <div class="row justify-content-center mt-2">
        <div class="col-md-12">
          <div class="table-responsive-sm">
 <table class="table mb-0 order-table-vendor">
            <thead class="bg-dark text-white">
              <tr>
                <th>@lang('Date')</th>
                <th>@lang('Trx')</th>
                <th>@lang('Category')</th>
                <th>@lang('Sub Category')</th>
                <th>@lang('Details')</th>
              </tr>
            </thead>
            <tbody>

            @forelse($cards as $index => $data)
           
            <tr>
                <td data-label="@lang('Date')">
                    {{ showDateTime($data->created_at) }}
                </td>
                <td data-label="@lang('Trx')">
                    {{ $data->trx }}
                </td>
                <td data-label="@lang('Category')">
                    {{ __($data->subCategory->category->name) }}
                </td>
                <td data-label="@lang('Sub Category')">
                    {{ __($data->subCategory->name) }}
                </td>
                <td data-label="@lang('Details')">
                    <a href="{{ route('user.card.details', $data->id) }}" class="bg--primary btn-sm">
                        <i class="fa fa-desktop"></i>
                    </a>
                </td>
            </tr>
            @empty
                <tr>
                    <td colspan="100%">@lang('Data Not Found')!</td>
                </tr>
            @endforelse

            </tbody>
          </table>
        </div>

        {{$cards->links()}}

      </div>
    </div>
  </div>

@endsection

