@extends($activeTemplate.'layouts.master')
@section('content')

<div class="container mt-4">
    <div class="row gy-4 justify-content-center">

        @if($card->image)
            <div class="col-lg-4">
                <div class="card custom--card h-100">
                    <div class="card-header">
                        
                    </div>
                    <div class="card-body">
                        <div class="two-factor-content">
                            <div class="two-factor-scan text-center my-4">
                                 @if((strpos($card->image, "https://") !== false) || (strpos($card->image, "http://") !== false)) 
                            
                                    <img src="{{ $card->image }}" alt="@lang('card')" class="mw-100" style="border-radius: 20px;">
                                    @else
                                <img src="{{ getImage(imagePath()['card']['path'].'/'.$card->image, imagePath()['card']['size']) }}" alt="@lang('Image')" class="mw-100" style="border-radius: 20px;">
                                @endif
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        @endif

        <div class="col-lg-8">
            <div class="card custom--card h-100">
                <div class="card-header">
                  
                </div>
                <div class="card-body">
                    <div class="two-factor-content">
                        <h6 class="subtitle text-left">
                            @lang('Category'): {{ __($card->subCategory->category->name) }}
                            <br/>
                            @lang('Sub Category'): {{ __($card->subCategory->name) }}
                        </h6>
                        <p class="two__fact__text">
                            <span class="text-white" style="font-size:20px;"><strong>@lang('Redemption Instructions'):</strong></span>
                             <br/>
                            {{ __($card->details) }}
                        </p>
                    </div>
                </div>
            </div>
      </div>

    </div>
  </div>

@endsection

