@extends($activeTemplate.'layouts.master')
@php
$user = auth()->user(); 

@endphp
@section('content')
<div class="breadcrumb-section">
    <div class="container">
        <div class="row">
            <div class="col-sm-6">
                <div class="page-title">
                    <h2>NGN Bank Account</h2>
                </div>
            </div>
            <div class="col-sm-6">
                <nav aria-label="breadcrumb" class="theme-breadcrumb">
                    <ol class="breadcrumb">
                        <li class="breadcrumb-item"><a href="{{ route('home') }}">Home</a></li>
                        <li class="breadcrumb-item active" aria-current="page">NGN} Bank Account</li>
                    </ol>
                </nav>
            </div>
        </div>
    </div>
</div>


<div class="row mt-4">
          <div class="col-md-12">
                        <div class="card">
                            <div class="card-header">
                                <h4 class="card-title">@lang('Bank Details')</h4>
                                <p class="">NGN @lang('Account Details')</p>
                            </div>
                        </div>						
									
              <div class='row'>
									 
                            
                            <div class='col-md-6'>  
                                <div class="card-body">
                                        <ul class="list-group list-group-flush">
 
        
              <li class="list-group-item d-flex justify-content-between"><span class="mb-0">Bank Name :</span><strong>@lang('Kuda Bank')</strong></li>  
              <li class="list-group-item d-flex justify-content-between"><span class="mb-0">Account Number :</span><strong>{{$check->accountNumber}}</strong></li>  
               <li class="list-group-item d-flex justify-content-between"><span class="mb-0">Available Balance :</span><strong>{{ showAmount($balance->data->availableBalance / 100) }}</strong></li>  
                <li class="list-group-item d-flex justify-content-between"><span class="mb-0">Ledger Balance :</span><strong>{{ showAmount($balance->data->ledgerBalance / 100) }}</strong></li>  
                 <li class="list-group-item d-flex justify-content-between"><span class="mb-0">Withdrawable Balance :</span><strong>{{ showAmount($balance->data->withdrawableBalance / 100) }}</strong></li>  
            </ul>
                                    </div>
                                </div>
                           
              </div>                                      
              </div>
                            </div>
              </div>
    </div>



@endsection