@extends($activeTemplate.'layouts.master')
@section('content')

  <!-- breadcrumb start -->
    <div class="breadcrumb-section">
        <div class="container">
            <div class="row">
                <div class="col-sm-6">
                    <div class="page-title">
                        <h2>review</h2>
                    </div>
                </div>
                <div class="col-sm-6">
                    <nav aria-label="breadcrumb" class="theme-breadcrumb">
                        <ol class="breadcrumb">
                            <li class="breadcrumb-item"><a href="{{ route('home') }}">Home</a></li>
                            <li class="breadcrumb-item active" aria-current="page">Deposit Confirm</li>
                        </ol>
                    </nav>
                </div>
            </div>
        </div>
    </div>
    <!-- breadcrumb End -->
     <!-- section start -->
    <section class="section-b-space blog-detail-page review-page">
        <div class="container">
            <div class="row">
                <div class="col-md-3">
                   
                            <img class="w-100" src="{{ $data->gatewayCurrency()->methodImage() }}" alt="Generic placeholder image">
                             </div>   
                
                <div class="col-md-9">
                               
                                    <h6> @lang('Amount'):
                                        <strong>{{showAmount($data->amount)}} </strong> {{__($general->cur_text)}}</strong></h6>
                                    <div>
                                        <p>
                            @lang('Charge'):
                            <strong>{{showAmount($data->charge)}}</strong> {{__($general->cur_text)}}
                        </p>
                        <p>
                            @lang('Payable'):
                            <strong> {{showAmount($data->amount + $data->charge)}}</strong> {{__($general->cur_text)}}
                        </p>
                        <p>
                            @lang('Conversion Rate'):
                            <strong>1 {{__($general->cur_text)}} = {{showAmount($data->rate)}}  {{__($data->method_currency)}}</strong>
                        </p>
                        <p>
                            @lang('In') {{$data->method_currency}}:
                            <strong>{{showAmount($data->final_amo)}}</strong>
                        </p>
                                    </div>
                               
                                <div class="mt-4">
                        @if( 1000 >$data->method_code)
                            <a href="{{route('pg.deposit.confirm')}}" class="btn btn-primary">
                                @lang('Pay Now')
                            </a>
                        @else
                            <a href="{{route('pg.deposit.manual.confirm')}}" class="btn btn-primary">
                                @lang('Pay Now')
                            </a>
                        @endif
                    </div>
                            </div>
                       
                      
                </div>
            </div>
   
    </section>
    <!-- Section ends -->
    

@endsection


