@extends($activeTemplate.'layouts.auth_master')
@section('content')
@include($activeTemplate.'partials.breadcrumb')
<div class="payment-section ptb-80">
<div class="container main-container" id="main-container">
  <div class="card mb-4">
    <div class="card-header">
      <div class="row">
        <div class="col-12 col-sm">
          <h5 class="title my-2">Prepaid Fixed Cards</h5>
        </div>
        <div class="col-12 col-sm-auto">

        </div>
      </div>
    </div>

    <div class="card-body">
      <table class="table mx-0 datatable1" id="datatable1">
        <thead class="">
          <tr>
            <th class="desktop tablet mobile" data-priority="2">@lang('Date')</th>
            <th class="desktop tablet mobile" data-priority="2">@lang('Trx')</th>
            <th class="desktop tablet mobile" data-priority="2">@lang('Name')</th>
          
            <th class="desktop tablet mobile" data-priority="2">@lang('Price')</th>
            <th class="desktop tablet mobile" data-priority="2">@lang('CardNumber')</th>
            <th class="desktop tablet mobile" data-priority="2">@lang('Redeem Code')</th>
            <th class="desktop tablet mobile" data-priority="2">@lang('status')</th>
            <th class="desktop tablet mobile" data-priority="2">@lang('Instructions')</th>
          </tr>
        </thead>
        <tbody>

          @forelse($cards->data as $data)

          <tr>
            <td data-label="@lang('Date')">
              {{ showDateTime($data->updated_at) }}
            </td>
            <td data-label="@lang('Trx')">
              {{ $data->sku }}
            </td>
            <td data-label="@lang('name')">
              {{ __($data->name) }}
            </td>
            
            <td data-label="@lang('Price')">
                {{ __($general->cur_text) }} {{ __($data->amount) }}<br><!-- comment -->
                {{ __($data->currency) }} {{ __($data->price) }}
            </td>
           <td data-label="@lang('name')">
              {{ __($data->cardnumber) }}
            </td>
            <td data-label="@lang('name')">
              {{ __($data->redemptioncode) }}
            </td>
            <td data-label="@lang('name')">
              {{ __($data->status) }}
            </td>
            <td data-label="@lang('Details')">
              <a href="{{ route('user.prepaycard.details', [$data->name,$data->sku]) }}" class="bg--primary btn-sm" target='_blank'>
                <i class="fa fa-desktop"></i>
              </a>
            </td>
          </tr>
          @empty
          <tr>
            <td colspan="100%">@lang('Data Not Found')!</td>
          </tr>
          @endforelse

        </tbody>
      </table>
    </div>

   

  </div>
</div>
</div>

@endsection