@extends($extends)

@section('content')
   
 <div class="container main-container" id=" main-container">
    <div class="col-lg-12  card">    <!-- section start -->
    <section>
        <div class="collection-wrapper">
            <div class="container">
                <div class="row" style="align-items: center;">
                    <div class="col-lg-4" style="padding:25px;">
                          @if((strpos($subCategory->image, "https://") !== false) || (strpos($subCategory->image, "http://")) !== false)
        <div class="card card-product col-md-12 mb-3" style=" width:100%;box-shadow: 3px 5px 10px black;border-radius: 25px;background: URL(https://res.cloudinary.com/liquorexpress/image/fetch/{{ $subCategory->image }});background-repeat: no-repeat;background-size: cover;background-clip: border-box;background-position: center;">
          @else
           <div class="card card-product col-md-12 mb-3" style="width:100%;box-shadow: 3px 5px 10px black;border-radius: 25px;background: URL({{ getImage(imagePath()['sub_category']['path'].'/'.$subCategory->image) }});background-repeat: no-repeat;background-size: cover;background-clip: border-box;background-position: center;">
             @endif

               <div class="card-header text-center mb-2"><img src="{{ pinimage() }}" class="" alt="" srcset=""></div>


             <div class="card-body text-center mb-2 mt-5">
             @if((strpos($subCategory->image, "https://") !== false) || (strpos($subCategory->image, "http://")) !== false)
                <img src="https://res.cloudinary.com/liquorexpress/image/fetch/{{ $subCategory->image }}" alt="@lang('card')" style="border-radius: 10px;box-shadow: 0px 2px 10px black;" class="w-100">
                @else
            <img src="{{ getImage(imagePath()['sub_category']['path'].'/'.$subCategory->image) }}" alt="payment" style="border-radius: 10px;box-shadow: 0px 2px 10px black;" class="w-100">
        @endif


        </div>
                    </div>

                    </div>
                    <div class="col-lg-8 rtl-text" style="padding:25px;">
                        <div class="product-right" style="
    border: 1px solid #c6c6c6;
    padding: 35px;
    border-radius: 10px;
"
">
                            <div class="product-count">
                                <ul>
                                    <li>
                                        <img src="{{ url('assets/newuser/images') }}/fire.gif" class="img-fluid" alt="image">
                                        <span class="p-counter">@php echo rand(10,99) @endphp</span>
                                        <span class="lang">orders in last 24 hours</span>
                                    </li>
                                    <li>
                                        <img src="{{ url('assets/newuser/images') }}/person.gif" class="img-fluid user_img" alt="image">
                                        <span class="p-counter">@php echo rand(10,99) @endphp</span>
                                        <span class="lang">active view this</span>
                                    </li>
                                </ul>
                            </div>
                            <h2 class="text-primary">{{ __($subCategory->name) }}</h2>
                            <div class="rating-section">
                                <div class="rating">
                                    @php $p = rand(3,5) @endphp
                                    @for ($i = 0; $i < $p; $i++)
                                    <i class="fa fa-star"></i>
                                    @endfor
                                </div>
                                <h6>@php echo rand(10,599) @endphp ratings</h6>
                            </div>
                            <div class="label-section">
                                @if($subCategory->sale != "0")
                                <span class="badge badge-grey-color">{{ $subCategory->sale }}%</span>
                                <span class="label-text">ON SALE </span>
                                @endif
                            </div>
                            @if($subCategory->api)

                            <h3 class="price-detail"> {{ __($general->cur_text) }} Min: {{ showAmount($convertedMinPrice) }} | Max: {{ showAmount($convertedMaxPrice) }}</h3>

                            <h3 class="price-detail">{{ $subCategory->currency_code }} Min: {{ showAmount($subCategory->min_price) }} | Max: {{ showAmount($subCategory->max_price) }}</h3>
                            @else

                            <h3 class="price-detail">{{ showAmount($subCategory->price) }} {{ __($general->cur_text) }}</h3>
                            @endif

                             <form action="{{ route('user.card.cart') }}" method="post">
                            <div id="selectSize" class="addeffect-section product-description border-product">

                @csrf
                <input type="hidden" required name="id" value="{{ $subCategory->id }}">
                 @if($subCategory->api)
                <input type="hidden" required name="currency" value="{{ $subCategory->currency_code }}">
                @else
                 <input type="hidden" required name="currency" value="{{ __($general->cur_text) }}">

               @endif
                 @if(!$subCategory->api)
                <li>
                    @lang('Stock'): <span class="text--success">
                        {{ $subCategory->card->where('user_id', 0)->count() }}
                    </span>
                </li>
                @endif
                @if($subCategory->api)
               
                @endif

  <input type="hidden" name="api" value="{{ $subCategory->api }}" class="text--base text-center bg-transparent border-0">


                                <div class="row">
                                    <div class="col-md-6">
                                        <h5 class="d-block mb-2" style="color:red;">@lang('Enter Price') {{ $subCategory->currency_code }}:</h5>

                                        <input required type="number" name="price" placeholder="{{ showAmount($subCategory->min_price) }}"  min="{{ showAmount($subCategory->min_price) }}" max="{{ showAmount($subCategory->max_price) }}" class="form-control">

                                    </div>
                                    <div class="col-md-6">
                                        <h5 class="d-block mb-2" style="color:red;">@lang('Quantity') {{ $subCategory->currency_code }}:</h5>
                                                        <input type="number" name="quantity" value="1" min="1" class="form-control" required>

                                    </div>
                                </div>
                            </div>
                            <div class="product-buttons mt-4"><button type="submit" id="cartEffect"
                                    class="btn btn-primary hover-solid btn-animation"><i class="fa fa-shopping-cart me-1"
                                        aria-hidden="true"></i> Cart</button>
                            </div>
                            </form>
                         
                            <div class="border-product">
                                <h6 class="product-title">100% secure payment</h6>
                                <img src="{{ url('assets/newuser/images') }}/payment.png" class="img-fluid mt-1" alt="">
                                @if($subCategory->sale != "0")
                                <p>Discounted amount will be added and displayed in final cart value.</p>
                                @endif
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </section>
    <!-- Section ends -->
  <!-- product-tab starts -->
  </div>
   @if($details)
<div class="col-lg-12  card"> 
    <section class="tab-product m-0">
        <div class="container">
            <div class="row">
                <div class="col-sm-12 col-lg-12">
                    <ul class="nav nav-tabs nav-material" id="top-tab" role="tablist">
                        <li class="nav-item"><a class="nav-link active" id="top-home-tab" data-bs-toggle="tab"
                                href="#top-home" role="tab" aria-selected="true"><i
                                    class="icofont icofont-ui-home"></i>Details</a>
                            <div class="material-border"></div>
                        </li>

                    </ul>
                    <div class="tab-content nav-material" id="top-tabContent">
                        <div class="tab-pane fade show active" id="top-home" role="tabpanel"
                            aria-labelledby="top-home-tab">
                            <div class="product-tab-discription">
                                <div class="part">
                                     @foreach($details->content as $d)
    <?php print_r($d->description);?>
    @endforeach
                                </div>

                            </div>
                        </div>

                    </div>
                </div>
            </div>
        </div>
    </section>
    <!-- product-tab ends -->
        @endif
</div>

</div>

<div class="modal fade cmn--modal" id="confirm" tabindex="-1" aria-labelledby="confirmModalLabel" aria-hidden="true">
    <div class="modal-dialog modal-dialog-centered">
        <div class="modal-content">
        <div class="modal-header">
            <h6 class="modal-title">@lang('Confirmation')</h6>
            <button type="button" class="btn-close" data-dismiss="modal" aria-label="Close"></button>
        </div>
        <div class="modal-body text-center">
            @lang('Add to Cart')?
        </div>
        <div class="modal-footer">
            <button type="button" class="btn btn--danger" data-dismiss="modal">@lang('Close')</button>
            <div class="prevent-double-click">
                <button type="submit" class="btn btn-primary">@lang('Confirm')</button>
            </div>
        </div>
        </div>
    </div>
</div>

@endsection

@push('script')
    <script>

    jQuery('<div class="quantity-nav"><div class="quantity-button quantity-up"><i class="fa fa-plus"></i></div><div class="quantity-button quantity-down"><i class="fa fa-minus"></i></div></div>').insertAfter('.quantity input');
    jQuery('.quantity').each(function () {
        var spinner = jQuery(this),
            input = spinner.find('input[type="number"]'),
            btnUp = spinner.find('.quantity-up'),
            btnDown = spinner.find('.quantity-down'),
            min = input.attr('min'),
            max = input.attr('max');

        btnUp.on('click', function () {
            var oldValue = parseFloat(input.val());
            if (oldValue >= max) {
                var newVal = oldValue;
            } else {
                var newVal = oldValue + 1;
            }
            spinner.find("input").val(newVal);
            spinner.find("input").trigger("change");
        });

        btnDown.on('click', function () {
            var oldValue = parseFloat(input.val());
            if (oldValue <= min) {
                var newVal = oldValue;
            } else {
                var newVal = oldValue - 1;
            }
            spinner.find("input").val(newVal);
            spinner.find("input").trigger("change");
        });
    });

    $('.form').on('submit', function(e){
        e.preventDefault();
        $('#confirm').modal('show');

        $('.confirmBtn').on('click', function(){
            e.currentTarget.submit();
        });
    });

    </script>
@endpush
