
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">

    <title> {{ $general->sitename(__($pageTitle)) }}</title>
    <link href="https://fonts.googleapis.com/css?family=Lato:300,400,700,900" rel="stylesheet">
    <link rel="preconnect" href="https://fonts.gstatic.com">
    <link href="https://fonts.googleapis.com/css2?family=Yellowtail&display=swap" rel="stylesheet">

    @include('partials.seo')

 <!-- fonts -->
    <link href="https://fonts.googleapis.com/css2?family=Manrope:wght@300;400;500;600;700;800&display=swap"
        rel="stylesheet">
    <link
        href="https://fonts.googleapis.com/css2?family=DM+Sans:ital,wght@0,400;0,500;0,700;1,400;1,500;1,700&display=swap"
        rel="stylesheet">

    <link rel="stylesheet" href="{{asset($activeTemplateTrue.'home/vendors/animate/animate.min.css')}}" />
 <!-- g fonts style -->
 <link href="https://fonts.googleapis.com/css?family=Roboto:300,400,500&display=swap" rel="stylesheet">
 <!-- g fonts style ends -->

 <!-- Vendor or 3rd party style -->

 <!-- material icons -->
 <link href="{{asset($activeTemplateTrue.'home2/vendor/material-icons/material-icons.css')}}" rel="stylesheet">
 <!-- Bootstrap icons -->
 <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap-icons@1.10.5/font/bootstrap-icons.css">
 <!-- flags icons -->
 <link href="{{asset($activeTemplateTrue.'home2/vendor/flags/css/flag-icon.min.css')}}" rel="stylesheet">
 <!-- daterange picker -->
 <link href="{{asset($activeTemplateTrue.'home2/vendor/daterangepicker-master/daterangepicker.css')}}" rel="stylesheet">
 <!-- swiper slider -->
 <link href="{{asset($activeTemplateTrue.'home2/vendor/swiper/css/swiper.min.css')}}" rel="stylesheet">

 <!-- Vendor or 3rd party style ends -->

 <!-- Customized template style mandatory -->
 <link href="{{asset($activeTemplateTrue.'home2/css/style-darkblue-dark.css')}}" rel="stylesheet" id="stylelink">
 <!-- Customized template style ends -->

 <!-- app customized style -->
 <link href="{{asset($activeTemplateTrue.'home2/css/app-custom.css')}}" rel="stylesheet">
 <!-- app customized style ends -->
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.css" integrity="sha512-5A8nwdMOWrSz20fDsjczgUidUBR8liPYU+WymTZP1lmY9G6Oc7HlZv156XqnsgNUzTyMefFTcsFH/tnJE/+xBg==" crossorigin="anonymous" referrerpolicy="no-referrer" />
    <link rel="stylesheet" href="{{ asset($activeTemplateTrue. 'css/color.php?color='.$general->base_color.'&secondColor='.$general->secondary_color) }}">
    <link rel='manifest' href='{{asset('assets/global/js/manifest.json')}}'>
    <script type="module">import 'https://cdn.jsdelivr.net/npm/@pwabuilder/pwaupdate';

        const el = document.createElement('pwa-update');
        document.body.appendChild(el);
          </script>
    @stack('style-lib')

    @stack('style')

</head>

<body>
    <div class="loader container-fluid">
        <div class="row h-100">
            <div class="col-auto align-self-center  mx-auto text-center">
                <img src="{{ getImage(imagePath()['logoIcon']['path'] .'/favicon.png') }}" width="100px" alt="" class="logo-icon mx-auto">
                <br><br>
                <div class="loader-ripple">
                    <div></div>
                    <div></div>
                </div>
                <br>
                <p>Loading...</p>
            </div>
        </div>
    </div>
    <!-- Sidebar starts -->
    @include($activeTemplate.'partials.front_header')
       <!-- wrapper starts -->
    <div class="wrapper" id="homesection">
        <div class="content shadow-sm">

            @include($activeTemplate.'partials.frontusertopnav')
    @include($activeTemplate.'partials.banner')


    @yield('content')

    @include($activeTemplate.'partials.regnewfooterhome')
</div>
    @php
    $header = getContent('header.content', true);
    $socialMedias = getContent('social_icon.element');
     $advert = getContent('dashboardadverts.content', true);
    $user = Auth::user();
      $general = App\Models\GeneralSetting::first();
@endphp



    <!-- Global js mandatory -->
    <script src="{{asset($activeTemplateTrue.'home2/js/jquery-3.3.1.min.js')}}"></script>
    <script src="{{asset($activeTemplateTrue.'home2/js/popper.min.js')}}"></script>
    <script src="{{asset($activeTemplateTrue.'home2/vendor/bootstrap/js/bootstrap.min.js')}}"></script>
    <script src="{{asset($activeTemplateTrue.'home2/vendor/cookie/jquery.cookie.js')}}"></script>

    <!-- Global js ends -->

    <!-- Vendor or 3rd party js -->

    <!-- date range picker -->
    <script src="{{asset($activeTemplateTrue.'home2/vendor/daterangepicker-master/moment.min.js')}}"></script>
    <script src="{{asset($activeTemplateTrue.'home2/vendor/daterangepicker-master/daterangepicker.js')}}"></script>

    <!-- swiper slider -->
    <script src="{{asset($activeTemplateTrue.'home2/vendor/swiper/js/swiper.min.js')}}"></script>


    <!-- Vendor or 3rd party js ends -->

    <!-- Customized template js mandatory -->
    <script src="{{asset($activeTemplateTrue.'home2/js/main.js')}}"></script>
    <!-- Customized template js ends -->

    <!-- theme picker -->
    <script src="{{asset($activeTemplateTrue.'home2/js/style-picker.js')}}"></script>
    <!-- theme picker ends -->



    @stack('script-lib')

    @stack('script')

    @include('partials.plugins')

    @include('partials.notify')

    <script>

        $(document).ready(function (){

            "use strict";



            $(".langselectable").on("click", function () {
            console.log('I ran');
            var selected = $(this);
            console.log(selected);
            var data = selected.data('lang');
            window.location.href = "{{route('home')}}/change/" + data;
        });
        
        /* style selected color scheme */
 if ($.type($.cookie("styleselected")) != 'undefined' && $.cookie("styleselected") != '') {
        var currentstyle = $('#stylelink');
        var paths = "{{asset($activeTemplateTrue.'css/')}}";
        var endpath = ".css";
        $('head').append('<link href="' + paths + '/' + $.cookie(`styleselected`) + endpath + '" rel="stylesheet" id="stylelink">');
        setTimeout(function () {
            currentstyle.remove();
        }, 200);

    } else {
        var paths = "{{asset($activeTemplateTrue.'css/')}}";
        var endpath = ".css";
        $('head').append('<link href="' + paths + '/' + '"css/style-darkblue-dark.css" rel="stylesheet" id="stylelink">');
    }


            if(!{{ $general->dark }}){
                $('#version').addClass('light-version');
                $('.logo img').attr('src', '{{getImage(imagePath()['logoIcon']['path'] .'/logo.png')}}');

            }else{
                $('#version').removeClass('light-version');
                $('.logo img').attr('src', '{{getImage(imagePath()['logoIcon']['path'] .'/darkLogo.png')}}');
            }

        });
    </script>
     <!-- Customized page level js -->
     <script>
        'use strict'
        $(document).ready(function () {
            document.querySelectorAll('a[href^="#"]').forEach(anchor => {
                anchor.addEventListener('click', function (e) {
                    e.preventDefault();

                    document.querySelector(this.getAttribute('href')).scrollIntoView({
                        behavior: 'smooth'
                    });
                });
            });
            /* swiper slider */
            var swiper = new Swiper(".homebanner", {
                autoplay: {
                    delay: 5000,
                    disableOnInteraction: false,
                },
                navigation: {
                    nextEl: ".swiper-button-next",
                    prevEl: ".swiper-button-prev",
                },
                pagination: {
                    el: ".swiper-pagination",
                },
            });

        });

    </script>

</body>
</html>
