<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">

    <title> {{ $general->sitename(__($pageTitle)) }}</title>
    @include('partials.seo')

    <link rel="stylesheet" href="{{asset($activeTemplateTrue.'css/bootstrap.min.css')}}">
    <link rel="stylesheet" href="{{asset($activeTemplateTrue.'css/animate.css')}}">
    <link rel="stylesheet" href="{{asset($activeTemplateTrue.'css/all.min.css')}}">
    <link rel="stylesheet" href="{{asset($activeTemplateTrue.'css/line-awesome.min.css')}}">
    <link rel="stylesheet" href="{{asset($activeTemplateTrue.'css/owl.min.css')}}">

    <link rel="stylesheet" href="{{asset($activeTemplateTrue.'css/nice-select.css')}}">

    <link rel="stylesheet" href="{{asset($activeTemplateTrue.'css/bootstrap-fileinput.css')}}">
    <link rel="stylesheet" href="{{asset($activeTemplateTrue.'css/main.css')}}">

    <link rel="stylesheet" href="{{ asset($activeTemplateTrue. 'css/color.php?color='.$general->base_color.'&secondColor='.$general->secondary_color) }}">

    <link rel="stylesheet" href="{{asset($activeTemplateTrue.'css/custom.css')}}">
<link href="//maxcdn.bootstrapcdn.com/font-awesome/4.1.0/css/font-awesome.min.css" rel="stylesheet">
    @stack('style-lib')

    @stack('style')

</head>

<body id="version">
    <style>
 
      .table>tbody>tr>td,
.table>tfoot>tr>td {
  vertical-align: middle;
}

@media screen and (max-width: 600px) {
  table#cart tbody td .form-control {
    width: 20%;
    display: inline !important;
  }
  .actions .btn {
    width: 36%;
   
  }
  .actions .btn-info {
    float: left;
  }
  .actions .btn-danger {
    float: right;
  }
  table#cart thead {
    display: none;
  }
  table#cart tbody td {
    display: block;
    padding: .6rem;
    min-width: 320px;
  }
  table#cart tbody tr td:first-child {
    background: #333;
    color: #fff;
  }
  table#cart tbody td:before {
    content: attr(data-th);
    font-weight: bold;
    display: inline-block;
    width: 8rem;
  }
  table#cart tfoot td {
    display: block;
  }
  table#cart tfoot td .btn {
    display: block;
  }
}  
    </style>
    @stack('fbComment')

    <div class="preloader">
        <div class="loader-inner">
            <div class="loader-circle">
                <img src="{{asset($activeTemplateTrue.'images/favicon.png')}}" alt="@lang('Preloader')">
            </div>
            <div class="loader-line-mask">
            <div class="loader-line"></div>
            </div>
        </div>
    </div>

    <a href="#0" class="scrollToTop"><i class="las la-angle-up"></i></a>
    <div class="overlay"></div>

    @include($activeTemplate.'partials.auth_header')
    @include($activeTemplate.'partials.banner')

    

    <section class="dashboard-section pt-80 pb-80">
    <div id="addModal" class="modal fade" tabindex="-1" role="dialog">
        <div class="modal-dialog modal-lg" role="document">
            <div class="modal-content" style="background: #050914;box-shadow: 0px 1px 10px 10px #2c1142;">
<!--                <div class="modal-header">
                    <h5 style ="color: black;"class="modal-title text-white">@lang('My Cart')</h5>
                
                </div>-->
                <form action="#" method="POST" enctype="multipart/form-data">
                    @csrf
                    <div class="modal-body">
                        <div class="row">
                            <div class="container">
  <table id="cart" class="table table-condensed text-white">
    <thead>
      <tr>
        <th style="width:50%">Product</th>
        <th style="width:10%">Price</th>
        <th style="width:8%">Quantity</th>
        <th style="width:22%" class="text-center">Subtotal</th>
        <th style="width:10%">Action</th>
      </tr>
    </thead>
    <tbody>
      <tr>
        <td data-th="Product">
          <div class="row">
            <div class="col-sm-4 hidden-xs"><img src="https://via.placeholder.com/60x60?text=Noimage" alt="..." class="img-responsive" /></div>
            <div class="col-sm-8">
              <h5 class="mt-2">Product 1</h5>
              <p class="mt-2">Quis aute iure reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Lorem ipsum dolor sit amet.</p>
            </div>
          </div>
        </td>
        <td data-th="Price">$1.99</td>
        <td data-th="Quantity">
          1
        </td>
        <td data-th="Subtotal" class="text-center">1.99</td>
        <td class="actions" data-th="">
        
          <button class="btn btn-danger btn-sm"><i class="fa fa-trash-o"></i></button>
        </td>
      </tr>
       <tr>
        <td data-th="Product">
          <div class="row">
            <div class="col-sm-4 hidden-xs"><img src="https://via.placeholder.com/60x60?text=Noimage" alt="..." class="img-responsive" /></div>
            <div class="col-sm-8">
              <h5 class="mt-2">Product 2</h5>
              <p class="mt-2">Quis aute iure reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Lorem ipsum dolor sit amet.</p>
            </div>
          </div>
        </td>
        <td data-th="Price">$1.99</td>
        <td data-th="Quantity">
          1
        </td>
        <td data-th="Subtotal" class="text-center">1.99</td>
        <td class="actions" data-th="">
        
          <button class="btn btn-danger btn-sm"><i class="fa fa-trash-o"></i></button>
        </td>
      </tr>
        <tr>
        <td data-th="Product">
          <div class="row">
            <div class="col-sm-4 hidden-xs"><img src="https://via.placeholder.com/60x60?text=Noimage" alt="..." class="img-responsive" /></div>
            <div class="col-sm-8">
              <h5 class="mt-2">Product 1</h5>
              <p class="mt-2">Quis aute iure reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Lorem ipsum dolor sit amet.</p>
            </div>
          </div>
        </td>
        <td data-th="Price">$1.99</td>
        <td data-th="Quantity">
          1
        </td>
        <td data-th="Subtotal" class="text-center">1.99</td>
        <td class="actions" data-th="">
        
          <button class="btn btn-danger btn-sm"><i class="fa fa-trash-o"></i></button>
        </td>
      </tr>
       <tr>
        <td data-th="Product">
          <div class="row">
            <div class="col-sm-4 hidden-xs"><img src="https://via.placeholder.com/60x60?text=Noimage" alt="..." class="img-responsive" /></div>
            <div class="col-sm-8">
              <h5 class="mt-2">Product 2</h5>
              <p class="mt-2">Quis aute iure reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Lorem ipsum dolor sit amet.</p>
            </div>
          </div>
        </td>
        <td data-th="Price">$1.99</td>
        <td data-th="Quantity">
          1
        </td>
        <td data-th="Subtotal" class="text-center">1.99</td>
        <td class="actions" data-th="">
        
          <button class="btn btn-danger btn-sm"><i class="fa fa-trash-o"></i></button>
        </td>
      </tr>
    </tbody>
    <tfoot>
      <tr class="visible-xs">
        <td class="text-center"><strong>Total 1.99</strong></td>
      </tr>
      <tr>
        <td><a href="#" data-dismiss="modal" class="btn btn-primary"><i class="fa fa-angle-left"></i> Continue Shopping</a></td>
        <td colspan="2" class="hidden-xs"></td>
        <td class="hidden-xs text-center"><strong>Total $1.99</strong></td>
        <td><a href="#" class="btn btn btn-primary">Checkout <i class="fa fa-angle-right"></i></a></td>
      </tr>
    </tfoot>
  </table>
</div>

                        </div>
                    </div>
                    
                </form>
            </div>
        </div>
    </div>
        @yield('content')
    </section>

    @include($activeTemplate.'partials.footer')

    <script>
        "use strict";
        function setVersion(){
            if(!{{ $general->dark }}){
                $('#version').addClass('light-version');
                $('.logo img').attr('src', '{{getImage(imagePath()['logoIcon']['path'] .'/logo.png')}}');

            }else{
                $('#version').removeClass('light-version');
                $('.logo img').attr('src', '{{getImage(imagePath()['logoIcon']['path'] .'/darkLogo.png')}}');
            }
        }
    </script>

    <script src="{{asset($activeTemplateTrue.'js/jquery-3.3.1.min.js')}}"></script>
    <script src="{{asset($activeTemplateTrue.'js/bootstrap.min.js')}}"></script>
    <script src="{{asset($activeTemplateTrue.'js/rafcounter.min.js')}}"></script>
    <script src="{{asset($activeTemplateTrue.'js/nice-select.js')}}"></script>
    <script src="{{asset($activeTemplateTrue.'js/owl.min.js')}}"></script>
    <script src="{{asset($activeTemplateTrue.'js/main.js')}}"></script>

    @stack('script-lib')

    @stack('script')

    @include('partials.plugins')

    @include('partials.notify')

    <script>
        

           

        $(document).ready(function (){

            "use strict";

            $(".langSel").on("change", function() {
                window.location.href = "{{route('home')}}/change/"+$(this).val() ;
            });

           

            if(!{{ $general->dark }}){
                $('#version').addClass('light-version');
                $('.logo img').attr('src', '{{getImage(imagePath()['logoIcon']['path'] .'/logo.png')}}');

            }else{
                $('#version').removeClass('light-version');
                $('.logo img').attr('src', '{{getImage(imagePath()['logoIcon']['path'] .'/darkLogo.png')}}');
            }

        });
    </script>

</body>
</html>
