@php
$header = getContent('header.content', true);
$advert = getContent('dashboardadverts.content', true);
$socialMedias = getContent('social_icon.element');
$socialIcons = getContent('social_icon.element');
$user = Auth::user();
$general = App\Models\GeneralSetting::first();
$games = App\Models\Game::where('status',1)->get(['image','name','id','max_limit','min_limit','win','invest_back','alias']);
@endphp
   <!-- Sidebar starts -->
   <div class="sidebar">
    <!-- Logo sidebar -->
    @auth
    <a href="{{ route('user.home') }}" class="logo p-0 text-center">

        @else
        <a href="{{ route('home') }}" class="logo p-0 text-center">
            @endauth
        <img src="{{ getImage(imagePath()['logoIcon']['path'] .'/favicon.png') }}" width="65px" alt="" class="mx-auto">
    </a>
    <!-- Logo sidebar ends -->

    <!-- Navigation menu sidebar-->
    <h6 class="subtitle fs11">Main Menu</h6>
    <ul class="nav flex-column">
        <li class="nav-item">
            <a class="nav-link" href="#homesection"><i class="material-icons icon">dashboard</i><span>@lang('Home')</span></a>
        </li>
        <li class="nav-item">
            <a class="nav-link" href="#aboutus"><i class="material-icons icon">domain</i><span>@lang('About us')</span></a>
        </li>
        <li class="nav-item">
            <a class="nav-link" href="{{route('donate')}}"><i class="bi bi-piggy-bank icon"></i><span>@lang('Donate')</span></a>
        </li>
        <li class="nav-item">
            <a class="nav-link" href="#newsblog"><i class="bi bi-newspaper icon"></i><span>@lang('News')</span></a>
        </li>
        <li class="nav-item">
            <a class="nav-link" href="#contactus"><i class="bi bi-envelope icon"></i><span>@lang('Get in Touch')</span></a>
        </li>
    </ul>

    <!-- Navigation menu sidebar ends -->
    <hr class="border-top">
    <!-- social -->
    <ul class="nav my-4">
        @foreach($socialIcons as $icon)
                <li class="nav-item">
                    <a class="nav-link text-theme" href="{{ $icon->data_values->url }}" target="_blank">
                        @php
                            echo $icon->data_values->social_icon;
                        @endphp
                    </a>
                </li>
            @endforeach

    </ul>
    <!-- social ends -->

</div>
<!-- Sidebar ends -->
