@php
    $blog = getContent('blog.content', true);
    $blogs = getContent('blog.element');
@endphp
<!-- blogs news  -->
<div class="container py-4 py-lg-5" id="newsblog">
    <div class="text-center">
        <p class="page-subtitle center">News Room</p>
        <h1 class="font-weight-light mb-2">{{ __(@$blog->data_values->title) }}</h1>
        <p class="mb-4 mb-lg-5 lead text-mute">{{ __(@$blog->data_values->sub_heading) }}</p>
    </div>

    <div class="row">
        @foreach($blogs as $singleblog)
        <div class="col-12 col-md-6 col-lg-4">
            <div class="card border-0 shadow-sm mb-4 overflow-hidden h-100">
                <div class="card-img-top">
                    <figure class="background">
                        <img src="{{ getImage('assets/images/frontend/blog/' .@$singleblog->data_values->image, '540x330') }}" alt="" />
                    </figure>
                </div>
                <div class="card-body">
                    <h6 class="template-inverse">{{ __($singleblog->data_values->category) }}</h6>
                    <p class="text-template-primary-light">Posted by : Admin</p>
                    <p class="text-template-primary-light">{{ __($singleblog->data_values->title) }} <a href="{{ route('blog.details', ['slug'=>slug($singleblog->data_values->title), 'id'=>$singleblog->id]) }}">Read More...</a></p>
                </div>
                <div class="card-footer">
                    <span><i class="material-icons md-18 vm mr-1">visibility</i> <span class="text-template-primary-light">{{ __($singleblog->view) }}</span></span>

                </div>
            </div>
        </div>
        @endforeach

    </div>
</div>
<!-- blogs news ends -->



