@php
    $download = getContent('download.content', true);

@endphp
<div class="container mb-4 rounded overflow-hidden position-relative py-4">
    <div class=" background-slide-image" style="background-image: url({{ getImage('assets/images/frontend/download/' .@$download->data_values->image, '780x230') }}); "></div>
    <div class="row align-items-center">
        <div class="col-12 col-xl position-relative p-4 py-xl-5">
            <h2>{{ __(@$download->data_values->heading) }}</h2>
            <p class="text-mute">{{ __(@$download->data_values->subheading) }}</p>
        </div>
        <div class="col-6 col-xl-auto p-4 py-xl-5">
            <a href="{{ __(@$download->data_values->appstorelink) }}" target="_blank" class="row gx-3 align-items-center h-100 justify-content-center">
                <div class="col-auto"><i class="display-4 mb-0 bi-apple text-white"></i></div>
                <div class="col-auto">
                    <p class="text-white font-weight-light mb-1 text-mute mt-1">Get it now from</p>
                    <h4 class="text-white mb-0">App Store</h4>
                </div>
            </a>
        </div>
        <div class="col-6 col-xl-auto p-4 py-xl-5">
            <a href="{{ __(@$download->data_values->playstorelink) }}" target="_blank" class="row gx-3 align-items-center h-100 justify-content-center">
                <div class="col-auto"><i class="display-4 mb-0 bi-google-play text-white"></i></div>
                <div class="col-auto">
                    <p class="text-white font-weight-light mb-1 text-mute mt-1">Get it now from</p>
                    <h4 class="text-white mb-0">Google Play</h4>
                </div>
            </a>
        </div>
    </div>
</div>
<!-- download -->


