@extends($activeTemplate.'layouts.auth_master')
@section('content')


<div class="container main-container" id="main-container">
    <div class="card mb-4">
        <div class="card-header">
            <div class="row">
                <div class="col-12 col-sm">
                    <h5 class="title my-2">Perpaid MasterCards</h5>
                </div>
            </div>
        </div>
      
        <div class="row m-4" style="clear:both">
            <div class="col-12">
                <div class="card">
                    <div class="card-header">
                        <h5 class="card-title">List of Purchased Perpaid MasterCards</h5>
                    </div>
                    <div class="card-body">
                        <div class="table-responsive-sm">
                        <table class="table mx-0 datatable2" id="datatable2">
                                <thead class="">
                                    <tr>
                                        <th class="desktop tablet mobile" data-priority="2">Date</th>
                                        
                                        <th class="desktop tablet  mobile" data-priority="2">View Card</th>
                                    </tr>
                                </thead>
                                <tbody>
                                    @foreach($cards as $c)
                                    <tr>
                                        <td>
                                            {{ $c->created_at }}
                                        </td>
                                       
                                        <td>
                                            <a href="{{ route('user.prepaid.master',$c->id) }}" target="_blank"><i class="fa fa-credit-card"></i></a>
                                        </td>
                                    </tr>
                                    @endforeach
                                </tbody>
                            </table>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>


@endsection