@extends($activeTemplate.'layouts.auth_master')
@php
$user = auth()->user();

@endphp
@section('content')
<div class="container main-container" id="main-container">
    <div class="card mb-4">
        <div class="card-header">
            <div class="row">
                <div class="col-12 col-sm">
                    <h5 class="title my-2">NGN Bank Account</h5>
                </div>
            </div>
        </div>

        <div class="row m-4">
            <div class="col-md-8 offset-2">
                <div class="card">
                    <div class="card-header">
                        <h5 class="card-title">@lang('Bank Details')</h5>
                        
                        <p class="">NGN @lang('Account Details')</p>
                    </div>
                </div>

                <div class='row'>


                    <div class='col-md-6'>
                        <div class="card-body">
                            <ul class="list-group list-group-flush">


                                <li class="list-group-item d-flex justify-content-between"><span class="mb-0">Bank Name :</span><strong>@lang('Kuda Bank')</strong></li>
                                <li class="list-group-item d-flex justify-content-between"><span class="mb-0">Account Number :</span><strong>{{$check->accountNumber}}</strong></li>
                                <li class="list-group-item d-flex justify-content-between"><span class="mb-0">Available Balance :</span><strong>{{ showAmount($balance->data->availableBalance / 100) }}</strong></li>
                                <li class="list-group-item d-flex justify-content-between"><span class="mb-0">Ledger Balance :</span><strong>{{ showAmount($balance->data->ledgerBalance / 100) }}</strong></li>
                                <li class="list-group-item d-flex justify-content-between"><span class="mb-0">Withdrawable Balance :</span><strong>{{ showAmount($balance->data->withdrawableBalance / 100) }}</strong></li>
                            </ul>
                        </div>
                    </div>

                </div>
            </div>
        </div>
    </div>
</div>



@endsection