@extends($activeTemplate.'layouts.auth_master')
@section('content')
<div class="container main-container" id="main-container">
  <div class="card mb-4">
    <div class="card-header">
      <div class="row">
        <div class="col-12 col-sm">
          <h5 class="title my-2">@lang('Agent List')</h5>
        </div>
      </div>
    </div>
    <div class="card-body">
    <table class="table mx-0 datatable2" id="datatable2">
        <thead class="">
          <tr>
            <th class="desktop tablet mobile" data-priority="2">@lang('Agent')</th>
            <th class="desktop tablet mobile" data-priority="2">@lang('Address')</th>
            <th class="desktop tablet mobile " data-priority="2">@lang('Contact')</th>
            <th class="desktop tablet " data-priority="2">@lang('Gmap')</th>

          </tr>
        </thead>
        <tbody>

          @foreach($agent as $data)
          <tr>
            <td>{{ $data->company }}</td>
            <td>{{ $data->address->address }} {{ $data->address->city }} {{ $data->address->state }} {{ $data->address->zip }}</td>
            <td>{{ $data->mobile }}</td>
            <td>
              <a target="_blank" href="https://www.google.com/maps/dir/?api=1&destination={{ $data->address->address }} {{ $data->address->city }} {{ $data->address->state }} {{ $data->address->zip }}"><i class="fa fa-map"></i>
              </a>
            </td>
          </tr>
          @endforeach

        </tbody>
      </table>
    </div>
  </div>
</div>


@endsection