@extends($activeTemplate.'layouts.auth_master')
@section('content')
<div class="container main-container" id="main-container">
    <div class="card mb-4">
        <div class="card-header">
            <div class="row">
                <div class="col-12 col-sm">
                    <h5 class="title my-2"> review</h5>
                </div>

            </div>
        </div>
   
        <div class="container">
            <div class="row justify-content-center g-4">
                <div class="col-md-3">
                    <div class="deposit-item d-block">
                        <div class="deposit-thumb w-100">
                            <img class="mw-100" src="{{$deposit->gatewayCurrency()->methodImage()}}" alt="@lang('Image')">
                        </div>
                    </div>
                </div>
                <div class="col-md-9">
                    <div class="mt-4">
                        <p>
                            @lang('Please Pay') {{showAmount($deposit->final_amo)}} {{__($deposit->method_currency)}}
                        </p>
                        <p class="my-3">
                            @lang('To Get') {{showAmount($deposit->amount)}}  {{__($general->cur_text)}}
                        </p>
                    </div>

                    <div class="mt-4">
                        <form action="{{ route('ipn.'.$deposit->gateway->alias) }}" method="POST" class="">
                            @csrf
                            <button class="btn btn-primary justify-content-center" id="btn-confirm">
                             @lang('Pay Now')
                            </button>
                                <script
                                src="//js.paystack.co/v1/inline.js"
                                data-key="{{ $data->key }}"
                                data-email="{{ $data->email }}"
                                data-amount="{{ round($data->amount,0) }}"
                                data-currency="{{$data->currency}}"
                                data-ref="{{ $data->ref }}"
                                data-custom-button="btn-confirm"
                            >
                            </script> 
                        </form>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>

@endsection
