@extends($activeTemplate.'layouts.auth_master')
@section('content')


     <!-- section start -->
     <div class="container main-container" id="main-container">
        <div class="row justify-content-center mt-4">

                <div class="col-12 col-md-6">
                    <div class="card shadow-sm border-0 mb-4 gradient-blue overflow-hidden">
                        <div class="card-body p-0">
                            <div class="row no-gutters">
                                <div class="col-8 p-4">
                                    <h6 class="subtitle">Amount</h6>
                                    <h1><span class="font-weight-light">{{__($general->cur_text)}} {{showAmount($data->amount)}} </span> </h1>
                                    <p class="text-mute">Details:</p>
                                    <p><span class="text-mute-high">Charge</span> <span> {{__($general->cur_text)}} {{showAmount($data->charge)}}</span> </p>
                                    <p><span class="text-mute-high">Payable</span> <span> {{__($general->cur_text)}} {{showAmount($data->amount + $data->charge)}}</span> </p>
                                    <p><span class="text-mute-high">Conversion Rate</span> <span> 1 {{__($general->cur_text)}} = {{$data->rate }}  {{__($data->method_currency)}}</span> </p>
                                    <p><span class="text-mute-high">In {{$data->method_currency}}</span> <span>{{ $data->final_amo }}</span> </p>
                                    <div class="mt-4">
                                        @if( 1000 >$data->method_code)
                                            <a href="{{route('user.deposit.confirm')}}" class="btn btn-primary">
                                                @lang('Pay Now')
                                            </a>
                                        @else
                                            <a href="{{route('user.deposit.manual.confirm')}}" class="btn btn-primary">
                                                @lang('Pay Now')
                                            </a>
                                        @endif
                                    </div>
                                </div>
                                <div class="col-4 p-4">
                                    <img src="{{ $data->gatewayCurrency()->methodImage() }}" alt="" class="right-img float-right mnh-100 mw-100">
                                </div>
                            </div>
                        </div>
                    </div>
                </div>


            </div>


    <!-- Section ends -->
        </div>

@endsection


