@extends($activeTemplate.'layouts.auth_master')
@section('content')
<div class="container main-container" id="main-container">
    <div class="card mb-4">
        <div class="card-header">
            <div class="row">
                <div class="col-12 col-sm">
                    <h5 class="title my-2">Purchased Gift Card Details</h5>
                </div>
            </div>
        </div>

        <section class="pt-120 pb-120 mt-4">
            <div class="container">
                <div class="container mt-4">
                    <div class="row justify-content-center mt-2">
                        <div class="col-md-12">
                            <div class="card-body">
                                <div class="table-responsive-sm">
                                    <table class="table mx-0 datatable1" id="datatable1">
                                        <thead class="">
                                            <tr>
                                                <th class="desktop tablet mobile" data-priority="2">@lang('Brand ID')</th>
                                                <th class="desktop tablet mobile" data-priority="2">@lang('Transaction ID')</th>
                                                <th class="desktop tablet " data-priority="2">@lang('Brand Name')</th>
                                                <th class="desktop tablet " data-priority="2">@lang('Redeem Instruction')</th>
                                                <th class="desktop tablet " data-priority="2">@lang('Redeem Codes')</th>
                                              


                                            </tr>
                                        </thead>
                                        <tbody>

                                            <tr>
                                                <td>{{ $result['brand_id'] }}</td>
                                                <td>{{ $result['transaction_id'] }}</td>
                                                <td>{{ $result['redeem_instructions']['brandName'] }}</td>

                                                <td>{{ $result['redeem_instructions']['concise'] }}
                                                    <br>
                                                    {{ $result['redeem_instructions']['verbose'] }}
                                                </td>
                                                <td> 
                                                    @foreach ($result['redeem_codes'] as $code)
                                                    Card Number : {{ $code['cardNumber'] }}<br>
                                                    Pin Code : {{ $code['pinCode'] }}<br><br>
                                                    @endforeach
                                                </td>
                                                   



                                            </tr>


                                        </tbody>

                                    </table>
                                </div>
                            </div>
                        </div>
                    </div>


                </div>

            </div>

        </section>
    </div>
</div>
@endsection