@extends($activeTemplate.'layouts.auth_master')
@php
$carddesign = getContent('carddesign.content', true);
@endphp
@section('content')


<div class="container-fluid main-container" id="main-container">
    
    <h3 class="font-weight-light text-center mt-3 mb-4">Buy Prepaid MasterCards<span class="text-template-primary"> New</span> and <span class="text-template-primary-light">Latest</span></h3>
    <div class='card'>
        <div class='card-body'>
    
                                                                   
                     <div class="row">
                         @if(isset($cards->data))
                         @forelse($cards->data as $singleCard)
                    <div class="col-12 col-sm-6 col-lg-4 col-xl-3">
                        <div class="card shadow-sm border-0 mb-4">
                            <div class="card-img-top">
                                <div style="background-size:contain !important;" class="background">
                                    
                                     <img src="{{ getImage('assets/images/frontend/carddesign/' .@$carddesign->data_values->mastercardprepaiddesign, '320x190') }}" alt="#">
                                     <p style="font-size: 24px;text-shadow: 2px 2px 2px black;">5357 **** **** ****</p> 
                                      
                                </div>
                            </div>
                            <div class="card-body">
                                <h6 class="template-primary text-truncate">${{ $singleCard->amount }}</h6>
                                <div class="row my-3 align-items-center">
                                    
                                    <div class="col-auto">
                                        <h6 class="font-weight-light mb-0"><i class="bi bi-fire mr-1 text-warning"></i>@php echo rand(300,799) @endphp</h6>
                                        <p class="text-mute small">Orders in 48hrs</p>
                                    </div>
                                </div>
                                <div class="row mb-3">
                                    <div class="col-auto pr-0">
                                        <p class="text-warning mb-1">
                                            @php $p = rand(3,5) @endphp
                                                                    @for ($i = 0; $i < $p; $i++)
                                            <i class="bi bi-star-fill text-warning"></i>
                                            @endfor
                                                                       
                                            <span class="ml-2 ">{{$i}}.@php if($i < 5){ echo rand(20,99); } else { echo 0; } @endphp</span>
                                        </p>
                                    </div>
                                    <div class="col-auto">
                                        <p class="text-mute">(@php echo rand(10,599) @endphp ratings)</p>
                                    </div>
                                </div>
                                <div class="row align-items-center">
                                    <div class="col">
                                        
                                    </div>
                                    <div class="col-auto">
                                          <form action="{{ route('user.prepaid.buy') }}" method="POST">
                                              <input type='hidden' name='amount' value='{{$singleCard->amount}}'>
                                               <input type='hidden' name='cardid' value='{{$singleCard->id}}'>
                                        <button type='submit' class="btn btn-primary">Buy ${{$singleCard->amount}}</button>
                                          </form>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                    @empty
                                                <h6 class="text-center">@lang('Data Not Found')!</h6>
                                                @endforelse
                                                @else
                                                <h6 class="text-center">@lang('No Cards Found, Try again after 60seconds')!</h6>
                                                @endif
                </div>
                    
 
</div>
        <div class="card-footer">
    
    </div>
         </div>
    </div>
@endsection