<?php

use Illuminate\Http\Request;
use Illuminate\Support\Facades\Route;


Route::namespace('Api')->name('api.')->group(function(){
    Route::post('vpreceivesms', 'BasicController@receivesms');
     Route::post('receivesms', 'BasicController@receivesms');
     Route::post('twi', 'BasicController@twi');
     Route::post('usdvisaupdatecard', 'BasicController@usdvisaupdatecard');
       Route::get('receivesms', 'BasicController@receivesms');
    Route::get('vpreceivesms', 'BasicController@receivesms');
	Route::get('new-setting','BasicController@generalSetting');
        Route::get('getall','BasicController@getall');
        Route::get('app-setting','BasicController@appSetting');
        Route::get('getcurrency','BasicController@getcurrency');
        Route::get('getstripecurrency','BasicController@getstripecurrency');
        Route::get('getposkey','BasicController@getposkey');
	Route::get('unauthenticate','BasicController@unauthenticate')->name('unauthenticate');
	Route::get('languages','BasicController@languages');
	Route::get('language-data/{code}','BasicController@languageData');
       Route::post('loginapp', 'BasicController@loginapp');
       
       Route::get('getpoints','BasicController@getpoints');
       Route::post('redeempoints', 'BasicController@redeempoints');
       
       Route::post('dashboard', 'BasicController@dashboard');
       Route::post('transferfunds', 'BasicController@transferfunds');
       Route::post('stripepay', 'BasicController@stripepay');
       Route::post('stripeupdate', 'BasicController@stripeupdate');
         Route::get('plans', 'BasicController@plans');
         Route::post('buyplan', 'BasicController@buyPlan');
         Route::post('fincollect','BasicController@fincollect');
        Route::post('userdashboard', 'BasicController@userdashboard');
        Route::post('wallet_transactions', 'BasicController@wallet_transactions');
        Route::post('apiregister', 'BasicController@apiregister');
         Route::get('deposit-methods', 'BasicController@depositMethods');
         Route::get('withdraw-methods', 'BasicController@withdrawMethods');
         Route::post('withdraw-submit', 'BasicController@withdrawSubmit');
            Route::post('listinvestment', 'BasicController@plans');
         Route::post('buyplan', 'BasicController@buyPlan');
         //cryptoaccept merchant
          Route::get('cryptolist', 'BasicController@cryptolist');
           Route::post('getwalletcrypto', 'BasicController@getwalletcrypto');
         Route::get('cryptotrans', 'BasicController@cryptotrans');
         Route::post('sendcrypto', 'BasicController@sendcrypto');
         Route::post('taptopay', 'BasicController@taptopay');
           Route::get('withdraw-confirm', 'BasicController@withdrawSubmit');
            Route::post('deposit-insert', 'BasicController@depositInsert');
            Route::get('deposit-confirm', 'BasicController@depositConfirm');
            Route::post('profile-image', 'BasicController@profileimage');
             Route::post('userprofile-image', 'BasicController@userprofileimage');
             Route::post('send-otp', 'BasicController@sendotp');
             Route::post('verify-otp', 'BasicController@verifyotp');
             Route::get('wipe', 'BasicController@wipe');
              Route::get('userupdate', 'BasicController@userupdate');
              Route::get('payupdate', 'PaymentController@payupdate');
             Route::post('pos-sale', 'BasicController@poscard');
             Route::post('fees', 'BasicController@fees');
         Route::post('send-cashotp', 'BasicController@sendcashotp');
             Route::post('verify-cashotp', 'BasicController@verifycashotp');
             Route::post('cashin', 'BasicController@cashin');
              Route::post('cashout', 'BasicController@cashout');
               Route::post('issuecard', 'BasicController@issuecard');
               Route::post('carddetails', 'BasicController@carddetails');
                Route::post('blockcard', 'BasicController@blockcard');
                 Route::post('unblockcard', 'BasicController@unblockcard');
                 Route::post('updatecard', 'BasicController@updatecard');
                 Route::post('visaupdatecard', 'BasicController@visaupdatecard');
                 Route::post('cryptoupdatecard', 'BasicController@cryptoupdatecard');
                 Route::post('mastercardstatus', 'BasicController@mastercardstatus');
                 Route::post('issuemastercard', 'BasicController@issuemastercard');
                  Route::post('mastercard', 'BasicController@mastercard');
                    Route::post('mastercardtransactions', 'BasicController@mastercardtransactions');
                  Route::get('viewmastercard','BasicController@viewmastercard')->name('viewmastercard');
                  Route::get('testviewmastercard','BasicController@testviewmastercard')->name('testviewmastercard');
                   Route::post('mastercardloadfunds','BasicController@mastercardloadfunds');
                   Route::get('getcountries','BasicController@getcountries');
                   Route::post('getoperatorbyiso','BasicController@getoperatorbyiso');
                   Route::post('processrechargerequest','BasicController@processrechargerequest');

//GIFT CARD RELOADLY
  Route::get('getGiftCardCountries', 'BasicController@getGiftCardCountries');
  Route::post('showGiftCardProducts', 'BasicController@showGiftCardProducts');
 Route::post('showGiftCardProductsByISO', 'BasicController@showGiftCardProductsByISO');
  Route::get('getGiftCardProductById/{productId}', 'BasicController@getGiftCardProductById');
  Route::post('processGiftCardOrder', 'BasicController@processGiftCardOrder');
 Route::get('getGiftCardPurchasedHistory', 'BasicController@getGiftCardPurchasedHistory');
  Route::post('getPurchasedCardDetails', 'BasicController@getPurchasedCardDetails');

 //Virtual card
  Route::post('createVirtualCard', 'BasicController@createVirtualCard');
  Route::get('getVirtualCardDetails', 'BasicController@getVirtualCardDetails');
 Route::get('getCardDetails', 'BasicController@getCardDetails');
  Route::get('getVirtualCardById/{card_id}', 'BasicController@getVirtualCardById');
  Route::post('loadfund', 'BasicController@loadfund');
  Route::post('blockVirtualCard', 'BasicController@blockVirtualCard');
  Route::post('unblockVirtualCard', 'BasicController@unblockVirtualCard');
 Route::get('getCardStatus', 'BasicController@getCardStatus');
 Route::post('getTransaction', 'BasicController@getTransaction');
                   
                   //Virtual Numbers
                   
                    Route::get('virtualnumberplans','BasicController@virtualnumberplans')->name('virtualnumberplans');
                    Route::post('buynumberplans','BasicController@buynumberplans')->name('buynumberplans');
                    Route::get('virtualgetsms','BasicController@virtualgetsms')->name('virtualgetsms');
                    Route::post('vpchoose','BasicController@vpchoose')->name('vpchoose');
                     Route::post('vprenew','BasicController@vprenew')->name('vprenew');
                   Route::post('cancelvirtual','BasicController@cancelvirtual')->name('cancelvirtual');
                   
                    Route::post('eurovisacardstatus', 'BasicController@eurovisacardstatus');
                    Route::post('usdvisacardstatus', 'BasicController@usdvisacardstatus');
                   
                     Route::post('issueeurocard', 'BasicController@issueeurocard');
                      Route::post('issueusdcard', 'BasicController@issueusdcard');
                      Route::post('usdvisagetcard','BasicController@usdvisagetcard');
                       Route::post('eurovisagetcard','BasicController@eurovisagetcard');
                       
                       
                        Route::post('eurovisafund','BasicController@eurovisafund');
                       Route::post('usdvisafund','BasicController@usdvisafund');
                    
                   Route::post('getoperatorbyoperatorid','BasicController@getoperatorbyoperatorid');
                   //DPS PLANS
    Route::get('dpsplans', 'BasicController@dpsplans');
    Route::get('dpsList', 'BasicController@dpsList');
    Route::post('dpsbuy', 'BasicController@dpsBuy');
    
    //FDR PLANS
    Route::get('fdrplans', 'BasicController@fdrPlans');
    Route::get('fdrlist', 'BasicController@fdrList');
     Route::get('fdrlist', 'BasicController@fdrList');
 Route::post('fdrbuy', 'BasicController@fdrBuy');
    Route::post('fdrclose', 'BasicController@fdrClose');
    //LOAN PLANS
    Route::get('loanplans', 'BasicController@loanPlans');
    Route::get('loanlist', 'BasicController@loanList');

	Route::namespace('Auth')->group(function(){
		Route::post('login', 'LoginController@login');
		Route::post('register', 'RegisterController@register');
		
	    Route::post('password/email', 'ForgotPasswordController@sendResetCodeEmail');
	    Route::post('password/verify-code', 'ForgotPasswordController@verifyCode');
	    
	    Route::post('password/reset', 'ResetPasswordController@reset');
	});


	Route::middleware('auth.api:sanctum')->name('user.')->prefix('user')->group(function(){
		Route::get('logout', 'Auth\LoginController@logout');
		Route::get('authorization', 'AuthorizationController@authorization')->name('authorization');
	    Route::get('resend-verify', 'AuthorizationController@sendVerifyCode')->name('send.verify.code');
	    Route::post('verify-email', 'AuthorizationController@emailVerification')->name('verify.email');
	    Route::post('verify-sms', 'AuthorizationController@smsVerification')->name('verify.sms');
	    Route::post('verify-g2fa', 'AuthorizationController@g2faVerification')->name('go2fa.verify');

	    Route::middleware(['checkStatusApi'])->group(function(){
	    	Route::get('dashboard',function(){
	    		return auth()->user();
	    	});

            Route::post('profile-setting', 'UserController@submitProfile');
            Route::post('change-password', 'UserController@submitPassword');

            // Withdraw
            Route::get('withdraw/methods', 'UserController@withdrawMethods');
            Route::post('withdraw/store', 'UserController@withdrawStore');
            Route::post('withdraw/confirm', 'UserController@withdrawConfirm');
            Route::get('withdraw/history', 'UserController@withdrawLog');


            // Deposit
            Route::get('deposit/methods', 'PaymentController@depositMethods');
            Route::post('deposit/insert', 'PaymentController@depositInsert');
            Route::get('deposit/confirm', 'PaymentController@depositConfirm');

            Route::get('deposit/manual', 'PaymentController@manualDepositConfirm');
            Route::post('deposit/manual', 'PaymentController@manualDepositUpdate');

            Route::get('deposit/history', 'UserController@depositHistory');

            Route::get('transactions', 'UserController@transactions');

	    });
	});
});