@extends('admin.layouts.app')
@section('panel')
<style>
    .toggle.ios, .toggle-on.ios, .toggle-off.ios { border-radius: 20px; }
    .toggle.ios .toggle-handle { border-radius: 20px; }
  </style>
    <div class="row mb-none-30">
        <div class="col-lg-12 col-md-12 mb-30">
            <div class="card">
                <div class="card-header">
                    <h3>@lang('Access Rights Admin: ') {{ $adminuser->name }}</h3>
                </div>
                <div class="card-body">
                    <form action="{{route('admin.addrights.update',$adminuser->id)}}" method="POST">
                        @csrf
                        
                        <div class="row">
                            <div class="form-group col-md-2">
                                <label class="form-control-label font-weight-bold w-100">@lang('User Menu')</label>
                                <input type="checkbox" data-style="ios" data-size="normal" data-onstyle="-success" data-offstyle="-danger" data-toggle="toggle" data-on="@lang('On')" data-off="@lang('Off')" name="users" @if($adminrights->users) checked @endif>
                            </div>
                           <div class="form-group col-md-2">
                                <label class="form-control-label font-weight-bold w-100">@lang('Deposits Menu')</label>
                                <input type="checkbox" data-style="ios" data-size="normal" data-onstyle="-success" data-offstyle="-danger" data-toggle="toggle" data-on="@lang('On')" data-off="@lang('Off')" name="deposits" @if($adminrights->deposits) checked @endif>
                            </div>
                           <div class="form-group col-md-2">
                                <label class="form-control-label font-weight-bold w-100">@lang('Cryptos Menu')</label>
                                <input type="checkbox" data-style="ios" data-size="normal" data-onstyle="-success" data-offstyle="-danger" data-toggle="toggle" data-on="@lang('On')" data-off="@lang('Off')" name="cryptos" @if($adminrights->cryptos) checked @endif>
                            </div>  
                            <div class="form-group col-md-2">
                                <label class="form-control-label font-weight-bold w-100">@lang('Fiats Menu')</label>
                                <input type="checkbox" data-style="ios" data-size="normal" data-onstyle="-success" data-offstyle="-danger" data-toggle="toggle" data-on="@lang('On')" data-off="@lang('Off')" name="fiats" @if($adminrights->fiats) checked @endif>
                            </div>
                            <div class="form-group col-md-2">
                                <label class="form-control-label font-weight-bold w-100">@lang('Loans Menu')</label>
                                <input type="checkbox" data-style="ios" data-size="normal" data-onstyle="-success" data-offstyle="-danger" data-toggle="toggle" data-on="@lang('On')" data-off="@lang('Off')" name="loans" @if($adminrights->loans) checked @endif>
                            </div>
                            <div class="form-group col-md-2">
                                <label class="form-control-label font-weight-bold w-100">@lang('Fixed Deposit Menu')</label>
                                <input type="checkbox" data-style="ios" data-size="normal" data-onstyle="-success" data-offstyle="-danger" data-toggle="toggle" data-on="@lang('On')" data-off="@lang('Off')" name="fdr" @if($adminrights->fdr) checked @endif>
                            </div>
                        <div class="form-group col-md-2">
                                <label class="form-control-label font-weight-bold w-100">@lang('Deposit Pension Menu')</label>
                                <input type="checkbox" data-style="ios" data-size="normal" data-onstyle="-success" data-offstyle="-danger" data-toggle="toggle" data-on="@lang('On')" data-off="@lang('Off')" name="dps" @if($adminrights->dps) checked @endif>
                            </div>
                            <div class="form-group col-md-2">
                                <label class="form-control-label font-weight-bold w-100">@lang('Investments Menu')</label>
                                <input type="checkbox" data-style="ios" data-size="normal" data-onstyle="-success" data-offstyle="-danger" data-toggle="toggle" data-on="@lang('On')" data-off="@lang('Off')" name="investment" @if($adminrights->investment) checked @endif>
                            </div>
                        <div class="form-group col-md-2">
                                <label class="form-control-label font-weight-bold w-100">@lang('Remittance Menu')</label>
                                <input type="checkbox" data-style="ios" data-size="normal" data-onstyle="-success" data-offstyle="-danger" data-toggle="toggle" data-on="@lang('On')" data-off="@lang('Off')" name="remittance" @if($adminrights->remittance) checked @endif>
                            </div>
                            
                            <div class="form-group col-md-2">
                                <label class="form-control-label font-weight-bold w-100">@lang('Giftcards Menu')</label>
                                <input type="checkbox" data-style="ios" data-size="normal" data-onstyle="-success" data-offstyle="-danger" data-toggle="toggle" data-on="@lang('On')" data-off="@lang('Off')" name="giftcards" @if($adminrights->giftcards) checked @endif>
                            </div>
                            <div class="form-group col-md-2">
                                <label class="form-control-label font-weight-bold w-100">@lang('Support Ticket Menu')</label>
                                <input type="checkbox" data-style="ios" data-size="normal" data-onstyle="-success" data-offstyle="-danger" data-toggle="toggle" data-on="@lang('On')" data-off="@lang('Off')" name="ticket" @if($adminrights->ticket) checked @endif>
                            </div>
                        <div class="form-group col-md-2">
                                <label class="form-control-label font-weight-bold w-100">@lang('Reports Menu')</label>
                                <input type="checkbox" data-style="ios" data-size="normal" data-onstyle="-success" data-offstyle="-danger" data-toggle="toggle" data-on="@lang('On')" data-off="@lang('Off')" name="reports" @if($adminrights->reports) checked @endif>
                            </div>
                            <div class="form-group col-md-2">
                                <label class="form-control-label font-weight-bold w-100">@lang('Pages Menu')</label>
                                <input type="checkbox" data-style="ios" data-size="normal" data-onstyle="-success" data-offstyle="-danger" data-toggle="toggle" data-on="@lang('On')" data-off="@lang('Off')" name="pages" @if($adminrights->pages) checked @endif>
                            </div>
                            <div class="form-group col-md-2">
                                <label class="form-control-label font-weight-bold w-100">@lang('Settings Menu')</label>
                                <input type="checkbox" data-style="ios" data-size="normal" data-onstyle="-success" data-offstyle="-danger" data-toggle="toggle" data-on="@lang('On')" data-off="@lang('Off')" name="settings" @if($adminrights->settings) checked @endif>
                            </div>
                              <div class="form-group col-md-2">
                                <label class="form-control-label font-weight-bold w-100">@lang('Notifications')</label>
                                <input type="checkbox" data-style="ios" data-size="normal" data-onstyle="-success" data-offstyle="-danger" data-toggle="toggle" data-on="@lang('On')" data-off="@lang('Off')" name="notifications" @if($adminrights->notifications) checked @endif>
                            </div>
                            
                            <div class="form-group col-md-2">
                                <label class="form-control-label font-weight-bold w-100">@lang('Super Admin')</label>
                                <input type="checkbox" data-style="ios" data-size="normal" data-onstyle="-success" data-offstyle="-danger" data-toggle="toggle" data-on="@lang('On')" data-off="@lang('Off')" name="super" @if($adminrights->super) checked @endif>
                            </div>
                            
                            
                        </div>

                        <div class="form-group">
                            <button type="submit" class="btn btn--primary btn-block btn-lg">@lang('Update')</button>
                        </div>
                       
                    </form>
                </div>
            </div>
        </div>
    </div>
@endsection

@push('script-lib')
    <script src="{{ asset('assets/admin/js/spectrum.js') }}"></script>
@endpush

@push('style-lib')
    <link rel="stylesheet" href="{{ asset('assets/admin/css/spectrum.css') }}">
@endpush


@push('style')
    <style>
        .sp-replacer {
            padding: 0;
            border: 1px solid rgba(0, 0, 0, .125);
            border-radius: 5px 0 0 5px;
            border-right: none;
        }

        .sp-preview {
            width: 100px;
            height: 46px;
            border: 0;
        }

        .sp-preview-inner {
            width: 110px;
        }

        .sp-dd {
            display: none;
        }
        .select2-container .select2-selection--single {
            height: 44px;
        }
        .select2-container--default .select2-selection--single .select2-selection__rendered {
            line-height: 43px;
        }
        .select2-container--default .select2-selection--single .select2-selection__arrow {
            height: 43px;
        }
    </style>
@endpush

@push('script')
    <script>
        (function ($) {
            "use strict";
            $('.colorPicker').spectrum({
                color: $(this).data('color'),
                change: function (color) {
                    $(this).parent().siblings('.colorCode').val(color.toHexString().replace(/^#?/, ''));
                }
            });

            $('.colorCode').on('input', function () {
                var clr = $(this).val();
                $(this).parents('.input-group').find('.colorPicker').spectrum({
                    color: clr,
                });
            });

            $('.select2-basic').select2({
                dropdownParent: $('.card-body')
            });

            $('select[name=timezone]').val();
        })(jQuery);

    </script>
@endpush

