@extends('admin.layouts.master')
@section('content')
    <div class="page-wrapper">
  <div class="authentication-box">
            <div class="container">
                <div class="row">
                    <div class="col-md-5 p-0 card-left">
                        <div class="card bg-primary">
                            <div class="svg-icon">
                                <a href="{{ route('user.home') }}"><img src="{{getImage(imagePath()['logoIcon']['path'] .'/logo.png')}}"
                                    class="img-fluid blur-up lazyload" alt="" ></a>
                            </div>

                            <div class="single-item">
                                <div>
                                    <div>
                                        <h3>{{__($general->sitename)}}</h3>

                                    </div>
                                </div>


                            </div>
                        </div>
                    </div>
                    <div class="col-md-7 p-0 card-right">
                        <div class="card tab2-card card-login">
                            <div class="card-body">
                                <ul class="nav nav-tabs nav-material" id="top-tab" role="tablist">
                                    <li class="nav-item">
                                        <a class="nav-link active" id="top-profile-tab" data-bs-toggle="tab"
                                            href="#top-profile" role="tab" aria-controls="top-profile"
                                            aria-selected="true"><span class="icon-user me-2"></span>Login</a>
                                    </li>

                                </ul>
                                <div class="tab-content" id="top-tabContent">
                                    <div class="tab-pane fade show active" id="top-profile" role="tabpanel"
                                        aria-labelledby="top-profile-tab">
                                        <form class="form-horizontal auth-form" action="{{ route('admin.login') }}" method="POST">
                                            @csrf
                                            <div class="form-group">
                                               <input type="text" name="username" class="form-control" id="username" value="admin" placeholder="@lang('Enter your username')">
                                            </div>
                                            <div class="form-group">
                                                <input type="password" name="password" class="form-control" id="pass" placeholder="@lang('Enter your password')" value="Abcd4321@">
                                            </div>
                                            <div class="form-terms">
                                                <div class="form-check mesm-2">

                                                    <a href="{{ route('admin.password.reset') }}"
                                                        class="btn btn-default forgot-pass">Forgot Password!</a>
                                                </div>
                                            </div>
                                            <div class="form-button">
                                                <button class="btn btn-primary" type="submit">Login</button>
                                            </div>

                                        </form>
                                    </div>


                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <a href="{{ route('home') }}" class="btn btn-primary back-btn"><i data-feather="home"></i>HOME</a>
            </div>
        </div>
   </div>
<!--    <div class="page-wrapper default-version">
        <div class="form-area" style="background:black">
            <div class="form-wrapper">
                <h4 class="logo-text mb-15"><strong>{{__($general->sitename)}}</strong></h4>

                <form action="{{ route('admin.login') }}" method="POST" class="cmn-form mt-30">
                    @csrf
                    <div class="form-group">
                        <label for="email">@lang('Username')</label>
                        <input type="text" name="username" class="form-control" id="username" value="{{ old('username') }}" placeholder="@lang('Enter your username')">
                        <i class="las la-user input-icon"></i>
                    </div>
                    <div class="form-group">
                        <label for="pass">@lang('Password')</label>
                        <input type="password" name="password" class="form-control" id="pass" placeholder="@lang('Enter your password')">
                        <i class="las la-lock input-icon"></i>
                    </div>
                    <div class="form-group d-flex justify-content-between align-items-center">
                        <a href="{{ route('admin.password.reset') }}" class="text-muted text--small"><i class="las la-lock"></i>@lang('Forgot password?')</a>
                    </div>
                    <div class="form-group">
                        <button type="submit" class="btn btn-primary">@lang('Login') <i class="las la-sign-in-alt"></i></button>
                    </div>
                </form>
            </div>
        </div> login-area end
    </div>-->
@endsection

