@extends('admin.layouts.app')
@section('panel')

 <div class="row mt-4">
          <div class="col-12">
                        <div class="card">
                            <div class="card-header">
                                <h4 class="card-title">List of Donation Request</h4>
                               
                            </div>
										
									
                                                                    
									   <div class="card-body">
										
											  <div class="table-responsive table-desi">
                                        <table class="table list-digital all-package table-category" id="editableTable">
                            <thead>
                                                                                                        <tr>
                                                                                                            <th>User</th>
                                                                                                            <th>Paylink</th>
                                                                                                             <th>Amount</th>
                                                                                                             <th>Link</th>
                                                                                                             <th>Description</th>
                                                                                                             <th>Image</th>
                                                                                                             <th>Action</th>
                                                                                                              
                                                                                                    </tr>
                                                                                                    </thead>	
                                                                                                    <tbody>
                                                                                                            
                                                                                                            <?php
                                                                                                            
                                                                 
   
   foreach($link as $buser){
        
                                                                                                            
                                                 
                                                    ?>
														<tr>
                                                                                                                    <td>{{ $buser->user->fullname }}</td>
                                                                                                                    <td>
																<p class="fs-16 font-w600 mb-0">{{ $buser->paylink}}</p>
																
															</td>
                                                                                                                       <td>
																<p class="fs-16 font-w600 mb-0">{{ $buser->currency}} {{ showAmount($buser->amount) }}</p>
																
															</td>
                                                                                                                        
                                                                                                                    <td>
																<p class="fs-16 font-w600 mb-0">{{ route('pg.linkpay') }}?paylink={{ $buser->paylink}}</p>
																
															</td>
                                                                                                                        <td>{{ $buser->description}}</td>
                                                                                                                          <td>
                                                                                                                               <a href="{{ getImage(imagePath()['donation']['path'].'/'. @$buser->image,imagePath()['donation']['size']) }}" data-lightbox="{{ $buser->paylink}}">
                                                                                                                               <img src="{{ getImage(imagePath()['donation']['path'].'/'. @$buser->image,imagePath()['donation']['size']) }}" height="50px"></a>
																
															</td>
                                                                                                                        
                                                                                                                        <td>
                                                                                                                            <a class="text-danger" href="{{ route('admin.deletelink') }}?linkid={{ $buser->paylink }}"> <i class="fa fa-trash" style="color:red !important"></i></a>
                                                                                                                        </td>
                                                                                                                   
                                                                                                                                                                                                                                 
														</tr>
       <?php } ?>
   
													<tbody>
												</table>
											</div>
										</div>
										
									</div>
								</div>
    </div>

@stop

@push('script')

<script src="https://cdnjs.cloudflare.com/ajax/libs/lightbox2/2.11.3/js/lightbox.min.js" integrity="sha512-k2GFCTbp9rQU412BStrcD/rlwv1PYec9SNrkbQlo6RZCf75l6KcC3UwDY8H5n5hl4v77IDtIPwOk9Dqjs/mMBQ==" crossorigin="anonymous" referrerpolicy="no-referrer"></script>
<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/lightbox2/2.11.3/css/lightbox.min.css" integrity="sha512-ZKX+BvQihRJPA8CROKBhDNvoc2aDMOdAlcm7TUQY+35XYtrd3yh95QOOhsPDQY9QnKE0Wqag9y38OIgEvb88cA==" crossorigin="anonymous" referrerpolicy="no-referrer" />

<script>

    (function ($) {
        "use strict";

        $('.deposit').on('click', function () {

            var selected =  $(".method option:selected");

            if(!selected.val()){
                return false;
            }

            var name = selected.data('name');
            var currency = selected.data('currency');
            var method_code = selected.data('method_code');
            var minAmount = selected.data('min_amount');
            var maxAmount = selected.data('max_amount');
            var baseSymbol = "{{$general->cur_text}}";
            var fixCharge = selected.data('fix_charge');
            var percentCharge = selected.data('percent_charge');

            var depositLimit = `@lang('Deposit Limit'): ${minAmount} - ${maxAmount}  ${baseSymbol}`;
            $('.depositLimit').text(depositLimit);
            var depositCharge = `@lang('Charge'): ${fixCharge} ${baseSymbol}  ${(0 < percentCharge) ? ' + ' +percentCharge + ' % ' : ''}`;
            $('.depositCharge').text(depositCharge);
            $('.method-name').text(`@lang('Payment By ') ${name}`);
            $('.currency-addon').text(baseSymbol);
            $('.edit-currency').val(currency);
            $('.edit-method-code').val(method_code);
             $('.rc-currency').text(currency);
            $('#depositModal').modal('show');

        });

    })(jQuery);

</script>
@endpush

