@extends('admin.layouts.app')
@section('panel')
<div class="payment-section ptb-80">
    <div class="container">
        <div class="row">
            <div class="col-md-6 border p-3">
                
            
        <form action="{{ route('admin.newvouchers') }}" method="POST" id="form">
                        @csrf
                        <h3>Create Admin E-Voucher</h3>
                        <div class="form-row">
                            <div class="col-md-12">
                              <div class="input-group mb-3">
                                              <label class="w-100">@lang('Amount') <span class="text-danger">*</span></label>
                                            <div class="input-group-prepend">
                                                                <div class="input-group-text"> {{ __($general->cur_text) }}</div>
                                                            </div>
                                            <input type="text" class="form-control style--two amount" name="amount" placeholder="0.00" required value="{{old('amount')}}">
                                            
                                             </div>
                            </div>
                            
                            <div class="col-md-12">
                              <div class="input-group mb-3">
                                              <label class="w-100">@lang('No Of Vouchers') <span class="text-danger">*</span></label>
                                           
                                            <input type="text" class="form-control" name="qty" placeholder="1" step="1" required value="{{old('qty')}}">
                                            
                                             </div>
                            </div>
                             <div class="col-md-12">
                              <div class="text-center">
                            <button type="submit" class="btn btn-solid btn--base mt-4">@lang('Create Now')</button>
                             
                        </div>
                                            
                              
                        </div>
                            </div>
      
        </form>
                </div>
           
        </div>
    </div>
</div>
 <div class="row mt-4 mb-4">
          <div class="col-12">
                        <div class="card">
                            <div class="card-header">
                                <h4 class="card-title">E-Vouchers</h4>
                                
                            </div>
										
									
                                                                    
									   <div class="card-body">
										
											<div class="table-responsive--lg">
                                <table class="table custom--table">
                                                                                                    <thead class="bg-dark text-white">
                                                                                                        <tr>
                                                                                                            <th class="text-white">Date</th>
                                                                                                            <th class="text-white">Voucher ID</th>
                                                                                                             <th class="text-white">Amount</th>
                                                                                                             <th class="text-white">User</th>
                                                                                                             <th class="text-white">Status</th>
                                                                                                            
                                                                                                              
                                                                                                    </tr>
                                                                                                    </thead>	
                                                                                                    <tbody>
                                                                                                            
                                                                                                            <?php
                                                                                                            
                                                                 
   
   foreach($vouchers as $buser){
        
                                                                                                            
                                                 
                                                    ?>
														<tr>
                                                                                                                    <td>
																<p class="fs-16 font-w600 mb-0">{{ $buser->created_at}}</p>
																
															</td>
                                                                                                                        <td>
																<p class="fs-16 font-w600 mb-0">{{ $buser->vouchercode}}</p>
																
															</td>
                                                                                                                       <td>
																<p class="fs-16 font-w600 mb-0">{{ $buser->currency }} {{ showAmount($buser->amount) }}</p>
                                                                                                                                </td>
															  @if($buser->status == "open")	
                                                                                                                          <td></td>
                                                                                                                           <td>
                                                                                                                           <span class="btn btn-outline-dark btn-rounded text-success">{{ $buser->status }}</span>
                                                                                                                           
															</td>
                                                                                                                                                                                                                                                 
                                                                                                                           
                                                                                                                           
                                                                                                                  
                                                                                                                         @else
                                                                                                                           <td>
                                                                                                                            <a href="{{ route('admin.users.detail', $buser->user_id) }}"><span>@</span>{{ $buser->user->username }}</a>
                                                                                                                           </td>
                                                                                                                           <td>
                                                                                                                            <span class="btn btn-outline-dark btn-rounded text-success">{{ $buser->status }}</span>
                                                                                                                             </td>
                                                                                                                            @endif
                                                                                                                   
                                                                                                                                                                                                                                 
														</tr>
       <?php } ?>
   
													<tbody>
												</table>
											</div>
										</div>
										
									</div>
                     <div class="product-pagination">
                                            <div class="theme-paggination-block">
                                                <div class="container-fluid p-0">
                                                    <div class="row">
                                                         <div class="col-md-12">
                                                            {{ $vouchers->links() }}
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
								</div>
    </div>


@stop

@push('script')

<script src="https://cdnjs.cloudflare.com/ajax/libs/lightbox2/2.11.3/js/lightbox.min.js" integrity="sha512-k2GFCTbp9rQU412BStrcD/rlwv1PYec9SNrkbQlo6RZCf75l6KcC3UwDY8H5n5hl4v77IDtIPwOk9Dqjs/mMBQ==" crossorigin="anonymous" referrerpolicy="no-referrer"></script>
<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/lightbox2/2.11.3/css/lightbox.min.css" integrity="sha512-ZKX+BvQihRJPA8CROKBhDNvoc2aDMOdAlcm7TUQY+35XYtrd3yh95QOOhsPDQY9QnKE0Wqag9y38OIgEvb88cA==" crossorigin="anonymous" referrerpolicy="no-referrer" />

<script>

    (function ($) {
        "use strict";

        $('.deposit').on('click', function () {

            var selected =  $(".method option:selected");

            if(!selected.val()){
                return false;
            }

            var name = selected.data('name');
            var currency = selected.data('currency');
            var method_code = selected.data('method_code');
            var minAmount = selected.data('min_amount');
            var maxAmount = selected.data('max_amount');
            var baseSymbol = "{{$general->cur_text}}";
            var fixCharge = selected.data('fix_charge');
            var percentCharge = selected.data('percent_charge');

            var depositLimit = `@lang('Deposit Limit'): ${minAmount} - ${maxAmount}  ${baseSymbol}`;
            $('.depositLimit').text(depositLimit);
            var depositCharge = `@lang('Charge'): ${fixCharge} ${baseSymbol}  ${(0 < percentCharge) ? ' + ' +percentCharge + ' % ' : ''}`;
            $('.depositCharge').text(depositCharge);
            $('.method-name').text(`@lang('Payment By ') ${name}`);
            $('.currency-addon').text(baseSymbol);
            $('.edit-currency').val(currency);
            $('.edit-method-code').val(method_code);
             $('.rc-currency').text(currency);
            $('#depositModal').modal('show');

        });

    })(jQuery);

</script>
@endpush

