@extends($activeTemplate.'layouts.frontend')
@section('content')

    <!--Start Blog Details Area-->
        <section class="blog-details-area">
            <div class="container">
                <div class="row">

                    <div class="col-xl-9">
                        <div class="blog-details-box">

                            <div class="blog-details-img-box">
                                <div class="inner">
                                    <img src="{{ getImage('assets/images/frontend/blog/' .@$blog->data_values->image, '700x450') }}" alt="">
                                </div>
                                
                            </div>

                            <div class="blog-details-text-box">
                                <h2 class="blog-details-title">
                                    {{ __(@$blog->data_values->title) }}
                                </h2>
                                <div class="blog-details-text-1">
                                    {!! $blog->data_values->description !!}
                                </div>
                            

                            </div>
                        </div>
                    </div>

                   

                </div>
            </div>
        </section>
        <!--End Blog Details Area-->
       
    
    
@endsection

@push('fbComment')
	@php echo loadFbComment() @endphp
@endpush

@push('seo_share')
<meta itemprop="name" content="{{ $blog->data_values->title }}">
<meta itemprop="description" content="{{ $blog->data_values->description }}">
<meta itemprop="image" content="{{ getImage('assets/images/frontend/blog/' .@$blog->data_values->image, '700x450') }}">
@endpush

@push('share')
<meta property="og:title" content="{{ $blog->data_values->title }}">
<meta property="og:description" content="{{ $blog->data_values->description }}">
<meta property="og:image" content="{{ getImage('assets/images/frontend/blog/' .@$blog->data_values->image, '700x450') }}"/>
@endpush
