@extends($activeTemplate.'layouts.frontend')
@section('content')
<!-- Blog Section Starts Here -->

 <!--Start Blog Style1 Area-->
        <section class="blog-page-one">
            <div class="container">
                <div class="row">
                     @forelse($blogs as $blog)
                    <!--Start Single blog Style1-->
                    <div class="col-xl-4 col-lg-4">
                        <div class="single-blog-style1 wow fadeInUp" data-wow-delay="00ms" data-wow-duration="1500ms">
                            <div class="img-holder">
                                <div class="inner">
                                    <img src="{{ getImage('assets/images/frontend/blog/' .@$blog->data_values->image, '350x270') }}" alt="">
                                    <div class="overlay-icon">
                                        <a href="{{ route('blog.details', ['slug'=>slug($blog->data_values->title), 'id'=>$blog->id]) }}">
                                            <span class="icon-right-arrow"></span>
                                        </a>
                                    </div>
                                </div>
                                <div class="category-date-box">
                                    <div class="category">
                                        <span class="icon-play-button-1"></span>
                                        <h5>{{ __($blog->data_values->category) }}</h5>
                                    </div>
                                    <div class="date">
                                        <h5>{{ showDateTime($blog->created_at) }}</h5>
                                    </div>
                                </div>
                            </div>
                            <div class="text-holder">
                                <h3 class="blog-title">
                                    <a href="{{ route('blog.details', ['slug'=>slug($blog->data_values->title), 'id'=>$blog->id]) }}">
                                        {{ __($blog->data_values->title) }}
                                    </a>
                                </h3>
                                <div class="bottom">
                                    <div class="meta-box">
                                        <ul class="meta-info">
                                           <li><span class="icon-user"></span> <a href="#">@lang('Admin')</a></li>
                                        </ul>
                                    </div>
                                   
                                </div>
                            </div>
                        </div>
                    </div>
                    <!--End Single blog Style1-->
                   @empty
                <h6 class="text-center">@lang('Data Not Found')</h6>
            @endforelse
                </div>

                <div class="row">
                    <div class="col-xl-12">
                        {{ $blogs->links() }}
                    </div>
                </div>

            </div>
        </section>
        <!--End Blog Style1 Area-->




@endsection
