<!DOCTYPE html>
@php 
$l = session()->get('lang');

$sl = App\Models\Language::where('code', $l)->first();

@endphp
@if($sl->text_align == 0)
<html lang="en" style='--iq-primary: #{{ $general->base_color}};'>
@else
<html lang="en" style='--iq-primary: #{{ $general->base_color}};' dir='rtl'>
@endif
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
<meta name="csrf-token" content="{{ csrf_token() }}">
   
    <title> {{ $general->sitename(__($pageTitle)) }}</title>
    <link href="https://fonts.googleapis.com/css?family=Lato:300,400,700,900" rel="stylesheet">
    <link rel="preconnect" href="https://fonts.gstatic.com">
    <link href="https://fonts.googleapis.com/css2?family=Yellowtail&display=swap" rel="stylesheet">

    @include('partials.seo')
     <link rel="stylesheet" href="{{asset($activeTemplateTrue.'css/bootstrap.min.css')}}">
      <!-- Typography CSS -->
      <link rel="stylesheet" href="{{asset($activeTemplateTrue.'css/typography.css')}}">
      <!-- Style CSS -->
      @if($sl->text_align == 0)
      <link rel="stylesheet" href="{{asset($activeTemplateTrue.'css/style.css')}}">
      @else
       <link rel="stylesheet" href="{{asset($activeTemplateTrue.'css/style-rtl.css')}}">
      @endif
      <!-- Responsive CSS -->
      <link rel="stylesheet" href="{{asset($activeTemplateTrue.'css/responsive.css')}}">
      <!-- Full calendar -->
      <link href="{{asset($activeTemplateTrue.'fullcalendar/core/main.css')}}" rel='stylesheet' />
      <link href="{{asset($activeTemplateTrue.'fullcalendar/daygrid/main.css')}}" rel='stylesheet' />
      <link href="{{asset($activeTemplateTrue.'fullcalendar/timegrid/main.css')}}" rel='stylesheet' />
      <link href="{{asset($activeTemplateTrue.'fullcalendar/list/main.css')}}" rel='stylesheet' />
<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/flag-icon-css/6.6.6/css/flag-icons.min.css" integrity="sha512-uvXdJud8WaOlQFjlz9B15Yy2Au/bMAvz79F7Xa6OakCl2jvQPdHD0hb3dEqZRdSwG4/sknePXlE7GiarwA/9Wg==" crossorigin="anonymous" referrerpolicy="no-referrer" />
      <link rel="stylesheet" href="{{asset($activeTemplateTrue.'css/flatpickr.min.css')}}">

     <!-- Icons -->
     <link rel="stylesheet" type="text/css" href="{{asset('assets/newuser/css/vendors/font-awesome.css')}}" >

    <!--Slick slider css-->
    <link rel="stylesheet" type="text/css" href="{{asset('assets/newuser/css/vendors/slick.css')}}">
    <link rel="stylesheet" type="text/css" href="{{asset('assets/newuser/css/vendors/slick-theme.css')}}"  >
  <link rel="stylesheet" href="{{ asset('assets/global/css/select2.min.css') }}">
    <!-- Animate icon -->
    <link rel="stylesheet" type="text/css" href="{{asset('assets/newuser/css/vendors/animate.css')}}" >

    <!-- Themify icon -->
    <link rel="stylesheet" type="text/css" href="{{asset('assets/newuser/css/vendors/themify-icons.css')}}" >

    <!-- Bootstrap css -->
  
<link rel="stylesheet" href="{{asset($activeTemplateTrue.'css/line-awesome.min.css')}}">
    <link rel="stylesheet" href="{{ asset($activeTemplateTrue. 'css/color.php?color='.$general->base_color.'&secondColor='.$general->secondary_color) }}">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.css" integrity="sha512-5A8nwdMOWrSz20fDsjczgUidUBR8liPYU+WymTZP1lmY9G6Oc7HlZv156XqnsgNUzTyMefFTcsFH/tnJE/+xBg==" crossorigin="anonymous" referrerpolicy="no-referrer" />
     <link rel="stylesheet" href="{{ asset($activeTemplateTrue. 'css/color.php?color='.$general->base_color.'&secondColor='.$general->secondary_color) }}">    
    <link rel="stylesheet" href="{{asset($activeTemplateTrue.'css/custom.css')}}">
    @stack('style-lib')

    @stack('style')

</head>

<body>
      <div id="loading">
         <div id="loading-center">
         </div>
      </div>
      <!-- loader END -->
      <div class="wrapper">

     <!-- tap to top -->
    
    <!-- tap to top end -->
    @include($activeTemplate.'partials.auth_header')
<div id="content-page" class="content-page">
      <div class="container-fluid">
    @yield('content')
    </div>
    </div>    
    </div>
    @include($activeTemplate.'partials.footer')
   
<div class="win-loss-popup">
    <div class="win-loss-popup__bg">
        <div class="win-loss-popup__inner">
            <div class="win-loss-popup__body">
                <img src="{{ asset($activeTemplateTrue.'images/play/lose-message.png') }}" alt="lose message image" class="img-glow lose d-none">
                <img src="{{ asset($activeTemplateTrue.'images/play/win-message.png') }}" alt="win message image" class="img-glow win d-none">
            </div>
            <div class="win-loss-popup__footer">
                <h2 class="result-text text-white">@lang('The result is') <span class="data-result"></span></h2>
            </div>
        </div>
    </div>
</div>
      <script src="{{asset($activeTemplateTrue.'js/jquery.min.js')}}"></script>
      <script src="{{asset($activeTemplateTrue.'js/popper.min.js')}}"></script>
      <script src="{{asset($activeTemplateTrue.'js/bootstrap.min.js')}}"></script>
      <!-- Appear JavaScript -->
      <script src="{{asset($activeTemplateTrue.'js/jquery.appear.js')}}"></script>
      <!-- Countdown JavaScript -->
      <script src="{{asset($activeTemplateTrue.'js/countdown.min.js')}}"></script>
      <!-- Counterup JavaScript -->
      <script src="{{asset($activeTemplateTrue.'js/waypoints.min.js')}}"></script>
      <script src="{{asset($activeTemplateTrue.'js/jquery.counterup.min.js')}}"></script>
      <!-- Wow JavaScript -->
      <script src="{{asset($activeTemplateTrue.'js/wow.min.js')}}"></script>
      <!-- Apexcharts JavaScript -->
      <script src="{{asset($activeTemplateTrue.'js/apexcharts.js')}}"></script>
      <!-- Slick JavaScript -->
      <script src="{{asset($activeTemplateTrue.'js/slick.min.js')}}"></script>
      <!-- Select2 JavaScript -->
      <script src="{{asset($activeTemplateTrue.'js/select2.min.js')}}"></script>
      <!-- Owl Carousel JavaScript -->
      <script src="{{asset($activeTemplateTrue.'js/owl.carousel.min.js')}}"></script>
      <!-- Magnific Popup JavaScript -->
      <script src="{{asset($activeTemplateTrue.'js/jquery.magnific-popup.min.js')}}"></script>
      <!-- Smooth Scrollbar JavaScript -->
      <script src="{{asset($activeTemplateTrue.'js/smooth-scrollbar.js')}}"></script>
      <!-- lottie JavaScript -->
      <script src="{{asset($activeTemplateTrue.'js/lottie.js')}}"></script>
      <!-- am core JavaScript -->
      <script src="{{asset($activeTemplateTrue.'js/core.js')}}"></script>
      <!-- am charts JavaScript -->
      <script src="{{asset($activeTemplateTrue.'js/charts.js')}}"></script>
      <!-- am animated JavaScript -->
      <script src="{{asset($activeTemplateTrue.'js/animated.js')}}"></script>
      <!-- am kelly JavaScript -->
      <script src="{{asset($activeTemplateTrue.'js/kelly.js')}}"></script>
      <!-- am maps JavaScript -->
      <script src="{{asset($activeTemplateTrue.'js/maps.js')}}"></script>
      <!-- am worldLow JavaScript -->
      <script src="{{asset($activeTemplateTrue.'js/worldLow.js')}}"></script>
      <!-- Raphael-min JavaScript -->
      <script src="{{asset($activeTemplateTrue.'js/raphael-min.js')}}"></script>
      <!-- Morris JavaScript -->
      <script src="{{asset($activeTemplateTrue.'js/morris.js')}}"></script>
      <!-- Morris min JavaScript -->
      <script src="{{asset($activeTemplateTrue.'js/morris.min.js')}}"></script>
      <!-- Flatpicker Js -->
      <script src="{{asset($activeTemplateTrue.'js/flatpickr.js')}}"></script>

      <script src="{{asset($activeTemplateTrue.'js/style-customizer.js')}}"></script>

      <script src="{{asset($activeTemplateTrue.'js/chart-custom.js')}}"></script>
    
      <script src="{{asset($activeTemplateTrue.'js/custom.js')}}"></script>

<script src="{{asset($activeTemplateTrue.'js/rafcounter.min.js')}}"></script>
<script src="{{asset($activeTemplateTrue.'js/nice-select.js')}}"></script>
 <script src="{{ asset('assets/global/js/select2.min.js') }}"></script>

<script src="{{asset('assets/newuser/js/bootstrapValidator.min.js')}}"></script>
<script src="{{asset('assets/newuser/js/jquery-smartwizard/dist/js/jquery.smartWizard.js')}}"></script>
<script src="{{asset('assets/newuser/js/airtime.js')}}"></script>
<script src="{{asset('assets/newuser/js/apto.js')}}"></script>
<script src="{{asset($activeTemplateTrue.'js/app.js')}}"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/toastr.js/2.0.2/js/toastr.min.js">
  </script>

    @stack('script-lib')

    @stack('script')

    @include('partials.plugins')

    @include('partials.notify')

    <script>
        $(document).ready(function (){

            "use strict";

            if(!{{ $general->dark }}){
                $('#version').addClass('light-version');
                $('.logo img').attr('src', '{{getImage(imagePath()['logoIcon']['path'] .'/logo.png')}}');

            }else{
                $('#version').removeClass('light-version');
                $('.logo img').attr('src', '{{getImage(imagePath()['logoIcon']['path'] .'/darkLogo.png')}}');
            }
 $(document).on('click touchstart', function (e){
            $('.win-loss-popup').removeClass('active');
        });
        });
        
         
    </script>

</body>
</html>
