@php
    $header = getContent('header.content', true);
    $socialMedias = getContent('social_icon.element');
     $advert = getContent('dashboardadverts.content', true);
    $user = Auth::user();
      $general = App\Models\GeneralSetting::first();
@endphp

<header class="main-header main-header-style1">

            <!--Start Main Header Style1 Top-->
            <div class="main-header-style1-top">
                <div class="auto-container">
                    <div class="outer-box">
                        <!--Start Main Header Style1 Top Left-->
                        <div class="main-header-style1-top__left">
                            <div class="looking-banking-box ">
                                <div class="inner-title">
                                    <span class="icon-binoculars"></span>
                                    <p>{{ @$header->data_values->basicwelcome }}</p>
                                </div>
                                <div class="select-box clearfix">
                                   
                                </div>
                            </div>
                            <div class="nearest-branch">
                                <span class="icon-phone"></span>
                                <a href="#">{{ @$header->data_values->phone }}</a>
                            </div>
                        </div>
                        <!--End Main Header Style1 Top Left-->

                        <!--Start Main Header Style1 Top Right-->
                        <div class="main-header-style1-top__right">
                            <div class="header-menu-style1">
                                <ul>
                                   
                                   
                                </ul>
                            </div>
                           
                            <div class="language-switcher">
                                <div id="">
                                   
                                        <select id="polyglot-language-options" class="langSel">
                @foreach($language as $item)
                <option value="{{$item->code}}" @if(session('lang') == $item->code) selected  @endif>{{ __($item->name) }}</option>
                @endforeach
            </select>
                                       
                                    
                                </div>
                            </div>
                        </div>
                        <!--End Main Header Style1 Top Right-->

                    </div>
                </div>
            </div>
            <!--End Main Header Style1 Top-->

            <nav class="main-menu main-menu-style1">
                <div class="main-menu__wrapper clearfix">
                    <div class="container">
                        <div class="main-menu__wrapper-inner">

                            <div class="main-menu-style1-left">
                                <div class="logo-box-style1">
                                    <a href="{{ route('home') }}">
                                        <img src="{{getImage(imagePath()['logoIcon']['path'] .'/logo.png')}}" alt="Awesome Logo" style='max-height:75px;'>
                                    </a>
                                </div>

                                <div class="main-menu-box">
                                    <a href="#" class="mobile-nav__toggler">
                                        <i class="icon-menu"></i>
                                    </a>
                                    <ul class="main-menu__list one-page-scroll-menu">

                                       
                                        <li class="scrollToLink">
                                            <a href="{{ route('home') }}#about">@lang('About')</a>
                                        </li>
                                        <li class="scrollToLink">
                                            <a href="{{ url('donate') }}">@lang('Donate')</a>
                                        </li>
                                        <li class="scrollToLink">
                                            <a href="{{ url('blogs') }}">@lang('News')</a>
                                        </li>
                                        <li class="scrollToLink">
                                            <a href="{{ route('home') }}#contact">@lang('Get In Touch')</a>
                                        </li>
                                       

                                    </ul>
                                </div>
                            </div>

                            <div class="main-menu-style1-right">
                                @auth
                                 <div class="header-btn-one">
                                    <a href="{{ route('user.home') }}">
                                        <span class="icon-home-button"></span>@lang('Dashboard')
                                    </a>
                                  
                                </div>
                                
                                @else
                               <div class="header-btn-one">
                                    <a href="{{ url('login') }}">
                                        <span class="icon-home-button"></span>@lang('Login')
                                    </a>
                                    <a class="style2" href="{{ url('register') }}">
                                        <span class="icon-payment"></span>@lang('Open an Account')
                                    </a>
                                </div>
                                @endauth
                            </div>

                        </div>
                    </div>
                </div>
            </nav>

            <!--Start Main Header Style1 Bottom-->
            <div class="main-header-style1-bottom">
                <div class="auto-container">
                    <div class="outer-box">
                        <div class="update-box">
                            <div class="inner-title">
                                <span class="icon-megaphone"></span>
                                <h4>Updates:</h4>
                            </div>
                            <div class="text">
                                <p>{{ $advert->data_values->scroll2 }}</p>
                                
                            </div>
                        </div>
                        <div class="slogan-box">
                            <p>{{ $advert->data_values->scroll }}
                            </p>
                        </div>
                    </div>
                </div>
            </div>
            <!--End Main Header Style1 Bottom-->

        </header>


        <div class="stricky-header stricked-menu main-menu">
            <div class="sticky-header__content"></div><!-- /.sticky-header__content -->
        </div><!-- /.stricky-header -->






 <script src="{{asset($activeTemplateTrue.'js/jquery-3.3.1.min.js')}}"></script>
    <script>

$(document).ready(function(){
     $(".langSel").on("change", function() {
                window.location.href = "{{route('home')}}/change/"+$(this).val() ;
            });


        });



    </script>
