<div style="width: 175px;" class="sidebar {{ sidebarVariation()['selector'] }} {{ sidebarVariation()['sidebar'] }} {{ @sidebarVariation()['overlay'] }} {{ @sidebarVariation()['opacity'] }}"
    >
    <button class="res-sidebar-close-btn"><i class="las la-times"></i></button>
    <div class="sidebar__inner">
        <div class="sidebar__logo">
            <a href="{{ route('user.home') }}" class="sidebar__main-logo"><img
                    src="{{getImage(imagePath()['logoIcon']['path'] .'/logo.png')}}" style="height:35px;" alt="@lang('image')"></a>
            
        </div>
 
        <div class="sidebar__menu-wrapper" id="sidebar__menuWrapper">
            <ul class="sidebar__menu">
                <li class="sidebar-menu-item {{menuActive('user.dashboard')}}">
                    <a href="{{route('user.home')}}" class="nav-link ">
                        <i class="menu-icon las la-home"></i>
                        <span class="menu-title">@lang('Dashboard')</span>
                    </a>
                </li>

                <li class="sidebar-menu-item sidebar-dropdown">
                    <a href="javascript:void(0)" class="{{menuActive('user.deposit*',3)}}">
                        <i class="menu-icon las la-clipboard-list"></i>
                        <span class="menu-title">@lang('Deposit')</span>
                    </a>
                    <div class="sidebar-submenu {{menuActive('user.deposit',2)}} ">
                        <ul>

                            <li class="sidebar-menu-item {{menuActive('user.deposit.index')}} ">
                                <a href="{{route('user.deposit')}}" class="nav-link">
                                    <i class="menu-icon las la-dot-circle"></i>
                                    <span class="menu-title">@lang('Deposit')</span>
                                </a>
                            </li>
                            <li class="sidebar-menu-item {{menuActive('user.deposit.history')}} ">
                                <a href="{{route('user.deposit.history')}}" class="nav-link">
                                    <i class="menu-icon las la-dot-circle"></i>
                                    <span class="menu-title">@lang('History')</span>
                                </a>
                            </li>
                        </ul>
                    </div>
                </li>

                <li class="sidebar-menu-item {{menuActive('card')}}">
                    <a href="{{route('card')}}" class="nav-link ">
                        <i class="menu-icon las la-list"></i>
                        <span class="menu-title">@lang('Cards')</span>
                    </a>
                </li>

                <li class="sidebar-menu-item
                    {{menuActive('user.card')}}"
                >
                    <a href="{{route('user.card')}}" class="nav-link ">
                        <i class="menu-icon las la-credit-card"></i>
                        <span class="menu-title">@lang('My Cards')</span>
                    </a>
                </li>

                
                <li class="sidebar-menu-item sidebar-dropdown">
                    <a href="javascript:void(0)" class="{{menuActive('ticket*',3)}}">
                        <i class="menu-icon las la-credit-card"></i>
                        <span class="menu-title">@lang('Support')</span>

                    </a>
                    <div class="sidebar-submenu {{menuActive('ticket*',2)}} ">
                        <ul>

                            <li class="sidebar-menu-item {{menuActive('ticket.open')}} ">
                                <a href="{{route('ticket.open')}}" class="nav-link">
                                    <i class="menu-icon las la-dot-circle"></i>
                                    <span class="menu-title">@lang('New Ticket')</span>
                                </a>
                            </li>
                            <li class="sidebar-menu-item {{menuActive('ticket')}} ">
                                <a href="{{route('ticket')}}" class="nav-link">
                                    <i class="menu-icon las la-dot-circle"></i>
                                    <span class="menu-title">@lang('My Tickets')</span>
                                </a>
                            </li>
                        </ul>
                    </div>
                </li>
                
            </ul>
            <div class="text-center mb-3 text-uppercase">
                <span class="text--primary">{{__(systemDetails()['name'])}}</span>
                <span class="text--success">@lang('V'){{systemDetails()['version']}} </span>
            </div>
        </div>
    </div>
</div>
<!-- sidebar end -->
