@php
    $blog = getContent('blog.content', true);
    $blogs = getContent('blog.element');
@endphp

<!--Start Blog Style2 Area-->
        <section id="news" class="blog-style2-area pdb60">
            <div class="container">
                <div class="sec-title text-center">
                    <h2>{{ __(@$blog->data_values->title) }}</h2>
                    <div class="sub-title">
                        <p>{{ __(@$blog->data_values->sub_heading) }}</p>
                    </div>
                </div>
                <div class="row">
                    <!--Start Single blog Style2-->
                    @foreach($blogs as $singleblog)
                    <div class="col-xl-6">
                        <div class="single-blog-style1 single-blog-style1--style2">
                            <div class="img-holder">
                                <div class="inner">
                                    <img src="{{ getImage('assets/images/frontend/blog/' .@$singleblog->data_values->image, '540x330') }}" alt="">
                                    <div class="overlay-icon">
                                        <a href="{{ route('blog.details', ['slug'=>slug($singleblog->data_values->title), 'id'=>$singleblog->id]) }}">
                                            <span class="icon-right-arrow"></span>
                                        </a>
                                    </div>
                                </div>
                                <div class="category-date-box">
                                    <div class="category">
                                        <span class="icon-play-button-1"></span>
                                        <h5>{{ __($singleblog->data_values->category) }}</h5>
                                    </div>
                                    <div class="date">
                                        <h5>{{ showDateTime($singleblog->created_at) }}</h5>
                                    </div>
                                    <div class="author">
                                        <h5>By <a href="#">Admin</a></h5>
                                    </div>
                                </div>
                            </div>
                            <div class="text-holder">
                                <h3 class="blog-title">
                                    <a href="{{ route('blog.details', ['slug'=>slug($singleblog->data_values->title), 'id'=>$singleblog->id]) }}">
                                        {{ __($singleblog->data_values->title) }}
                                    </a>
                                </h3>
                                <div class="bottom">
                                    <div class="read-more-btn">
                                        <a href="{{ route('blog.details', ['slug'=>slug($singleblog->data_values->title), 'id'=>$singleblog->id]) }}"><span class="icon-right-arrow"></span>Read More</a>
                                    </div>
                                    <div class="meta-box">
                                        <ul class="meta-info">
                                            
                                        </ul>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <!--End Single blog Style2-->
@endforeach
                  
                </div>

            </div>
        </section>
        <!--End Blog Style2 Area-->

