@php
    $deal = getContent('deals.content', true);
    $header = getContent('header.content', true);
    $socialMedias = getContent('social_icon.element');
    $socialIcons = getContent('social_icon.element');
@endphp

<!--Start Main Contact Form Area-->
        <section id="contact" class="main-contact-form-area pdb100">
            <div class="container">
                <div class="row">

                    <div class="col-xl-6">
                        <div class="contact-info-box-style1">
                            <div class="box1"></div>
                            <div class="title">
                                <h2>{{ __(@$deal->data_values->heading) }}</h2>
                                <p>{{ __(@$deal->data_values->subheading) }}</p>
                            </div>

                            <ul class="contact-info-1">
                                <li>
                                    <div class="icon">
                                        <span class="icon-map"></span>
                                    </div>
                                    <div class="text">
                                        <p>Corporate Office</p>
                                        <h3>{{ __(@$deal->data_values->address) }}</h3>
                                    </div>
                                </li>
                                <li>
                                    <div class="icon">
                                        <span class="icon-clock"></span>
                                    </div>
                                    <div class="text">
                                        <p>Office Hours</p>
                                        <h3>{{ __(@$deal->data_values->hours) }}</h3>
                                        
                                    </div>
                                </li>
                                <li>
                                    <div class="icon">
                                        <span class="icon-phone"></span>
                                    </div>
                                    <div class="text">
                                        <p>Front Desk</p>
                                        <h3><a href="tel:{{ @$header->data_values->phone }}">{{ @$header->data_values->phone }}</a></h3>
                                        <h3><a href="mailto:{{ @$header->data_values->email }}">{{ @$header->data_values->email }}</a></h3>
                                    </div>
                                </li>
                            </ul>

                            <div class="bottom-box">
                                <div class="btn-box">
                                    <a href="#"><i class="fas fa-arrow-down"></i> Customer Care</a>
                                </div>
                                <div class="footer-social-link-style1">
                                    <ul class="clearfix">
                                        @foreach($socialIcons as $icon)
                <li>
                    <a href="{{ $icon->data_values->url }}" target="_blank">
                        @php
                            echo $icon->data_values->social_icon;
                        @endphp
                    </a>
                </li>
            @endforeach
                                        
                                    </ul>
                                </div>
                            </div>

                        </div>
                    </div>

                    <div class="col-xl-6">
                        <div class="contact-form">
                             <form class="default-form2" method="post" action="{{ route('contactform') }}">
                        @csrf
                        <div class="col-sm-12">
                            <div class="form-group">
                                <label for="name" class="form--label">@lang('Name')</label>
                                <input name="name" id="name" type="text" class="form--control form-control" value="@if(auth()->user()) {{ auth()->user()->fullname }} @else {{ old('name') }} @endif" @if(auth()->user()) readonly @endif required>
                            </div>
                        </div>
                        <div class="col-sm-6">
                            <div class="form-group">
                                <label for="email" class="form--label">@lang('Email')</label>
                                <input name="email" id="email" type="text" class="form-control form--control" value="@if(auth()->user()) {{ auth()->user()->email }} @else {{old('email')}} @endif" @if(auth()->user()) readonly @endif required>
                            </div>
                        </div>
                        <div class="col-sm-6">
                            <div class="form-group">
                                <label for="subject" class="form--label">@lang('Subject')</label>
                                <input name="subject" id="subject" type="text" class="form-control form--control" value="{{old('subject')}}" required>
                            </div>
                        </div>
                        <div class="col-sm-12">
                            <div class="form-group">
                                <label for="message" class="form--label">@lang('Message')</label>
                                <textarea name="message" id="message" wrap="off" class="form-control form--control">{{old('message')}}</textarea>
                            </div>
                        </div>
                        <div class="col-sm-12">
                            <div class="form-group m-0 pt-3">
                                <button type="submit" class="btn btn-primary">@lang('Send Message')</button>
                            </div>
                        </div>
                    </form>
                         
                        </div>
                    </div>

                </div>
            </div>
        </section>
        <!--End Main Contact Form Area-->

