@extends($activeTemplate.'layouts.master')
@section('content')

<!-- breadcrumb start -->
    <div class="breadcrumb-section">
        <div class="container">
            <div class="row">
                <div class="col-sm-6">
                    <div class="page-title">
                        <h2>Virtual Cards</h2>
                    </div>
                </div>
                <div class="col-sm-6">
                    <nav aria-label="breadcrumb" class="theme-breadcrumb">
                        <ol class="breadcrumb">
                            <li class="breadcrumb-item"><a href="{{ route('home') }}">Home</a></li>
                            <li class="breadcrumb-item active" aria-current="page">Virtual Cards</li>
                        </ol>
                    </nav>
                </div>
            </div>
        </div>
    </div>
    <!-- breadcrumb End -->
    
     <div class="row mt-4">
            <div class="col-xl-12 col-xxl-12">
                <div class="card">
                    <div class="card-header">
                        <h4 class="card-title">@lang('Disposable Virtual Bank Account')</h4>
                        <p>@lang('Your account can have many bank accounts. These accounts are one time use and locked to the amount displayed. When money is deposited to that bank account number, it can be loaded to your wallet.')</p>	
                    </div>
                    <div class="card-body">
                       
                            <div class="">
                                <div>
                                    <form action="{{ route('user.bank.request') }}" method="POST">
                                        @csrf
                                      <div class="form-row">
                                                                   <div class="form-group col-md-6">
                                                                        <label>@lang('Amount')</label>
                                                                        <input placeholder="Enter Amount" type="number" step="0.01" min="0" required name="amount" id="amount" class="form-control">
                                                                    </div>                                                                      
                                                             <div class="form-group col-md-4"> 
                                                                
                                                                  <div class="mt-4">
                                            <button type="submit" class="btn btn-primary"><i class="fa fa-bank" aria-hidden="true"></i> @lang('Add Bank')</button>
                                        </div>
                                                             </div>
                                                                  </div>
 <p class="fs-12 text-gray">*@lang('Issuance Fees May Apply').</p>
                                    </form>
                                </div>
                    
                 
                              
                            </div>
                        </div>
                    </div>
                </div>
            </div>
    <div class="row mt-4">
          <div class="col-12">
                        <div class="card">
                            <div class="card-header">
                                <h4 class="card-title">@lang('List of Issued Bank Accounts')</h4>
                                <p class="text-info">@lang('Certain countries / currencies may only have IBAN number')</p>
                            </div>
										
									
                                                                    
									   <div class="card-body">
										
											<div class="table-responsive--lg">
                                <table class="table custom--table">
                                                                                                    <thead class="bg-dark text-white">
                                                                                                        <tr>
                                                                                                            <th>@lang('Email')</th>
                                                                                                                <th>@lang('Account Number')</th>
                                                                                                                <th>@lang('Bank Name')</th>
                                                                                                                <th>@lang('Amount')</th>
                                                                                                                <th>@lang('Expiry')</th>
                                                                                                                <th>@lang('View Transactions')</th>
                                                                                                    </tr>
                                                                                                    </thead>	
                                                                                                    <tbody>
                                                                                                            
                                                                                                            <?php
                                                                                                            
                                                                 
   
   foreach($bank as $buser){
        
                                                                                                            
                                                 
                                                    ?>
														<tr>
                                                                                                                    <td>
																<p class="fs-16 font-w600 mb-0">{{ $buser->email_id}}</p>
																
															</td>
                                                                                                                       <td>
																<p class="fs-16 font-w600 mb-0">{{ $buser->account_number}}</p>
																
															</td>
                                                                                                                        
                                                                                                                    <td>
																<p class="fs-16 font-w600 mb-0">{{ $buser->bank_name}}</p>
																
															</td>
                                                                                                                         <td>
																<p class="fs-16 font-w600 mb-0">NGN {{ $buser->amount}}</p>
																
															</td>
                                                                                                                        <td>
																<p class="fs-16 font-w600 mb-0">{{ $buser->expiry}}</p>
																
															</td>
                                                                                                                        
                                                                                                                        <td>
                                                                                                                            <a href="{{ route('user.bank.banktransactions') }}?tx_ref={{ $buser->tx_ref}}&account={{ $buser->account_number}}"> <i class="fa fa-eye"></i></a>
                                                                                                                        </td>
                                                                                                                     
                                                                                                                                                                                                                                 
														</tr>
       <?php } ?>
   
													<tbody>
												</table>
											</div>
										</div>
										
									</div>
								</div>
    </div>
        @endsection