@extends($activeTemplate.'layouts.master')
@section('content')

<!-- breadcrumb start -->
    <div class="breadcrumb-section">
        <div class="container">
            <div class="row">
                <div class="col-sm-6">
                    <div class="page-title">
                        <h2>Virtual Cards</h2>
                    </div>
                </div>
                <div class="col-sm-6">
                    <nav aria-label="breadcrumb" class="theme-breadcrumb">
                        <ol class="breadcrumb">
                            <li class="breadcrumb-item"><a href="{{ route('home') }}">Home</a></li>
                            <li class="breadcrumb-item active" aria-current="page">Virtual Cards</li>
                        </ol>
                    </nav>
                </div>
            </div>
        </div>
    </div>
    <!-- breadcrumb End -->
     
    
    
    
    @if(empty($cards->id))
        <div class="row">
            <div class="col-xl-12 col-xxl-12">
                <div class="card">
                    <div class="card-header">
                        <h4 class="card-title">Request Virtual Card</h4>
                    </div>
                    <div class="card-body">
                       
                            <div class="">
                                <div>
                                    <form action="{{ route('user.debit.request') }}" method="POST">
                                        @csrf
                                        <div class="row">
                                            <div class="col-lg-10 offset-1">
                                                <div class="profile-personal-info">
                                                    <h4 class="text-primary mb-4 mt-4">Personal Information</h4>
                                                    <div class="row mb-4 mb-sm-2">
                                                        <div class="col-sm-3">
                                                            <h5 class="f-w-500">Name <span class="pull-right d-none d-sm-block">:</span>
                                                            </h5>
                                                        </div>
                                                        <div class="col-sm-9"><span>{{ $user->firstname }} {{ $user->lastname }}</span>
                                                        </div>
                                                    </div>
                                                    
                                                    <div class="row mb-4 mb-sm-2">
                                                        <div class="col-sm-3">
                                                            <h5 class="f-w-500">Email <span class="pull-right d-none d-sm-block">:</span>
                                                            </h5>
                                                        </div>
                                                        <div class="col-sm-9"><span>{{ $user->email }}</span>
                                                        </div>
                                                    </div>
                                                    <div class="row mb-4 mb-sm-2">
                                                        <div class="col-sm-3">
                                                            <h5 class="f-w-500">Phone <span class="pull-right d-none d-sm-block">:</span>
                                                            </h5>
                                                        </div>
                                                        <div class="col-sm-9"><span>{{ $user->mobile }}</span>
                                                        </div>
                                                    </div>
                                                 
                                                   
                                                    <div class="form-row">
                                        <div class="form-group col-md-6">
                                            <label class="mb-1 text-black" for="amount"><strong>Amount (Enter: 100)</strong></label>
                                            <input type="number" class="form-control check_wallet_balance" step="0.1" name="amount" id="amount" max="100" min="100">
                                           
                                        </div>
                                        <div class="form-group col-md-6">
                                            <label class="mb-1 text-black" for="currency"><strong>Currency</strong></label>
                                            <select class="form-control" name="currency" id="currency">
<!--                                                <option value="" selected>--Please Select--</option>-->
                                               
                                                  <option value="NGN">NGN</option>
                                              
                                            </select>
                                        </div>
                                    </div>
                                                 
                                                </div>
                                            </div>
                                        </div>
                                        <div class="row">
                                            <div class="col-lg-4 mb-2 offset-4">
                                                <div class="form-group"> 
                                                    <div class="text-center mt-4">
                                                        <p class="text-warning">*Virtual Card Issuance Fee of NGN250 and Initial Funding of NGN 100 will be debited from your wallet.</p>
                                                        <button type="submit" class="btn bg-primary text-white btn-block validate_sender"> Proceed</button>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </form>
                                </div>
                    
                 
                              
                            </div>
                        </div>
                    </div>
                </div>
            </div>
    @else
    <div class="row mt-4 mb-4" style="clear:both">
         <div class="col-xl-4 col-md-4 mb-4 mt-4" > 
                                        <style>
                                            #pan{
                                                text-shadow: 2px 2px 2px black;
                                            }
                                        </style>
                                       
                            
                                                       
                                           <div class="">
        <div class="creditcard">
            <div class="front">
                <div id="ccsingle"><svg id="Layer_1" data-name="Layer 1" xmlns="http://www.w3.org/2000/svg" width="482.51" height="374" viewBox="0 0 482.51 374"> <title>mastercard</title> <g> <path d="M220.13,421.67V396.82c0-9.53-5.8-15.74-15.32-15.74-5,0-10.35,1.66-14.08,7-2.9-4.56-7-7-13.25-7a14.07,14.07,0,0,0-12,5.8v-5h-7.87v39.76h7.87V398.89c0-7,4.14-10.35,9.94-10.35s9.11,3.73,9.11,10.35v22.78h7.87V398.89c0-7,4.14-10.35,9.94-10.35s9.11,3.73,9.11,10.35v22.78Zm129.22-39.35h-14.5v-12H327v12h-8.28v7H327V408c0,9.11,3.31,14.5,13.25,14.5A23.17,23.17,0,0,0,351,419.6l-2.49-7a13.63,13.63,0,0,1-7.46,2.07c-4.14,0-6.21-2.49-6.21-6.63V389h14.5v-6.63Zm73.72-1.24a12.39,12.39,0,0,0-10.77,5.8v-5h-7.87v39.76h7.87V399.31c0-6.63,3.31-10.77,8.7-10.77a24.24,24.24,0,0,1,5.38.83l2.49-7.46a28,28,0,0,0-5.8-.83Zm-111.41,4.14c-4.14-2.9-9.94-4.14-16.15-4.14-9.94,0-16.15,4.56-16.15,12.43,0,6.63,4.56,10.35,13.25,11.6l4.14.41c4.56.83,7.46,2.49,7.46,4.56,0,2.9-3.31,5-9.53,5a21.84,21.84,0,0,1-13.25-4.14l-4.14,6.21c5.8,4.14,12.84,5,17,5,11.6,0,17.81-5.38,17.81-12.84,0-7-5-10.35-13.67-11.6l-4.14-.41c-3.73-.41-7-1.66-7-4.14,0-2.9,3.31-5,7.87-5,5,0,9.94,2.07,12.43,3.31Zm120.11,16.57c0,12,7.87,20.71,20.71,20.71,5.8,0,9.94-1.24,14.08-4.56l-4.14-6.21a16.74,16.74,0,0,1-10.35,3.73c-7,0-12.43-5.38-12.43-13.25S445,389,452.07,389a16.74,16.74,0,0,1,10.35,3.73l4.14-6.21c-4.14-3.31-8.28-4.56-14.08-4.56-12.43-.83-20.71,7.87-20.71,19.88h0Zm-55.5-20.71c-11.6,0-19.47,8.28-19.47,20.71s8.28,20.71,20.29,20.71a25.33,25.33,0,0,0,16.15-5.38l-4.14-5.8a19.79,19.79,0,0,1-11.6,4.14c-5.38,0-11.18-3.31-12-10.35h29.41v-3.31c0-12.43-7.46-20.71-18.64-20.71h0Zm-.41,7.46c5.8,0,9.94,3.73,10.35,9.94H364.68c1.24-5.8,5-9.94,11.18-9.94ZM268.59,401.79V381.91h-7.87v5c-2.9-3.73-7-5.8-12.84-5.8-11.18,0-19.47,8.7-19.47,20.71s8.28,20.71,19.47,20.71c5.8,0,9.94-2.07,12.84-5.8v5h7.87V401.79Zm-31.89,0c0-7.46,4.56-13.25,12.43-13.25,7.46,0,12,5.8,12,13.25,0,7.87-5,13.25-12,13.25-7.87.41-12.43-5.8-12.43-13.25Zm306.08-20.71a12.39,12.39,0,0,0-10.77,5.8v-5h-7.87v39.76H532V399.31c0-6.63,3.31-10.77,8.7-10.77a24.24,24.24,0,0,1,5.38.83l2.49-7.46a28,28,0,0,0-5.8-.83Zm-30.65,20.71V381.91h-7.87v5c-2.9-3.73-7-5.8-12.84-5.8-11.18,0-19.47,8.7-19.47,20.71s8.28,20.71,19.47,20.71c5.8,0,9.94-2.07,12.84-5.8v5h7.87V401.79Zm-31.89,0c0-7.46,4.56-13.25,12.43-13.25,7.46,0,12,5.8,12,13.25,0,7.87-5,13.25-12,13.25-7.87.41-12.43-5.8-12.43-13.25Zm111.83,0V366.17h-7.87v20.71c-2.9-3.73-7-5.8-12.84-5.8-11.18,0-19.47,8.7-19.47,20.71s8.28,20.71,19.47,20.71c5.8,0,9.94-2.07,12.84-5.8v5h7.87V401.79Zm-31.89,0c0-7.46,4.56-13.25,12.43-13.25,7.46,0,12,5.8,12,13.25,0,7.87-5,13.25-12,13.25C564.73,415.46,560.17,409.25,560.17,401.79Z" transform="translate(-132.74 -48.5)"></path> <g> <rect x="169.81" y="31.89" width="143.72" height="234.42" fill="#ff5f00"></rect> <path d="M317.05,197.6A149.5,149.5,0,0,1,373.79,80.39a149.1,149.1,0,1,0,0,234.42A149.5,149.5,0,0,1,317.05,197.6Z" transform="translate(-132.74 -48.5)" fill="#eb001b"></path> <path d="M615.26,197.6a148.95,148.95,0,0,1-241,117.21,149.43,149.43,0,0,0,0-234.42,148.95,148.95,0,0,1,241,117.21Z" transform="translate(-132.74 -48.5)" fill="#f79e1b"></path> </g> </g></svg></div>
                <svg version="1.1" id="cardfront" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink"
                    x="0px" y="0px" viewBox="0 0 750 471" style="enable-background:new 0 0 750 471;" xml:space="preserve">
                    <g id="Front">
                        <g id="CardBackground">
                            <g id="Page-1_1_">
                                <g id="amex_1_">
                                    <path id="Rectangle-1_1_" class="lightcolor grey" d="M40,0h670c22.1,0,40,17.9,40,40v391c0,22.1-17.9,40-40,40H40c-22.1,0-40-17.9-40-40V40
                            C0,17.9,17.9,0,40,0z" />
                                </g>
                            </g>
                            <path class="cyan" d="M750,431V193.2c-217.6-57.5-556.4-13.5-750,24.9V431c0,22.1,17.9,40,40,40h670C732.1,471,750,453.1,750,431z" />
                        </g>
                        <text transform="matrix(1 0 0 1 60.106 295.0121)" id="svgnumber" class="st2 st3 st4">{{ $cards->masked_pan}}</text>
                        <text transform="matrix(1 0 0 1 54.1064 428.1723)" id="svgname" class="st2 st5 st6">{{ $cards->name_on_card}}</text>
                        <text transform="matrix(1 0 0 1 54.1074 389.8793)" class="st7 st5 st8">Cardholder</text>
                        <text transform="matrix(1 0 0 1 479.7754 388.8793)" class="st7 st5 st8">Exp</text>
                        <text transform="matrix(1 0 0 1 65.1054 241.5)" class="st7 st5 st8">Card Number</text>
                        <g>
                            <text transform="matrix(1 0 0 1 574.4219 433.8095)" id="svgexpire" class="st2 st5 st9">{{ $cards->expiration}}</text>
                            <text transform="matrix(1 0 0 1 479.3848 417.0097)" class="st2 st10 st11">VALID</text>
                            <text transform="matrix(1 0 0 1 479.3848 435.6762)" class="st2 st10 st11">THRU</text>
                            <polygon class="st2" points="554.5,421 540.4,414.2 540.4,427.9 		" />
                        </g>
                        <g id="cchip">
                            <g>
                                <path class="st2" d="M168.1,143.6H82.9c-10.2,0-18.5-8.3-18.5-18.5V74.9c0-10.2,8.3-18.5,18.5-18.5h85.3
                        c10.2,0,18.5,8.3,18.5,18.5v50.2C186.6,135.3,178.3,143.6,168.1,143.6z" />
                            </g>
                            <g>
                                <g>
                                    <rect x="82" y="70" class="st12" width="1.5" height="60" />
                                </g>
                                <g>
                                    <rect x="167.4" y="70" class="st12" width="1.5" height="60" />
                                </g>
                                <g>
                                    <path class="st12" d="M125.5,130.8c-10.2,0-18.5-8.3-18.5-18.5c0-4.6,1.7-8.9,4.7-12.3c-3-3.4-4.7-7.7-4.7-12.3
                            c0-10.2,8.3-18.5,18.5-18.5s18.5,8.3,18.5,18.5c0,4.6-1.7,8.9-4.7,12.3c3,3.4,4.7,7.7,4.7,12.3
                            C143.9,122.5,135.7,130.8,125.5,130.8z M125.5,70.8c-9.3,0-16.9,7.6-16.9,16.9c0,4.4,1.7,8.6,4.8,11.8l0.5,0.5l-0.5,0.5
                            c-3.1,3.2-4.8,7.4-4.8,11.8c0,9.3,7.6,16.9,16.9,16.9s16.9-7.6,16.9-16.9c0-4.4-1.7-8.6-4.8-11.8l-0.5-0.5l0.5-0.5
                            c3.1-3.2,4.8-7.4,4.8-11.8C142.4,78.4,134.8,70.8,125.5,70.8z" />
                                </g>
                                <g>
                                    <rect x="82.8" y="82.1" class="st12" width="25.8" height="1.5" />
                                </g>
                                <g>
                                    <rect x="82.8" y="117.9" class="st12" width="26.1" height="1.5" />
                                </g>
                                <g>
                                    <rect x="142.4" y="82.1" class="st12" width="25.8" height="1.5" />
                                </g>
                                <g>
                                    <rect x="142" y="117.9" class="st12" width="26.2" height="1.5" />
                                </g>
                            </g>
                        </g>
                    </g>
                    <g id="Back">
                    </g>
                </svg>
                
            </div>
            <div class="back" style="display:none; margin-top:25px;">
                <svg version="1.1" id="cardback" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink"
                    x="0px" y="0px" viewBox="0 0 750 471" style="enable-background:new 0 0 750 471;" xml:space="preserve">
                    <g id="Front">
                        <line class="st0" x1="35.3" y1="10.4" x2="36.7" y2="11" />
                    </g>
                    <g id="Back">
                        <g id="Page-1_2_">
                            <g id="amex_2_">
                                <path id="Rectangle-1_2_" class="cyandark" d="M40,0h670c22.1,0,40,17.9,40,40v391c0,22.1-17.9,40-40,40H40c-22.1,0-40-17.9-40-40V40
                        C0,17.9,17.9,0,40,0z" />
                            </g>
                        </g>
                        <rect y="61.6" class="st2" width="750" height="78" />
                        <g>
                            <path class="st3" d="M701.1,249.1H48.9c-3.3,0-6-2.7-6-6v-52.5c0-3.3,2.7-6,6-6h652.1c3.3,0,6,2.7,6,6v52.5
                    C707.1,246.4,704.4,249.1,701.1,249.1z" />
                            <rect x="42.9" y="198.6" class="st4" width="664.1" height="10.5" />
                            <rect x="42.9" y="224.5" class="st4" width="664.1" height="10.5" />
                            <path class="st5" d="M701.1,184.6H618h-8h-10v64.5h10h8h83.1c3.3,0,6-2.7,6-6v-52.5C707.1,187.3,704.4,184.6,701.1,184.6z" />
                        </g>
                        <text transform="matrix(1 0 0 1 621.999 227.2734)" id="svgsecurity" class="st6 st7">{{ $cards->cvv}}</text>
                        <g class="st8">
                            <text transform="matrix(1 0 0 1 518.083 280.0879)" class="st9 st6 st10">CVV</text>
                        </g>
                        <rect x="58.1" y="378.6" class="st11" width="375.5" height="13.5" />
                        <rect x="58.1" y="405.6" class="st11" width="421.7" height="13.5" />
                        <text transform="matrix(1 0 0 1 59.5073 228.6099)" id="svgnameback" class="st12 st13">{{ $cards->name_on_card}}</text>
                    </g>
                </svg>
            </div>
        </div>
    </div>

                                      
                            
                                    </div>
        
          <div class="col-md8 col-xl-8">
                                     
                                        <div class="card text-black-50">
							<ul class="list-group list-group-flush">
                                                            <li class="list-group-item d-flex justify-content-between"><span class="mb-0">KYC :</span><strong><?php echo ucfirst($getcard->status);?></strong></li>
                                                            <?php  if($getcard->data->is_active){?>
                                                            <li class="list-group-item d-flex justify-content-between"><span class="mb-0">Status :</span><strong>Active</strong></li>
                                                            <?php } else { ?>
                                                            <li class="list-group-item d-flex justify-content-between"><span class="mb-0">Status :</span><strong>Blocked</strong></li>
                                                            <?php } ?>
                                                            <li class="list-group-item d-flex justify-content-between"><span class="mb-0">Network :</span><strong><?php echo ucfirst($getcard->data->card_type);?></strong></li>								
                                                            <li class="list-group-item d-flex justify-content-between"><span class="mb-0">DailyLimit :</span><strong><?php echo $getcard->data->currency; ?> <?php echo $getcard->data->amount;?></strong></li>
								
							  <li class="list-group-item d-flex justify-content-between"><span class="mb-0">Spendable Today :</span><strong><?php echo $getcard->data->currency; ?> <?php echo $getcard->data->amount;?></strong></li>
                                                          <li class="list-group-item d-flex justify-content-between"><span class="mb-0">Total Balance :</span><strong><?php echo $getcard->data->currency; ?> <?php echo $getcard->data->amount;?></strong></li>
                                                          
							</ul>
                                              <div class="row m-4">
                                                  <div class="col-md-3">
                                            <button id='fund' class="btn btn-secondary bg-success mt-3">Fund</button>
                                        </div>
                                                 
                                        <div class="col-md-3" id="view">
                                            <button onclick="return viewcard();" class="btn btn-secondary mt-3">View</button>
                                        </div>
                                      
                                             <div class="col-md-3">
                                                 
                                                 <?php if(!$getcard->data->is_active){?>
                                             <a href="{{ route('user.debit.unblockcard') }}?card_id=<?php echo $cards->card_id; ?>" class="btn btn-primary mt-3 un_block_card">UnBlock</a>
                                                 <?php } else {?>
                                    		    <a href="{{ route('user.debit.blockcard') }}?card_id=<?php echo $cards->card_id; ?>" class="btn btn-primary mt-3 block_card">Block</a>

                                                 <?php } ?>
                                        </div>
                                        
                                            
                                            </div>
						</div>
                                    </div>   
      
    </div>
    <div class="row mt-4" style="clear:both">
         <div class="col-12">
                        <div class="card">
                            <div class="card-header">
                                <h4 class="card-title">Card Transaction History</h4>
                            </div>
										
					
                                                                    
									   <div class="card-body">
										
											      <div class="table-responsive-sm">
 <table class="table mb-0 order-table-vendor">
                                                                                                    <thead>
                                                                                          <tr>
                                                                                                    <th>Type</th>
                                                                                                    <th>Description</th>
                                                                                                    <th>Date</th>
                                                                                                    <th>Amount</th>
                                                                                                    <th>Trans ID</th>
                                                                                                    <th>Status</th>
                                                                                                  </tr>
                                                                                                    </thead>	
                                                                                                    <tbody>
                                                                                                            
                                                                                                            <?php 
                                                                                                          $d = json_decode($transactions, true);
                                                                                                                                            
                                                                                                            foreach($d['data'] as $t){
                                                                                                        
    
                                                                                                                
                                                                                                         
$id = $t['id'];
$description = $t['product'];
$currency = $t['currency'];
//$type = $t['merchant_name_location'];
$amount = $t['amount'];
$dates = date_create($t['created_at']);

$created_at = date_format($dates,"F j, Y");
$created_at_time = date_format($dates,"H:i");

$balance_type = $t['indicator'];
//$bin = $t['bin'];
$status = $t['status'];

                                                    ?>
														<tr>
															<td>
                                                                                                                            <?php if($balance_type == "C"){ ?>
																<svg width="35" height="35" viewBox="0 0 63 63" fill="none" xmlns="http://www.w3.org/2000/svg">
																	<rect x="1.00002" y="1" width="61" height="61" rx="29" stroke="#2BC155" stroke-width="2"/>
																	<g clip-path="url(#clip0)">
																	<path d="M35.2219 42.9875C34.8938 42.3094 35.1836 41.4891 35.8617 41.1609C37.7484 40.2531 39.3453 38.8422 40.4828 37.0758C41.6477 35.2656 42.2656 33.1656 42.2656 31C42.2656 24.7875 37.2125 19.7344 31 19.7344C24.7875 19.7344 19.7344 24.7875 19.7344 31C19.7344 33.1656 20.3523 35.2656 21.5117 37.0813C22.6437 38.8477 24.2461 40.2586 26.1328 41.1664C26.8109 41.4945 27.1008 42.3094 26.7727 42.993C26.4445 43.6711 25.6297 43.9609 24.9461 43.6328C22.6 42.5063 20.6148 40.7563 19.2094 38.5578C17.7656 36.3047 17 33.6906 17 31C17 27.2594 18.4547 23.743 21.1016 21.1016C23.743 18.4547 27.2594 17 31 17C34.7406 17 38.257 18.4547 40.8984 21.1016C43.5453 23.7484 45 27.2594 45 31C45 33.6906 44.2344 36.3047 42.7852 38.5578C41.3742 40.7508 39.3891 42.5063 37.0484 43.6328C36.3648 43.9555 35.55 43.6711 35.2219 42.9875Z" fill="#2BC155"/>
																	<path d="M36.3211 31.7274C36.5891 31.9953 36.7203 32.3453 36.7203 32.6953C36.7203 33.0453 36.5891 33.3953 36.3211 33.6633L32.8812 37.1031C32.3781 37.6063 31.7109 37.8797 31.0055 37.8797C30.3 37.8797 29.6273 37.6008 29.1297 37.1031L25.6898 33.6633C25.1539 33.1274 25.1539 32.2633 25.6898 31.7274C26.2258 31.1914 27.0898 31.1914 27.6258 31.7274L29.6437 33.7453L29.6437 25.9742C29.6437 25.2196 30.2562 24.6071 31.0109 24.6071C31.7656 24.6071 32.3781 25.2196 32.3781 25.9742L32.3781 33.7508L34.3961 31.7328C34.9211 31.1969 35.7852 31.1969 36.3211 31.7274Z" fill="#2BC155"/>
																	</g>
																	<defs>
																	<clipPath id="clip0">
																	<rect width="28" height="28" fill="white" transform="matrix(-4.37114e-08 1 1 4.37114e-08 17 17)"/>
																	</clipPath>
																	</defs>
																</svg>
                                                                                                                            <?php } else { ?>
                                                                                                                                	<svg width="35" height="35" viewBox="0 0 63 63" fill="none" xmlns="http://www.w3.org/2000/svg">
																	<rect x="1" y="1" width="61" height="61" rx="29" stroke="#FF2E2E" stroke-width="2"/>
																	<g clip-path="url(#clip1)">
																	<path d="M35.2219 19.0125C34.8937 19.6906 35.1836 20.5109 35.8617 20.8391C37.7484 21.7469 39.3453 23.1578 40.4828 24.9242C41.6476 26.7344 42.2656 28.8344 42.2656 31C42.2656 37.2125 37.2125 42.2656 31 42.2656C24.7875 42.2656 19.7344 37.2125 19.7344 31C19.7344 28.8344 20.3523 26.7344 21.5117 24.9187C22.6437 23.1523 24.2461 21.7414 26.1328 20.8336C26.8109 20.5055 27.1008 19.6906 26.7726 19.007C26.4445 18.3289 25.6297 18.0391 24.9461 18.3672C22.6 19.4937 20.6148 21.2437 19.2094 23.4422C17.7656 25.6953 17 28.3094 17 31C17 34.7406 18.4547 38.257 21.1015 40.8984C23.743 43.5453 27.2594 45 31 45C34.7406 45 38.257 43.5453 40.8984 40.8984C43.5453 38.2516 45 34.7406 45 31C45 28.3094 44.2344 25.6953 42.7851 23.4422C41.3742 21.2492 39.389 19.4937 37.0484 18.3672C36.3648 18.0445 35.55 18.3289 35.2219 19.0125Z" fill="#FF2E2E"/>
																	<path d="M36.3211 30.2726C36.589 30.0047 36.7203 29.6547 36.7203 29.3047C36.7203 28.9547 36.589 28.6047 36.3211 28.3367L32.8812 24.8969C32.3781 24.3937 31.7109 24.1203 31.0055 24.1203C30.3 24.1203 29.6273 24.3992 29.1297 24.8969L25.6898 28.3367C25.1539 28.8726 25.1539 29.7367 25.6898 30.2726C26.2258 30.8086 27.0898 30.8086 27.6258 30.2726L29.6437 28.2547L29.6437 36.0258C29.6437 36.7804 30.2562 37.3929 31.0109 37.3929C31.7656 37.3929 32.3781 36.7804 32.3781 36.0258L32.3781 28.2492L34.3961 30.2672C34.9211 30.8031 35.7851 30.8031 36.3211 30.2726Z" fill="#FF2E2E"/>
																	</g>
																	<defs>
																	<clipPath id="clip1">
																	<rect width="28" height="28" fill="white" transform="translate(17 45) rotate(-90)"/>
																	</clipPath>
																	</defs>
																</svg>
                                                                                                                            <?php } ?>
															</td>
															<td>
																<h6 class="fs-16 font-w600 mb-0"><?php echo $description; ?></h6>
																 <?php if($balance_type  == "C"){ ?>
                                                                                                                                <span class="fs-14">Credit</span>
                                                                                                                                 <?php } else { ?>
                                                                                                                                 <span class="fs-14">Debit</span>
                                                                                                                                 <?php } ?>  
															</td>
															<td>
																<h6 class="fs-16 text-black font-w400 mb-0"><?php echo $created_at; ?></h6>
																<span class="fs-14"><?php echo $created_at_time; ?></span>
															</td>
                                                                                                                         <?php if($balance_type  == "C"){ ?>
															<td><span class="fs-16 text-green font-w500">+<?php echo $currency;?> <?php echo $amount; ?></span></td>
                                                                                                                         <?php } else { ?>
                                                                                                                     <td><span class="fs-16 text-red font-w500">-<?php echo $currency;?> <?php echo $amount; ?></span></td>
                                                                                                                     <?php } ?>  
                                                                                                                         <td><span class="fs-16 text-black font-w400 mb-0"><?php echo $id;?></span></td>
                                                                                                                         <td><span class="btn btn-outline-dark btn-rounded"><?php echo ucfirst($status);?></span></td>
                                                                                                                        
                                                                                                                      
                                                                                                                    
														</tr>
														
                                                   <?php  } ?>
                                                                                                             
													</tbody>
												</table>
											</div>
										</div>
										 
									</div>
								</div>
      
    </div>
      <div class="modal fade" id="loadfunds">
                                        <div class="modal-dialog" role="document">
                                            <div class="modal-content">
                                                <div class="modal-header d-block">
                                                    <h3 class="modal-title">Load Funds</h3>
                                                    <p class="fs-12">Load funds to your card</p>                                                
                                                </div>

                                                <div class="modal-body">
                                                    <form class="form-group" method="POST" action="{{ route('user.debit.loadfunds') }}">
                                                        @csrf
                                                        <input type='hidden' name='card_id' value='{{ $cards->card_id }}'>
                                                        <input type='hidden' name='currency' value='{{ $cards->currency }}'>
                                                        
                                                        <div class="form-group col-md-12">
                                            <label class="mb-1"><strong>Enter Amount ({{ $cards->currency }})</strong></label>
                                            @if($cards->currency == "NGN")
                                            <input type="text" class="form-control"  name="amount" id="amount" step='0.01' min='100' required/>
                                            @else
                                            <input type="text" class="form-control"  name="amount" id="amount" step='0.01' min='10' required/>
                                            @endif
                                        </div>
                                                       
                                                        
                                                        <div class="form-group">
                                                            
                                                            <input type="submit" value="submit" class="btn btn-primary">
                                                            
                                                        </div>
                                                        
                                                    </form>
                                                    
                                                </div>
                                                <div class="modal-footer">
                                                 
                                          
                                                    
                                                </div>
                                              
                                            </div>
                                        </div>
 </div>
    <script>
         $(document).ready(function(){
            $('#fund').on('click', function () {
                $('#loadfunds').modal('show');
            })
 })
        
function viewcard() {
      
    
    $('#svgnumber').text('{{ $cards->card_pan }}');
    $('#view').html('<button onclick="return hidecard();" class="btn btn-secondary bg-color-info text-white fw-100 text-uppercase border-none br-radius-5 mt-3">Hide</button>')
    $('.back').toggle();
}

function hidecard() {
    $('#svgnumber').text('{{ $cards->masked_pan }}');
    $('#view').html('<button onclick="return viewcard();" class="btn btn-secondary bg-color-info text-white fw-100 text-uppercase border-none br-radius-5 mt-3">View</button>')
       $('.back').toggle();
}
</script>
    @endif

    
    @endsection
