@extends($activeTemplate.'layouts.master')
@section('content')

<!-- breadcrumb start -->
    <div class="breadcrumb-section">
        <div class="container">
            <div class="row">
                <div class="col-sm-6">
                    <div class="page-title">
                        <h2>Perpaid MasterCards</h2>
                    </div>
                </div>
                <div class="col-sm-6">
                    <nav aria-label="breadcrumb" class="theme-breadcrumb">
                        <ol class="breadcrumb">
                            <li class="breadcrumb-item"><a href="{{ route('home') }}">Home</a></li>
                            <li class="breadcrumb-item active" aria-current="page">Perpaid MasterCards</li>
                        </ol>
                    </nav>
                </div>
            </div>
        </div>
    </div>
    <!-- breadcrumb End -->
     
    
    
    
  
      

   
    <div class="row mt-4" style="clear:both">
         <div class="col-12">
                        <div class="card">
                            <div class="card-header">
                                <h4 class="card-title">List of Purchased Perpaid MasterCards</h4>
                            </div>
										
					
                                                                    
									   <div class="card-body">
										
											      <div class="table-responsive-sm">
 <table class="table mb-0 order-table-vendor">
                                                                                                    <thead>
                                                                                          <tr>
                                                                                                    
                                                                                                    <th>Date</th>
                                                                                                  
                                                                                                    <th>View Card</th>
                                                                                                  </tr>
                                                                                                    </thead>	
                                                                                                    <tbody>
       @foreach($cards as $c)
       <tr>
                                                                                                    <td>
                                                                                                        {{ $c->created_at }}
                                                                                                    </td>
                                                                                                    
                                                                                                     <td>
                                                                                                         <a href="{{ route('user.prepaid.master',$c->id) }}" target="_blank"><i class="fa fa-credit-card"></i></a>
                                                                                                    </td>
       </tr>
       @endforeach
                                                                                                           
                                                                                                             
													</tbody>
												</table>
											</div>
										</div>
										 
									</div>
								</div>
      
    </div>
   

    
    @endsection
