@extends($activeTemplate.'layouts.master')
@section('content')

<!-- breadcrumb start -->
    <div class="breadcrumb-section">
        <div class="container">
            <div class="row">
                <div class="col-sm-6">
                    <div class="page-title">
                        <h2>Virtual Cards</h2>
                    </div>
                </div>
                <div class="col-sm-6">
                    <nav aria-label="breadcrumb" class="theme-breadcrumb">
                        <ol class="breadcrumb">
                            <li class="breadcrumb-item"><a href="{{ route('home') }}">Home</a></li>
                            <li class="breadcrumb-item active" aria-current="page">Virtual Cards</li>
                        </ol>
                    </nav>
                </div>
            </div>
        </div>
    </div>
    <!-- breadcrumb End -->
     
    
    
    
  
        <div class="row mt-4">
            <div class="col-xl-12 col-xxl-12">
                <div class="card">
                    <div class="card-header">
                        <h4 class="card-title">Order USD Visa Prepaid </h4>
                    </div>
                    <div class="card-body">
                       
                            <div class="">
                                <div>
                                    <form action="{{ route('user.debit.prerequest') }}" method="POST">
                                        @csrf
                                        <div class="row">
                                            <div class="col-lg-10">
                                                <div class="profile-personal-info">
                                                    <h4 class="text-primary mb-4 mt-4">Personal Information</h4>
                                                    <div class="row mb-4 mb-sm-2">
                                                        <div class="col-sm-3">
                                                            <h5 class="f-w-500">Name <span class="pull-right d-none d-sm-block">:</span>
                                                            </h5>
                                                        </div>
                                                        <div class="col-sm-9"><span>{{ $user->firstname }} {{ $user->lastname }}</span>
                                                        </div>
                                                    </div>
                                                    
                                                    <div class="row mb-4 mb-sm-2">
                                                        <div class="col-sm-3">
                                                            <h5 class="f-w-500">Email <span class="pull-right d-none d-sm-block">:</span>
                                                            </h5>
                                                        </div>
                                                        <div class="col-sm-9"><span>{{ $user->email }}</span>
                                                        </div>
                                                    </div>
                                                    <div class="row mb-4 mb-sm-2">
                                                        <div class="col-sm-3">
                                                            <h5 class="f-w-500">Phone <span class="pull-right d-none d-sm-block">:</span>
                                                            </h5>
                                                        </div>
                                                        <div class="col-sm-9"><span>{{ $user->mobile }}</span>
                                                        </div>
                                                    </div>
                                                 
                                                   
                                                    <div class="form-row">
                                        <div class="form-group col-md-6">
                                            <label class="mb-1 text-black" for="amount"><strong>Amount (Min $10 : Max $1000)</strong></label>
                                            <input type="number" class="form-control" step="0.1" name="amount" id="amount" max="1000" min="10">
                                           
                                        </div>
                                        <div class="form-group col-md-6">
                                            <label class="mb-1 text-black" for="currency"><strong>Ussage</strong></label>
                                            <select class="form-control" name="type" id="currency">
                                                <option value="" selected>--Please Select--</option>
                                               
                                                  <option value="US">United States</option>
                                                   <option value="row">International</option>
                                              
                                            </select>
                                        </div>
                                    </div>
                                                 
                                                </div>
                                            </div>
                                      
                                       
                                            <div class="col-md-6 mb-2 text-left">
                                                <div class="form-group"> 
                                                    <div class="mt-4">
                                                        
                                                        <button type="submit" class="btn btn-primary"> Proceed</button>
                                                    </div>
                                                </div>
                                            </div>
                                          </div>
                                    </form>
                                </div>
                    
                 
                              
                            </div>
                        </div>
                    </div>
                </div>
            </div>

   
    <div class="row mt-4" style="clear:both">
         <div class="col-12">
                        <div class="card">
                            <div class="card-header">
                                <h4 class="card-title">List of Purchased Cards</h4>
                            </div>
										
					
                                                                    
									   <div class="card-body">
										
											      <div class="table-responsive-sm">
 <table class="table mb-0 order-table-vendor">
                                                                                                    <thead>
                                                                                          <tr>
                                                                                                    
                                                                                                    <th>Date</th>
                                                                                                    <th>Amount</th>
                                                                                                    <th>Trans ID</th>
                                                                                                    <th>View Card</th>
                                                                                                  </tr>
                                                                                                    </thead>	
                                                                                                    <tbody>
       @foreach($cards as $c)
       <tr>
                                                                                                    <td>
                                                                                                        {{ $c->created_at }}
                                                                                                    </td>
                                                                                                     <td>
                                                                                                        ${{ $c->amount }}
                                                                                                    </td>
                                                                                                     <td>
                                                                                                        {{ $c->trx }}
                                                                                                    </td>
                                                                                                     <td>
                                                                                                         <a href="{{ $c->link }}" target="_blank"><i class="fa fa-credit-card"></i></a>
                                                                                                    </td>
       </tr>
       @endforeach
                                                                                                           
                                                                                                             
													</tbody>
												</table>
											</div>
										</div>
										 
									</div>
								</div>
      
    </div>
   

    
    @endsection
