 @extends($activeTemplate.'layouts.auth_master')
 @php
    $carddesign = getContent('carddesign.content', true);
    $advert = getContent('dashboardadverts.content', true);
    
    if(isset($cards)){    
   $qr = array(
   "card_hash" => $cards->card_hash,
   "cvv" => $cards->cvv,
   "expiration" => $cards->expiration,
   "name_on_card" => $cards->name_on_card
   
   );
   $qrimg = json_encode($qr);
   } else {
   $qrimg = "No Card Found";
   }
@endphp
@section('content')
<!-- Dashboard -->
     <style>
          
                 @import url("https://fonts.googleapis.com/css?family=Space+Mono:400,400i,700,700i");


.title {
  margin-bottom: 30px;
  color: #162969;
}

.cards {
  width: 320px;
  height: 190px;
  -webkit-perspective: 600px;
  -moz-perspective: 600px;
  perspective: 600px;
}
</style>

<style>
.cards__part {
  box-shadow: 1px 1px #aaa3a3;
  top: 0;
  position: absolute;
  z-index: 1000;
  left: 0;
  display: inline-block;
  width: 320px;
  height: 190px;
  background-image: url("{{ getImage('assets/images/frontend/carddesign/' .@$carddesign->data_values->design, '527x350') }}"),
    linear-gradient(
      to right bottom,
      #fd696b,
      #fa616e,
      #f65871,
      #f15075,
      #ec4879
    ); /*linear-gradient(to right bottom, #fd8369, #fc7870, #f96e78, #f56581, #ee5d8a)*/
  background-repeat: no-repeat;
  background-position: center;
  background-size: cover;
  border-radius: 8px;

  -webkit-transition: all 0.5s cubic-bezier(0.175, 0.885, 0.32, 1.275);
  -moz-transition: all 0.5s cubic-bezier(0.175, 0.885, 0.32, 1.275);
  -ms-transition: all 0.5s cubic-bezier(0.175, 0.885, 0.32, 1.275);
  -o-transition: all 0.5s cubic-bezier(0.175, 0.885, 0.32, 1.275);
  transition: all 0.5s cubic-bezier(0.175, 0.885, 0.32, 1.275);
  -webkit-transform-style: preserve-3d;
  -moz-transform-style: preserve-3d;
  -webkit-backface-visibility: hidden;
  -moz-backface-visibility: hidden;
}
</style>
<style>
.cards__front {
  padding: 18px;
  -webkit-transform: rotateY(0);
  -moz-transform: rotateY(0);
}

.cards__back {
  padding: 18px 0;
  -webkit-transform: rotateY(-180deg);
  -moz-transform: rotateY(-180deg);
}

.cards__black-line {
  margin-top: 5px;
  height: 38px;
  background-color: transparent;
}

.cards__logo {
  height: 16px;
}

.cards__front-logo {
  position: absolute;
  top: 18px;
  right: 18px;
}
.cards__square {
  border-radius: 5px;
  height: 30px;
}

.cards_numer {
  display: block;
  width: 100%;
  word-spacing: 4px;
  font-size: 20px;
  letter-spacing: 2px;
  color: #fff;
  text-align: left;
  margin-bottom: 20px;
  margin-top: 0px;
}

.cards__space-75 {
  width: 75%;
  float: left;
}

.cards__space-25 {
  width: 25%;
  float: left;
}

.cards__label {
  font-size: 10px;
  text-transform: uppercase;
  color: rgba(255, 255, 255, 0.8);
  letter-spacing: 1px;
}

.cards__info {
  margin-bottom: 0;
  margin-top: 5px;
  font-size: 16px;
  line-height: 18px;
  color: #fff;
  letter-spacing: 1px;
  text-transform: uppercase;
}

.cards__back-content {
  padding: 15px 15px 0;
}
.cards__secret--last {
  color: #303030;
  text-align: right;
  margin: 0;
  font-size: 14px;
}

.cards__secret {
  padding: 5px 12px;
  background-color:white;
  position: relative;
}

.cards__secret:before {
  content: "";
  position: absolute;
  top: -3px;
  left: -3px;
  height: calc(100% + 6px);
  width: calc(100% - 42px);
  border-radius: 4px;
  background: repeating-linear-gradient(
    45deg,
    #ededed,
    #ededed 5px,
    #f9f9f9 5px,
    #f9f9f9 10px
  );
}

.cards__back-logo {
  position: absolute;
  bottom: 15px;
  right: 15px;
}

.cards__back-square {
  position: absolute;
  bottom: 15px;
  left: 15px;
}

.cards:hover .cards__front {
  -webkit-transform: rotateY(180deg);
  -moz-transform: rotateY(180deg);
}

.cards:hover .cards__back {
  -webkit-transform: rotateY(0deg);
  -moz-transform: rotateY(0deg);
}

                 </style>
 
    <!-- breadcrumb start -->

    <!-- breadcrumb End -->
 
                <div class="col-lg-12 mt-4">
                    <div class="faq-content tab-content" id="top-tabContent">
                        <div class="tab-pane fade show active" id="info">
                            <div class="counter-section">
                               
                             
                               
                             <div class="row mt-4 iq-card p-4">
                @if($general->cd && isset($cards->id))                         
         <div class="col-xl-4 col-md-6 mb-4 mt-4 iq-card p-4" > 
                                        <style>
                                            #pan{
                                                text-shadow: 2px 2px 2px black;
                                            }
                                        </style>
                                       
                            
                                        <a href="{{ route('user.debit.index') }}">                                            
                                                 <div class="cards">
                                                     
  <div class="cards__front cards__part">
    
    <p class="cards_numer"><img src="https://api.qrserver.com/v1/create-qr-code/?size=75x75&bgcolor=5156be&color=fff&data={{ $qrimg }}"></p>
    <div class="cards__space-75">
      <span class="cards__label">@lang('Card holder')</span>
      <p class="cards__info">{{ $cards->name_on_card}}</p>
    </div>
    <div class="cards__space-25">
      <span class="cards__label">@lang('Expires')</span>
            <p class="cards__info">{{ $cards->expiration}}</p>
    </div>
  </div>
  
  <div class="cards__back cards__part">
    <div class="cards__black-line"></div>
    <div class="cards__back-content">
      <div class="cards__secret">
        <p class="cards__secret--last">{{ $cards->cvv}}</p>
      </div>
      
     
      
    </div>
  </div>
  
</div>    
</a>
                                      
                            
                                    </div>
        @endif
          <div class="col-md-6 col-xl-8">
                                     
               <div class="row mt-4" style="justify-content: left !important;">
                                     <div class="col-sm-6 col-md-6 col-lg-3">
                     <div class="iq-card iq-card-block iq-card-stretch iq-card-height">
                        <div class="iq-card-body iq-box-relative">
                           <div class="iq-box-absolute icon iq-icon-box rounded-circle iq-bg-danger">
                              <i class="fa fa-money"></i>
                           </div>
                           <p class="text-secondary">{{ __($general->cur_text) }} @lang('Balance')</p>
                           <div class="d-flex align-items-center justify-content-between" style='flex-direction:column;'>
                              <h4><b>{{ __($general->cur_text) }} {{ number_format($user->balance, 2) }}</b></h4>
                             
                              <span class="text-warning"><b>Fx: 1.00  <i class="ri-arrow-up-fill"></i></b></span>
                           </div>
                        </div>
                     </div>
                  </div>
                                  
                                     @foreach($fiats as $rate)
                                        <div class="col-sm-6 col-md-6 col-lg-3">
                     <div class="iq-card iq-card-block iq-card-stretch iq-card-height">
                        <div class="iq-card-body iq-box-relative">
                           <div class="iq-box-absolute icon iq-icon-box rounded-circle iq-bg-info">
                              <i class="fa fa-money"></i>
                           </div>
                           <p class="text-secondary">{{ $rate->code }} @lang('Balance')</p>
                           <div class="d-flex align-items-center justify-content-between" style='flex-direction:column;'>
                              <h4><b>{{ $rate->symbol }} {{ number_format(($user->balance * $rate->rate), 2) }}</b></h4>
                             
                              <span class="text-primary"><b>Fx: {{ __($general->cur_text) }}={{ $rate->code }} {{ number_format($rate->rate, 2) }} </b></span>
                           </div>
                        </div>
                     </div>
                  </div>
                                  
                                    @endforeach                              
              
         
                                    </div>   
      
    </div>
                                
                         
                           
                                </div>
                               
  @if($general->crypto)                             
<div class="row mt-4 iq-card p-4" style="justify-content: left !important;">
   
                  @foreach ($wallets as $item)
                   <div class="col-sm-6 col-md-6 col-lg-3">
                     <div class="iq-card iq-card-block iq-card-stretch iq-card-height">
                        <div class="iq-card-body iq-box-relative">
                           <div class="iq-box-absolute icon iq-icon-box rounded-circle iq-bg-info">
                           <img style='height:25px;' src="{{ getImage(imagePath()['crypto']['path'].'/'. $item->crypto->image,imagePath()['crypto']['size'])}}" alt="@lang('image')">
                           </div>
                           <p class="text-secondary">{{__($item->crypto->code)}} @lang('Balance')</p>
                           <div class="d-flex align-items-center justify-content-between" style='flex-direction:column;'>
                              <h4><b>{{__($item->crypto->code)}} {{showAmount($item->balance,8)}}</b></h4>
                              
                              <span class="text-primary"><b>Fx: {{ __($general->cur_text) }}: {{__($item->crypto->rate)}} </b></span>
                           </div>
                        </div>
                     </div>
                  </div>
                 
                  @endforeach
              </div>
 @endif                               
                               
                            </div>
                        </div>

                    </div>
                </div>
     <div class="col-lg-12 mt-4 text-center">
     <img src="{{ getImage('assets/images/frontend/dashboardadverts/' .@$advert->data_values->middle, '1024x129') }}" class="img-fluid">
 </div>
    @if($general->crypto)
    <div class="card dashboard-table mt-4">
                                        <div class="card-body">
                                            <div class="top-sec">
                                                <h3>@lang('Latest Advertisements')</h3>

                                            </div>


               <div class="table-responsive-sm">
 <table class="table mb-0 order-table-vendor">
        <thead class="bg-dark text-white">
                        <tr>
                            <th>@lang('Type')</th>
                            <th>@lang('Currency')</th>
                            <th>@lang('Payment Method')</th>
                            <th>@lang('Margin')</th>
                            <th>@lang('Rate')</th>
                            <th>@lang('Payment Window')</th>
                            <th>@lang('Status')</th>
                            <th>@lang('Action')</th>
                        </tr>
                      </thead>
                      <tbody>
                            @forelse ($latestAdds as $item)
                                <tr>
                                    <td data-label="@lang('Type')">
                                        @if ($item->type == 1)
                                            <span class="badge text-white badge-success">@lang('Buy')</span>
                                        @elseif($item->type == 2)
                                            <span class="badge text-white badge-info">@lang('Sell')</span>
                                        @else
                                        @endif
                                    </td>
                                    <td data-label="@lang('Currency')">{{__($item->fiat->code)}}</td>
                                    <td data-label="@lang('Payment Method')">{{__($item->fiatGateway->name)}}</b></td>
                                    <td data-label="@lang('Margin')">{{$item->margin}} %</td>
                                    <td data-label="@lang('Rate')">{{rate($item->type, $item->crypto->rate, $item->fiat->rate, $item->margin)}} {{__($item->fiat->code)}}/ {{__($item->crypto->code)}}</td>
                                    <td data-label="@lang('Payment Window')">{{$item->window}} @lang('Minutes')</td>
                                    <td data-label="@lang('Status')">
                                        @if ($item->status == 1)
                                            <span class="badge text-white badge-success">@lang('Open')</span>
                                        @else
                                            <span class="badge text-white badge-warning">@lang('Closed')</span>
                                        @endif
                                    </td>
                                    <td data-label="@lang('Action')"><a href="{{route('user.advertisement.edit',$item->id)}}" class="btn btn-primary btn-xs"><i class="las la-edit"></i></a></td>
                                </tr>
                            @empty
                                <tr>
                                    <td colspan="100%" class="text-center">@lang('No Data Found')</td>
                                </tr>
                            @endforelse
                      </tbody>
                    </table>
                  </div>
                </div>
              </div>
    @endif          
    
     <div class="col-lg-12 mt-4 text-center">
     <img src="{{ getImage('assets/images/frontend/dashboardadverts/' .@$advert->data_values->bottom, '1024x129') }}" class="img-fluid">
 </div>
        <div class="card dashboard-table mt-4">
                                        <div class="card-body">
                                            <div class="top-sec">
                                                <h3>@lang('Transactions')</h3>

                                            </div>

<div class="table-responsive-sm">
 <table class="table mb-0 order-table-vendor">
        <thead class="bg-dark text-white">
            <tr>
                <th>@lang('Date')</th>
                <th>@lang('Txn')</th>
                <th>@lang('Amount')</th>
                <th>@lang('Balance')</th>
                <th>@lang('Description')</th>
            </tr>
        </thead>
        <tbody>
        @forelse($latestTrxs as $trx)
            <tr>
                <td data-label="@lang('Date')">
                   {{ showDateTime($trx->created_at) }}
                </td>
                <td data-label="@lang('Trx')">
                   {{ $trx->trx }}
                </td>
                <td data-label="@lang('Amount')">
                    <strong>
                        {{ showAmount($trx->amount, 2) }}
                        {{ __($general->cur_text) }}
                    </strong>
                </td>
                <td data-label="@lang('Post Balance')">
                    <strong>
                        {{ showAmount($trx->post_balance, 2) }}
                        {{ __($general->cur_text) }}
                    </strong>
                </td>
                <td data-label="@lang('Details')">
                    {{ __($trx->details) }}
                </td>
            </tr>
        @empty
            <tr>
                <td colspan="100%">@lang('Data Not Found')</td>
            </tr>
        @endforelse

        </tbody>
    </table>
 </div>
                                        </div>
</div>
        
<!-- Dashboard -->
@endsection
