@extends($activeTemplate.'layouts.master')
@php
$user = auth()->user(); 

@endphp
@section('content')
<div class="breadcrumb-section">
    <div class="container">
        <div class="row">
            <div class="col-sm-6">
                <div class="page-title">
                    <h2>NGN Fund Transfer</h2>
                </div>
            </div>
            <div class="col-sm-6">
                <nav aria-label="breadcrumb" class="theme-breadcrumb">
                    <ol class="breadcrumb">
                        <li class="breadcrumb-item"><a href="{{ route('home') }}">Home</a></li>
                        <li class="breadcrumb-item active" aria-current="page">NGN Fund Transfer</li>
                    </ol>
                </nav>
            </div>
        </div>
    </div>
</div>


      <div class="row mt-4">
            <div class="col-xl-12 col-xxl-12">
                <div class="card">
                    <div class="card-header">
                        <h4 class="card-title">@lang('NGN Fund Transfer')</h4>
                    </div>
                    <div class="card-body">
                        <div>
                          
                            <div >
                                <div >
                                    <form action="{{route('user.nameenquiry')}}" method="POST" enctype="multipart/form-data" onsubmit="return confirm('The transaction will be processed immediately?');">
                                        @csrf
                                        <div class="row">
                                            
                                                   
                                                    <div class='row'>
                                                         
                                                    <div class="col-md-12 mb-2">
<div class="form-group"> 
<label class="mb-1 text-black" for="secret"><strong>@lang('Beneficiary Accoutnt Number')</strong><span class="text-danger">*</span> </label>
<input class="form-control" type="text" name="beneficiaryAccountNumber" id="mobile" value="{{old('beneficiaryAccountNumber')}}" required >
</div>
</div>
                                                        
<div class="col-md-12 mb-2">
<div class="form-group"> 
<label class="mb-1 text-black" for="secret"><strong>@lang('Select Bank')</strong><span class="text-danger">*</span> </label>
<select class='form-control' name='beneficiaryBankCode' required>
     <option value=''>@lang('Please Select')</option>
    @foreach($banklist as $data)
    <option value='{{$data->bankCode}}'>{{$data->bankName}}</option>
    @endforeach
</select>
</div>
</div>       
                                                        <div class="col-md-12 mb-2">
<div class="form-group"> 
<label class="mb-1 text-black" for="secret"><strong>@lang('NGN Amount')</strong><span class="text-danger">*</span> </label>
<input class="form-control" type="number" name="amount" id="amount" value="{{old('amount')}}" required >
</div>
</div>
                                                    <div class="col-md-12 mb-2">
<div class="form-group"> 
<label class="mb-1 text-black" for="secret"><strong>@lang('Description')</strong><span class="text-danger">*</span> </label>
<input class="form-control" type="text" name="description" id="description" value="{{old('description')}}" required >
</div>
</div>
                                                    </div>   


                                                    </div>                                           
                                                 
                                                    
  <div class="col mb-2">
                                                <div class="form-group"> 
                                                    <div class="mt-4">
                                                        <button type="submit" class="btn btn-primary"> @lang('Proceed')</button>
                                                    </div>
                                                </div>
<!--      <p class="text-danger">* @lang('An Issuance fee of') {{ $general->cur_text }} {{ showAmount($general->ngn_fee) }} @lang('applies.')</p>-->
                                            </div>
                                     
                                              </div>      
                                                </div>
                                            </div>
                                        
                                    </form>                                                 
                                
</div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>

              </div>                                      
              </div>
                            </div>
              </div>
    </div>


@endsection