@extends($activeTemplate.'layouts.master')
@php
   
@endphp
@section('content')

<!-- breadcrumb start -->
    <div class="breadcrumb-section">
        <div class="container">
            <div class="row">
                <div class="col-sm-6">
                    <div class="page-title">
                        <h2>@lang('KYC')</h2>
                    </div>
                </div>
                <div class="col-sm-6">
                    <nav aria-label="breadcrumb" class="theme-breadcrumb">
                        <ol class="breadcrumb">
                            <li class="breadcrumb-item"><a href="{{ route('home') }}">@lang('Home')</a></li>
                            <li class="breadcrumb-item active" aria-current="page">@lang('User KYC')</li>
                        </ol>
                    </nav>
                </div>
            </div>
        </div>
    </div>
    <!-- breadcrumb End -->
     
    
    
    
    @if(!(isset($kyc->id)) || $kyc->status == "resubmit")
        <div class="row mt-4">
            <div class="col-xl-12 col-xxl-12">
                <div class="card">
                    <div class="card-header">
                        <h4 class="card-title">@lang('Update KYC Info') - <span class="text-danger">@if(isset($kyc->status)) {{$kyc->status}} </span>@endif</h4>
                    </div>
                    <div class="card-body">
                       
                            <div class="">
                                <div>
                                    <form action="{{ route('user.kyc.updatekyc') }}" method="POST" enctype="multipart/form-data">
                                        @csrf
                                        <div class="row">
                                            <div class="col-lg-10 offset-1">
                                                <div class="profile-personal-info">
                                                    <h4 class="text-primary mb-4 mt-4">@lang('Personal Information')</h4>
                                                    <div class="row mb-4 mb-sm-2">
                                                       
                                                          <div class="col-md-2 mb-4">
                <img class="mw-100" src="{{ getImage(imagePath()['profile']['user']['path'].'/'. @$user->image,imagePath()['profile']['user']['size']) }}" alt="@lang('user')">
            </div>
            
            <div class="form--group col-md-10">
                    <label class="form--label" for="profile-image">@lang('Upload Picture')</label>
                    <input type="file" class="form-control form--control" name="image" id="profile-image" accept="image/*">
                </div>
            
             </div>
                                                          <div class="row mb-4 mb-sm-2">
                                                        <div class="col-sm-3">
                                                            <h5 class="f-w-500">@lang('Name')<span class="pull-right d-none d-sm-block">:</span>
                                                            </h5>
                                                        </div>
                                                        <div class="col-sm-9"><span>{{ $user->firstname }} {{ $user->lastname }}</span>
                                                        </div>
                                                    
                                                          </div>
                                                    <div class="row mb-4 mb-sm-2">
                                                        <div class="col-sm-3">
                                                            <h5 class="f-w-500">@lang('Email') <span class="pull-right d-none d-sm-block">:</span>
                                                            </h5>
                                                        </div>
                                                        <div class="col-sm-9"><span>{{ $user->email }}</span>
                                                        </div>
                                                    </div>
                                                    <div class="row mb-4 mb-sm-2">
                                                        <div class="col-sm-3">
                                                            <h5 class="f-w-500">@lang('Phone') <span class="pull-right d-none d-sm-block">:</span>
                                                            </h5>
                                                        </div>
                                                        <div class="col-sm-9"><span>{{ $user->mobile }}</span>
                                                        </div>
                                                    </div>
                                                    </div>
                                                    @if($user->profile != "merchant")
                                                    <div class='row'>
                                                    <div class="form--group col-md-6">
                    <label class="form--label" for="city">@lang('National ID / Passport No')</label>
                    <input type="text" class="form-control form--control" id="national_id" name="national_id" placeholder="@lang('National ID / Passport No')" required="">
                </div>
                                                    <div class="form--group col-md-6">
                    <label class="form--label" for="profile-image">@lang('National ID / Passport Picture')</label>
                    <input type="file" class="form-control form--control" name="national_image" id="profile-image" accept="image/*" required="">
                </div>
                         <div class="form--group col-md-6">
                    <label class="form--label" for="city">@lang('Address Proof')</label>
                    <input type="text" class="form-control form--control" id="employee_id" name="employee_id" placeholder="@lang('Address Proof')" required="">
                </div>                             
                                                    <div class="form--group col-md-6">
                    <label class="form--label" for="profile-image">@lang('Address Proof Picture')</label>
                    <input type="file" class="form-control form--control" name="employee_image" id="profile-image" accept="image/*" required="">
                </div>
                                                    </div>
                                                    
                                                    @else
                                                     <div class='row'>
                                                    <div class="form--group col-md-6">
                    <label class="form--label" for="city">@lang('Director National ID / Passport No')</label>
                    <input type="text" class="form-control form--control" id="national_id" name="national_id" placeholder="@lang('National ID / Passport No')" required="">
                </div>
                                                    <div class="form--group col-md-6">
                    <label class="form--label" for="profile-image">@lang('Direct National ID / Passport Picture')</label>
                    <input type="file" class="form-control form--control" name="national_image" id="profile-image" accept="image/*" required="">
                </div>
                         <div class="form--group col-md-6">
                    <label class="form--label" for="city">@lang('Company Registration No / EIN')</label>
                    <input type="text" class="form-control form--control" id="employee_id" name="employee_id" placeholder="@lang('Address Proof')" required="">
                </div>                             
                                                    <div class="form--group col-md-6">
                    <label class="form--label" for="profile-image">@lang('Registration Document')</label>
                    <input type="file" class="form-control form--control" name="employee_image" id="profile-image" accept="image/*" required="">
                </div>
                                                    </div>
                                                    
                                                    @endif
                                                    <hr class="mb-4 mt-4">
                                                    <div class="row mt-4">
                                                         @if($user->profile != "merchant")
                                                        <h4 class="text-primary mb-4 mt-4 col-md-12">@lang('Address Information')</h4>
                                                        @else 
                                                         <h4 class="text-primary mb-4 mt-4 col-md-12">@lang('UBO Address Information')</h4>
                                                        @endif
                                                         <div class="form--group col-md-6">
                    <label class="form--label" for="address">@lang('Address')</label>
                    <input type="text" class="form-control form--control" id="address" name="address" placeholder="@lang('Address')" value="{{@$user->address->address}}" required="">
                </div>
                <div class="form--group col-md-6">
                    <label class="form--label" for="state">@lang('State')</label>
                    <input type="text" class="form-control form--control" id="state" name="state" placeholder="@lang('state')" value="{{@$user->address->state}}" required="">
                </div>
                <div class="form--group col-md-6">
                    <label class="form--label" for="zip">@lang('Zip Code')</label>
                    <input type="text" class="form-control form--control" id="zip" name="zip" placeholder="@lang('Zip Code')" value="{{@$user->address->zip}}" required="">
                </div>
                <div class="form--group col-md-6">
                    <label class="form--label" for="city">@lang('City')</label>
                    <input type="text" class="form-control form--control" id="city" name="city" placeholder="@lang('City')" value="{{@$user->address->city}}" required="">
                </div>
                <div class="form--group col-md-6">
                    <label class="form--label" for="country">@lang('Country')</label>
                    <input class="form-control form--control" id="country" value="{{@$user->address->country}}" disabled>
                </div>
                                                    </div>                         
                                                    
                   <div class="form--group w-100 col-md-6 mb-0 text-end">
                    <button type="submit" class="btn btn-primary mt-3">@lang('Update KYC')</button>
                </div>                                
                                                </div>
                                            </div>
                                        </div>
                                       
                                    </form>
                                </div>
                    
                 
                              
                            </div>
                        </div>
                    </div>
                </div>
            </div>
    @else
    @if($kyc->status == "submitted" || $kyc->status == "cardverified" )
    <div class="row mt-4">
            <div class="col-xl-12 col-xxl-12">
                <div class="card">
                    <div class="card-header">
                        <h4 class="card-title">@lang('Pending Admin Approval')</h4>
                    </div>
                    <div class="card-body">
                       
                            <div class="">
                                <div>
                                   <div class="card-body">
                       
                            <div class="">
                                <div>
                                
                                        <div class="row">
                                            <div class="col-lg-10 offset-1">
                                                <div class="profile-personal-info">
                                                    <h4 class="text-primary mb-4 mt-4">@lang('Personal Information')</h4>
                                                    <div class="row mb-4 mb-sm-2">
                                                         <div class="row" style="justify-content: left !important">
                                                          <div class="col-md-2 mb-4">
                <img class="mw-100" src="{{ getImage(imagePath()['profile']['user']['path'].'/'. @$user->image,imagePath()['profile']['user']['size']) }}" alt="@lang('user')">
            </div>
            
            
            
            </div>
                                                        <div class="col-sm-3">
                                                            <h5 class="f-w-500">@lang('Name')<span class="pull-right d-none d-sm-block">:</span>
                                                            </h5>
                                                        </div>
                                                        <div class="col-sm-9"><span>{{ $user->firstname }} {{ $user->lastname }}</span>
                                                        </div>
                                                    </div>
                                                    
                                                    <div class="row mb-4 mb-sm-2">
                                                        <div class="col-sm-3">
                                                            <h5 class="f-w-500">@lang('Email') <span class="pull-right d-none d-sm-block">:</span>
                                                            </h5>
                                                        </div>
                                                        <div class="col-sm-9"><span>{{ $user->email }}</span>
                                                        </div>
                                                    </div>
                                                    <div class="row mb-4 mb-sm-2">
                                                        <div class="col-sm-3">
                                                            <h5 class="f-w-500">@lang('Phone') <span class="pull-right d-none d-sm-block">:</span>
                                                            </h5>
                                                        </div>
                                                        <div class="col-sm-9"><span>{{ $user->mobile }}</span>
                                                        </div>
                                                    </div>
                                                    <div class='row'>
                                                    <div class="form--group col-md-6">
                     <div class="row mb-4 mb-sm-2">
                                                        <div class="col-sm-6">
                                                            <h5 class="f-w-500">@lang('National ID / Passport No')<span class="pull-right d-none d-sm-block">:</span>
                                                            </h5>
                                                        </div>
                                                        <div class="col-sm-6"><span>{{ $kyc->national_id }}</span>
                                                        </div>
                                                    </div>
                </div>
                                                    <div class="form--group col-md-6">
                    <label class="form--label" for="profile-image"></label>
                    <img src="{{ getImage('assets/images/kyc/' .@$kyc->national_image, '527x350') }}" style="height:200px !important" class='mw-100 img img-fluid'>
                </div>
                         <div class="form--group col-md-6">
                      <div class="row mb-4 mb-sm-2">
                                                        <div class="col-sm-6">
                                                            <h5 class="f-w-500">@lang('Address Proof')<span class="pull-right d-none d-sm-block">:</span>
                                                            </h5>
                                                        </div>
                                                        <div class="col-sm-6"><span>{{ $kyc->employee_id }}</span>
                                                        </div>
                                                    </div>
                </div>                             
                                                    <div class="form--group col-md-6">
                    <label class="form--label" for="profile-image"></label>
                    <img src="{{ getImage('assets/images/kyc/' .@$kyc->employee_image, '527x350') }}" style="height:200px !important" class='mw-100 img img-fluid mt-4'>
                </div>
                                                    </div>                         
                                                    
                                            
                                                </div>
                                            </div>
                                        </div>
                                   
                                </div>
                    
                 
                              
                            </div>
                        </div>
                                </div>
                    
                 
                              
                            </div>
                        </div>
                    </div>
                </div>
            </div>
    @endif
     @if($kyc->status == "approved" )
     <div class="row mt-4">
            <div class="col-xl-12 col-xxl-12">
                <div class="card">
                    <div class="card-header">
                        <h4 class="card-title">@lang('KYC APPROVED')</h4>
                    </div>
                    <div class="card-body">
                       
                            <div class="">
                                <div>
                                    <h2>@lang('Your KYC is approved')</h2>
                                </div>
                    
                 
                              
                            </div>
                        </div>
                    </div>
                </div>
            </div>
     @endif
     
    @endif

    
    @endsection
