@extends($activeTemplate.'layouts.master')
@section('content')

<!-- breadcrumb start -->
    <div class="breadcrumb-section">
        <div class="container">
            <div class="row">
                <div class="col-sm-6">
                    <div class="page-title">
                        <h2>@lang('Business Meetings')</h2>
                    </div>
                </div>
                <div class="col-sm-6">
                    <nav aria-label="breadcrumb" class="theme-breadcrumb">
                        <ol class="breadcrumb">
                            <li class="breadcrumb-item"><a href="{{ route('home') }}">@lang('Home')</a></li>
                            <li class="breadcrumb-item active" aria-current="page">@lang('Business Meetings')</li>
                        </ol>
                    </nav>
                </div>
            </div>
        </div>
    </div>
    <!-- breadcrumb End -->
     <div class="row mt-4">
          <div class="col-md-12">
                             <div id="meet" style="position:fixed; height:100%; width:100%;top:0px;left:0px;z-index:99999;display: none;"></div>
                            </div>
    <div class="col-lg-12">
						<div class="row">
                                                     <div class="col-lg-12 mb-4">
                                                        
                                                        <div class="container">
                                                          
                                                               
                                                                <div class="form-row">
                                                                <div class="form-group col-md-4">
                                                                
                                            <label class="mb-1 text-black"><strong>@lang('Meeting ID')</strong></label>
                                            <input type="number" class="form-control" name="joinid" id="joinid" required>
                                        </div>
                                                               
                                                             <div class="form-group col-md-4"> 
                                                               
                                                                  <div class="text-center mt-4">
                                            <button id="joinmeeting" onclick="return joinvideo();" class="btn bg-primary text-white btn-block"><i class="fa fa-video-camera" aria-hidden="true"></i> Join</button>
                                        </div>
                                                             </div>
                                                                   
                                                                  </div>
                                                                
                                                                </div>
                                                    </div>
                                                    
                                                    
                                                
						
					
					
						</div>
					</div> 
    
</div>
    
    <script src='https://meet.jit.si/external_api.js'></script>
        <script>
function joinvideo(){
var room =  $("#joinid").val();

var roomname = room;
$("#meet").toggle();

$("#shareid").html(roomname);
const domain = 'meet.jit.si';
const options = {
    roomName: roomname,
    parentNode: document.querySelector('#meet')
};
const api = new JitsiMeetExternalAPI(domain, options);
api.on('readyToClose', function(){
   window.location.href = "{{ route('user.meetings')}} ";
   
});

}

</script>
    @endsection