@extends($activeTemplate.'layouts.master')
@section('content')
 <div class="breadcrumb-section">
            <div class="container">
                <div class="row">
                    <div class="col-sm-6">
                        <div class="page-title">
                            <h2>@lang('Agent List')</h2>
                        </div>
                    </div>
                    <div class="col-sm-6">
                        <nav aria-label="breadcrumb" class="theme-breadcrumb">
                            <ol class="breadcrumb">
                                <li class="breadcrumb-item"><a href="{{ route('home') }}">@lang('Home')</a></li>
                                <li class="breadcrumb-item active">@lang('Agent List')</li>
                            </ol>
                        </nav>
                    </div>
                </div>
            </div>
        </div>
<div class="container mt-4">
    <div class="row justify-content-center mt-2">
        <div class="col-md-12">
          <div class="table-responsive-sm">
 <table class="table mb-0 order-table-vendor">
            <thead class="bg-dark text-white">
              <tr>
                <th>@lang('Agent')</th>
                <th>@lang('Address')</th>
                <th>@lang('Contact')</th>
                <th>@lang('Gmap')</th>
                
              </tr>
            </thead>
            <tbody>
 
            @foreach($agent as $data)
            <tr>
                <td>{{ $data->company }}</td>
                <td>{{ $data->address->address }} {{ $data->address->city }} {{ $data->address->state }} {{ $data->address->zip }}</td>
                <td>{{ $data->mobile }}</td>
                <td><a target="_blank" href="https://www.google.com/maps/dir/?api=1&destination={{ $data->address->address }} {{ $data->address->city }} {{ $data->address->state }} {{ $data->address->zip }}"><i class="fa fa-map"></i></a>
                </tr>
            @endforeach

            </tbody>
          </table>
        </div>

        {{$agent->links()}}

      </div>
    </div>
  </div>

@endsection

