 @extends($activeTemplate.'layouts.master')

@section('content')
<div class="breadcrumb-section">
            <div class="container">
                <div class="row">
                    <div class="col-sm-6">
                        <div class="page-title">
                            <h2>Make Payment</h2>
                        </div>
                    </div>
                    <div class="col-sm-6">
                        <nav aria-label="breadcrumb" class="theme-breadcrumb">
                            <ol class="breadcrumb">
                                <li class="breadcrumb-item"><a href="{{ route('home') }}">Home</a></li>
                                <li class="breadcrumb-item active">Make Payment</li>
                            </ol>
                        </nav>
                    </div>
                </div>
            </div>
        </div>



<!--section start-->
    <section class="login-page section-b-space">
        <div class="container">
            <div class="row">
                <div class="col-lg-6">
                    <h3>Confirm Payment</h3>
                    <div class="theme-card">
                        <form class="theme-form" method="POST" action="{{ route('user.pg.processpayment')}}">
                            @csrf
                            <input type="hidden" name="paylink" value="{{ $paylink->paylink }}">
                            <h3>pay to: <span>{{ $paylink->merchant_email }}</span></h3>
                            <h4>Amount: {{ $paylink->currency }} {{ showAmount($paylink->amount,2) }}</h4>
                            <h4>USD Amount: {{ $debitamount }}</h4>
                           
                            <button class="btn btn-primary">Confirm</button>
                        </form>
                    </div>
                </div>
                 <div class="col-lg-6">
                    <h3>Balance</h3>
                    <div class="theme-card">
                        
                            <h3>Balance: {{ $general->cur_text }} {{ $user->balance }}</h3>
                           
                           
                          
                        </form>
                    </div>
                </div>
                
                </div>
            </div>
        </div>
    </section>
<!-- Account Section Starts Here -->

@endsection