@extends($activeTemplate.'layouts.master')

@section('content')
  <!-- breadcrumb start -->
    <div class="breadcrumb-section">
        <div class="container">
            <div class="row">
                <div class="col-sm-6">
                    <div class="page-title">
                        <h2>review</h2>
                    </div>
                </div>
                <div class="col-sm-6">
                    <nav aria-label="breadcrumb" class="theme-breadcrumb">
                        <ol class="breadcrumb">
                            <li class="breadcrumb-item"><a href="{{ route('home') }}">Home</a></li>
                            <li class="breadcrumb-item active" aria-current="page">Payment Confirmation</li>
                        </ol>
                    </nav>
                </div>
            </div>
        </div>
    </div>
    <!-- breadcrumb End -->
<div class="container">
    <div class="row justify-content-center">
        <div class="col-md-8">
            <div class="card custom--card h-100">
                <div class="card-header">
                    <h4 class="card-title">@lang('Payment Preview')</h4>
                </div>
                <div class="card-body card-body-deposit text-center">
                    <h6 class="my-2"> @lang('PLEASE SEND EXACTLY') <span class="text--base"> {{ $data->amount }}</span> {{__($data->currency)}}</h6>
                    <h6 class="mb-2">@lang('TO') <span class="text--base"> {{ $data->sendto }}</span></h6>
                    <img src="{{$data->img}}" alt="@lang('Image')">
                    <h6 class="my-4">@lang('SCAN TO SEND')</h6>
                </div>
            </div>
        </div>
    </div>
</div>
@endsection
