@extends($activeTemplate.'layouts.master')
@php
    $carddesign = getContent('carddesign.content', true);
    
   
@endphp
@section('content')

<!-- breadcrumb start -->
    <div class="breadcrumb-section">
        <div class="container">
            <div class="row">
                <div class="col-sm-6">
                    <div class="page-title">
                        <h2>Apply Crypto Debit Card</h2>
                    </div>
                </div>
                <div class="col-sm-6">
                    <nav aria-label="breadcrumb" class="theme-breadcrumb">
                        <ol class="breadcrumb">
                            <li class="breadcrumb-item"><a href="{{ route('home') }}">Home</a></li>
                            <li class="breadcrumb-item active" aria-current="page">Apply Crypto Card</li>
                        </ol>
                    </nav>
                </div>
            </div>
        </div>
    </div>
    <!-- breadcrumb End -->
     
    
    
    
  
   

         <div class="row mt-4">
            <div class="col-xl-12 col-xxl-12">
                <div class="card">
                    <div class="card-header">
                        <h4 class="card-title">Request Crypto Card</h4>
                    </div>
                    <div class="card-body">
                       
                            <div class="">
                                <div>
                                    <form action="{{ route('user.debit.cryptonewcard') }}" method="POST">
                                        @csrf
                                        
                                        <div class="row">
                                            <div class="col-lg-10 offset-1">
                                                <div class="profile-personal-info">
                                                    <h4 class="text-primary mb-4 mt-4">Personal Information</h4>
                                                    <div class="row mb-4 mb-sm-2">
                                                        <div class="col-sm-3">
                                                            <h5 class="f-w-500">Name on card <span class="pull-right d-none d-sm-block">:</span>
                                                            </h5>
                                                        </div>
                                                        <div class="col-sm-9"><span>{{ $user->firstname }} {{ $user->lastname }}</span>
                                                        </div>
                                                    </div>
                                                  
                                                    <div class="row mb-4 mb-sm-2">
                                                        <div class="col-sm-3">
                                                            <h5 class="f-w-500">Email <span class="pull-right d-none d-sm-block">:</span>
                                                            </h5>
                                                        </div>
                                                        <div class="col-sm-9"><span>{{ $user->email }}</span>
                                                        </div>
                                                    </div>
                                                    <div class="row mb-4 mb-sm-2">
                                                        <div class="col-sm-3">
                                                            <h5 class="f-w-500">Phone <span class="pull-right d-none d-sm-block">:</span>
                                                            </h5>
                                                        </div>
                                                        <div class="col-sm-9"><span>{{ $user->mobile }}</span>
                                                        </div>
                                                    </div>
                                                 <div class="row mb-4 mb-sm-2">
                                                        <div class="col-sm-12">
                                         <label class="mb-1 text-black" for="secret"><strong>Pin(4 Digit)</strong><span class="text-danger">*</span> </label>
                                         <input class="form-control" type="text" pattern="[0-9]{1,4}" minlength="4" maxlength="4" name="pin" id="pin" required>
                                                        </div>
                                                       
                                                    </div>
                                                   
                                                </div>
                                            </div>
                                        </div>
                                        <div class="row">
                                            <div class="col-lg-10 mb-2">
                                                <div class="form-group"> 
                                                    <div class="mt-4">
                                                        <p class="text-primary">*Crypto Card Issuance Fee {{ $general->cur_text }} {{ showAmount($general->ccard_fee) }} will be debited from your wallet.</p>
                                                        <button type="submit" class="btn btn-primary"> Proceed</button>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </form>
                                </div>
                    
                 
                              
                            </div>
                        </div>
                    </div>
                </div>
            </div>
    
   
    

    
    @endsection
