
@php
$carddesign = getContent('carddesign.content', true);
@endphp


<meta name="viewport" content="width=device-width, initial-scale=1" />
<script src="https://secure.weavr.io/app/secure/static/client.1.js"></script> 
<script src="https://code.jquery.com/jquery-3.6.0.js" integrity="sha256-H+K7U5CnXl1h5ywQfKtSj8PCmoN9aaq30gDh27Xc0jk=" crossorigin="anonymous"></script>  
<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.css" integrity="sha512-5A8nwdMOWrSz20fDsjczgUidUBR8liPYU+WymTZP1lmY9G6Oc7HlZv156XqnsgNUzTyMefFTcsFH/tnJE/+xBg==" crossorigin="anonymous" referrerpolicy="no-referrer" />
<script type="text/javascript">

window.OpcUxSecureClient.init('<?php echo $cards['uikey']; ?>');


window.OpcUxSecureClient.associate('Bearer <?php echo $cards['weavrtoken']; ?>',
        function () {
            console.log('associate success');


            var span = window.OpcUxSecureClient.span("cardNumber", "<?php echo $cards['cardNumber']; ?>",
                    {
                        style:
                                {
                                    fontSize: '25px',
                                    color: 'white'
                                }
                    }

            );


            span.mount(document.getElementById('cardNumber'));
            var span = window.OpcUxSecureClient.span("cvv", "<?php echo $cards['cvv']; ?>",
                    {
                        style:
                                {
                                    fontSize: '12px',
                                    color: 'white'
                                }
                    }

            );


            span.mount(document.getElementById('cvv'));
        },
        function (e) {
            console.error('associate failed ' + e);
        }
);
</script>  

<div class="row mt-4 mb-4" style="clear:both">
    <div class="col-xl-4 col-md-6 mb-4 mt-4" > 
       <style>
          
                 @import url("https://fonts.googleapis.com/css?family=Space+Mono:400,400i,700,700i");


.title {
  margin-bottom: 30px;
  color: #162969;
}

.cards {
  width: 320px;
  height: 190px;
  -webkit-perspective: 600px;
  -moz-perspective: 600px;
  perspective: 600px;
}
</style>
        
        <style>
.cards__part {
  box-shadow: 1px 1px #aaa3a3;
  top: 0;
  position: absolute;
  z-index: 1000;
  left: 0;
  display: inline-block;
  width: 320px;
  height: 190px;
  background-image: url("{{ getImage('assets/images/frontend/carddesign/' .@$carddesign->data_values->mastercarddesign, '527x350') }}"),
    linear-gradient(
      to right bottom,
      #fd696b,
      #fa616e,
      #f65871,
      #f15075,
      #ec4879
    ); /*linear-gradient(to right bottom, #fd8369, #fc7870, #f96e78, #f56581, #ee5d8a)*/
  background-repeat: no-repeat;
  background-position: center;
  background-size: cover;
  border-radius: 8px;

  -webkit-transition: all 0.5s cubic-bezier(0.175, 0.885, 0.32, 1.275);
  -moz-transition: all 0.5s cubic-bezier(0.175, 0.885, 0.32, 1.275);
  -ms-transition: all 0.5s cubic-bezier(0.175, 0.885, 0.32, 1.275);
  -o-transition: all 0.5s cubic-bezier(0.175, 0.885, 0.32, 1.275);
  transition: all 0.5s cubic-bezier(0.175, 0.885, 0.32, 1.275);
  -webkit-transform-style: preserve-3d;
  -moz-transform-style: preserve-3d;
  -webkit-backface-visibility: hidden;
  -moz-backface-visibility: hidden;
}
</style>
<style>
.cards__front {
  padding: 18px;
  -webkit-transform: rotateY(0);
  -moz-transform: rotateY(0);
}

.cards__back {
  padding: 18px 0;
  -webkit-transform: rotateY(-180deg);
  -moz-transform: rotateY(-180deg);
}

.cards__black-line {
  margin-top: 5px;
  height: 38px;
  background-color: transparent;
}

.cards__logo {
  height: 16px;
}

.cards__front-logo {
  position: absolute;
  top: 18px;
  right: 18px;
}
.cards__square {
  border-radius: 5px;
  height: 30px;
}

.cards_numer {
  display: block;
  width: 100%;
  word-spacing: 4px;
  font-size: 20px;
  letter-spacing: 2px;
  color: #fff;
  text-align: center;
  margin-bottom: 20px;
  margin-top: 20px;
}

.cards__space-75 {
  width: 75%;
  float: left;
}

.cards__space-25 {
  width: 25%;
  float: left;
}

.cards__label {
  font-size: 10px;
  text-transform: uppercase;
  color: rgba(255, 255, 255, 0.8);
  letter-spacing: 1px;
}

.cards__info {
  margin-bottom: 0;
  margin-top: 5px;
  font-size: 16px;
  line-height: 18px;
  color: #fff;
  letter-spacing: 1px;
  text-transform: uppercase;
}

.cards__back-content {
  padding: 15px 15px 0;
}
.cards__secret--last {
  color: #303030;
  text-align: right;
  margin: 0;
  font-size: 14px;
}

.cards__secret {
  padding: 5px 12px;
 
  position: relative;
}

.cards__secret:before {
  content: "";
  position: absolute;
  top: -3px;
  left: -3px;
  height: calc(100% + 6px);
  width: calc(100% - 42px);
  border-radius: 4px;
  background: repeating-linear-gradient(
    45deg,
    #ededed,
    #ededed 5px,
    #f9f9f9 5px,
    #f9f9f9 10px
  );
}

.cards__back-logo {
  position: absolute;
  bottom: 15px;
  right: 15px;
}

.cards__back-square {
  position: absolute;
  bottom: 15px;
  left: 15px;
}



                 </style>


        <div class="">
            <div class="cards">
  <div class="cards__front cards__part">
       <div class="cards__space-75">
           <span class="cards__label"><?php echo $bcards->balance->response->currency; ?> </span>
      <p style="color:white;margin: 0px;">{{ showAmount($bcards->balance->response->balances->availableBalance / 100) }}</p>
       </div>
      <div class="cards__space-25">
      <span class="cards__label">CVV</span>
     <p style="color:white;margin: 0px;"><span id="cvv"></span></p>
     </div>
    <p class="cards_numer"><span id="cardNumber"></span></p>
    <div class="cards__space-75">
      <span class="cards__label">Card holder</span>
      <p class="cards__info">{{ $cards['name_on_card']}}</p>
    </div>
    <div class="cards__space-25">
      <span class="cards__label">Expires</span>
            <p class="cards__info">{{ $cards['expiration']}}</p>
    </div>
     
  </div>
  

  
</div>   
            
            
          
        </div>



    </div>
 


</div>



