@extends($activeTemplate.'layouts.frontendnewreg')

@section('content')

<style>
    footer{
        margin-top:0px !important;
    }
</style>

<div class="container py-4 py-lg-5" id="donate">
    <div class="text-center mb-5">
        <p class="page-subtitle center">Donate us</p>
        <h1 class="font-weight-light mb-2">No act of kindness however small, is ever wasted</h1>
    </div>
    <div class="row my-4">
        @foreach($link as $singleCard)
        <div class="col-12 col-md-6 col-lg-4 col-xl-3">
            <div class="card text-center shadow-sm border-0 mb-4">
                <div class="card-img-top">
                    <div class="background">
                        <img src="{{ getImage(imagePath()['donation']['path'].'/'.$singleCard->image) }}" alt="" />
                    </div>
                </div>
                <div class="card-body">
                    <h6 class="template-primary">{{ $singleCard->currency }} {{ showAmount($singleCard->amount) }}</h6>
                    <div class="row mt-3">
                        <div class="col text-left">
                            <p class="mb-0">{{ $singleCard->description }}</p>
                            <p class="mb-0 text-mute small">@php echo rand(10,599) @endphp Donors</p>
                        </div>
                        <div class="col-auto align-self-center">
                            <a href="{{ route('pg.linkpay') }}?paylink={{ $singleCard->paylink}}" class="btn btn-sm btn-outline-danger"><i class="bi bi-heart mr-2"></i> Donate </a>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        @endforeach


                                            </div>


                                        <div class="product-pagination">
                                            <div class="theme-paggination-block">
                                                <div class="container-fluid p-0">
                                                    <div class="row">
                                                         <div class="col-md-12">
                                                            {{ $link->links() }}
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </div>




@endsection
