<!DOCTYPE html>
@php
$l = session()->get('lang');

$sl = App\Models\Language::where('code', $l)->first();

@endphp
@if($sl->text_align == 0)
<html lang="en" style='--iq-primary: #{{ $general->base_color}};'>
@else
<html lang="en" style='--iq-primary: #{{ $general->base_color}};' dir='rtl'>
@endif
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
<meta name="csrf-token" content="{{ csrf_token() }}">

    <title> {{ $general->sitename(__($pageTitle)) }}</title>
    <link href="https://fonts.googleapis.com/css?family=Lato:300,400,700,900" rel="stylesheet">
    <link rel="preconnect" href="https://fonts.gstatic.com">
    <link href="https://fonts.googleapis.com/css2?family=Yellowtail&display=swap" rel="stylesheet">

    @include('partials.seo')
     <!-- g fonts style -->
    <link href="https://fonts.googleapis.com/css?family=Roboto:300,400,500&display=swap" rel="stylesheet">
    <!-- g fonts style ends -->

    <!-- ++++++++++ Vendor or 3rd party style +++++++++++ -->

    <!-- material icons -->
    <link href="{{asset($activeTemplateTrue.'vendor/material-icons/material-icons.css')}}" rel="stylesheet">

    <!-- Bootstrap icons -->
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap-icons@1.10.4/font/bootstrap-icons.css">

    <!-- flags icons -->
    <link href="{{asset($activeTemplateTrue.'vendor/flags/css/flag-icon.min.css')}}" rel="stylesheet">

    <!-- daterange picker -->
    <link href="{{asset($activeTemplateTrue.'vendor/daterangepicker-master/daterangepicker.css')}}" rel="stylesheet">

    <!-- dataTables  -->
    <link href="{{asset($activeTemplateTrue.'vendor/DataTables-1.10.18/css/dataTables.bootstrap4.min.css')}}" rel="stylesheet">
    <link href="{{asset($activeTemplateTrue.'vendor/DataTables-1.10.18/css/responsive.dataTables.min.css')}}" rel="stylesheet">

    <!-- ++++++++++ Vendor or 3rd party style ends ++++++++++ -->

    <!-- Customized template style mandatory -->
    <link href="{{asset($activeTemplateTrue.'css/style-darkblue-dark.css')}}" rel="stylesheet" id="stylelink">
    <!-- Customized template style ends -->

    <!-- app customized style -->
    <link href="{{asset($activeTemplateTrue.'css/app-custom.css')}}" rel="stylesheet">
    <!-- app customized style ends -->
     <!-- Icons -->
     <link rel="stylesheet" type="text/css" href="{{asset('assets/newuser/css/vendors/font-awesome.css')}}" >

    <!--Slick slider css-->
    <link rel="stylesheet" type="text/css" href="{{asset('assets/newuser/css/vendors/slick.css')}}">
    <link rel="stylesheet" type="text/css" href="{{asset('assets/newuser/css/vendors/slick-theme.css')}}"  >
  <link rel="stylesheet" href="{{ asset('assets/global/css/select2.min.css') }}">
    <!-- Animate icon -->
    <link rel="stylesheet" type="text/css" href="{{asset('assets/newuser/css/vendors/animate.css')}}" >

    <!-- Themify icon -->
    <link rel="stylesheet" type="text/css" href="{{asset('assets/newuser/css/vendors/themify-icons.css')}}" >

    <!-- Bootstrap css -->

<link rel="stylesheet" href="{{asset($activeTemplateTrue.'css/line-awesome.min.css')}}">
    <link rel="stylesheet" href="{{ asset($activeTemplateTrue. 'css/color.php?color='.$general->base_color.'&secondColor='.$general->secondary_color) }}">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.css" integrity="sha512-5A8nwdMOWrSz20fDsjczgUidUBR8liPYU+WymTZP1lmY9G6Oc7HlZv156XqnsgNUzTyMefFTcsFH/tnJE/+xBg==" crossorigin="anonymous" referrerpolicy="no-referrer" />
     <link rel="stylesheet" href="{{ asset($activeTemplateTrue. 'css/color.php?color='.$general->base_color.'&secondColor='.$general->secondary_color) }}">
    <link rel="stylesheet" href="{{asset($activeTemplateTrue.'css/custom.css')}}">
    <link rel='manifest' href='{{asset('assets/global/js/manifest.json')}}'>

    <script type="module">import 'https://cdn.jsdelivr.net/npm/@pwabuilder/pwaupdate';

        const el = document.createElement('pwa-update');
        document.body.appendChild(el);
          </script>
    @stack('style-lib')

    @stack('style')

</head>

<body class="sidemenu-open">
    <div class="loader container-fluid">
        <div class="row h-100">
            <div class="col-auto align-self-center  mx-auto text-center">
                <img src="{{ getImage(imagePath()['logoIcon']['path'] .'/favicon.png') }}" width="100px" alt="" class="logo-icon mx-auto">
                <br><br>
                <div class="loader-ripple">
                    <div></div>
                    <div></div>
                </div>
                <br>
                <p>Loading...</p>
            </div>
        </div>
    </div>
        <!-- Sidebar starts -->
    @include($activeTemplate.'partials.auth_header')
    <!-- Sidebar Ends -->
    <div class="wrapper">
        <div class="content shadow-sm" style="padding-bottom:100px;">
            @include($activeTemplate.'partials.usertopnav')
    @yield('content')
    </div>
    @include($activeTemplate.'partials.footer')
    </div>


    @include($activeTemplate.'partials.theme')

<div class="win-loss-popup">
    <div class="win-loss-popup__bg">
        <div class="win-loss-popup__inner">
            <div class="win-loss-popup__body">
                <img src="{{ asset($activeTemplateTrue.'images/play/lose-message.png') }}" alt="lose message image" class="img-glow lose d-none">
                <img src="{{ asset($activeTemplateTrue.'images/play/win-message.png') }}" alt="win message image" class="img-glow win d-none">
            </div>
            <div class="win-loss-popup__footer">
                <h2 class="result-text text-white">@lang('The result is') <span class="data-result"></span></h2>
            </div>
        </div>
    </div>
</div>
<script src="{{asset($activeTemplateTrue.'js/jquery-3.3.1.min.js')}}"></script>
    <script src="{{asset($activeTemplateTrue.'js/popper.min.js')}}"></script>
    <script src="{{asset($activeTemplateTrue.'vendor/bootstrap/js/bootstrap.min.js')}}"></script>
    <script src="{{asset($activeTemplateTrue.'vendor/cookie/jquery.cookie.js')}}"></script>



      <!-- Slick JavaScript -->
      <script src="{{asset($activeTemplateTrue.'js/slick.min.js')}}"></script>
      <!-- Select2 JavaScript -->
      <script src="{{asset($activeTemplateTrue.'js/select2.min.js')}}"></script>

      <!-- lottie JavaScript -->
      <script src="{{asset($activeTemplateTrue.'js/lottie.js')}}"></script>
      <!-- am core JavaScript -->
      <script src="{{asset($activeTemplateTrue.'js/core.js')}}"></script>

      <!-- am animated JavaScript -->
      <script src="{{asset($activeTemplateTrue.'js/animated.js')}}"></script>
      <!-- am kelly JavaScript -->
      <script src="{{asset($activeTemplateTrue.'js/kelly.js')}}"></script>


      <script src="{{asset($activeTemplateTrue.'js/custom.js')}}"></script>


<script src="{{asset($activeTemplateTrue.'js/nice-select.js')}}"></script>
 <script src="{{ asset('assets/global/js/select2.min.js') }}"></script>

 <script src="{{asset($activeTemplateTrue.'js/jquery.magnific-popup.min.js')}}"></script>
 <!-- Global js ends -->

 <!-- Vendor or 3rd party js -->

 <!-- date range picker -->
 <script src="{{asset($activeTemplateTrue.'vendor/daterangepicker-master/moment.min.js')}}"></script>
 <script src="{{asset($activeTemplateTrue.'vendor/daterangepicker-master/daterangepicker.js')}}"></script>
 <script src="{{asset($activeTemplateTrue.'js/smooth-scrollbar.js')}}"></script>
 <script src="{{asset($activeTemplateTrue.'js/countdown.min.js')}}"></script>
 <!-- Vendor or 3rd party js ends -->
 <script src="{{asset($activeTemplateTrue.'vendor/daterangepicker-master/moment.min.js')}}"></script>
 <script src="{{asset($activeTemplateTrue.'vendor/daterangepicker-master/daterangepicker.js')}}"></script>
  <!-- Chart js -->
  <script src="{{asset($activeTemplateTrue.'vendor/chartjs/Chart.min.js')}}"></script>
  <script src="{{asset($activeTemplateTrue.'vendor/chartjs/utils.js')}}"></script>
  <!-- Circular progress js  -->
  <script src="{{asset($activeTemplateTrue.'vendor/circle-progress/circle-progress.min.js')}}"></script>
  <!-- Sparklines js  -->
  <script src="{{asset($activeTemplateTrue.'vendor/sparklines/jquery.sparkline.min.js')}}"></script>
 <!-- DataTables js  -->
 <script src="{{asset($activeTemplateTrue.'vendor/DataTables-1.10.18/js/jquery.dataTables.min.js')}}"></script>
 <script src="{{asset($activeTemplateTrue.'vendor/DataTables-1.10.18/js/dataTables.responsive.min.js')}}"></script>
 <script src="{{asset($activeTemplateTrue.'vendor/DataTables-1.10.18/js/dataTables.bootstrap4.min.js')}}"></script>
 <!-- DataTables ends -->

<!-- vector maps js  -->
<script src="{{asset($activeTemplateTrue.'vendor/jquery-jvectormap/jquery-jvectormap.js')}}"></script>
<script src="{{asset($activeTemplateTrue.'vendor/jquery-jvectormap/jquery-jvectormap-world-mill-en.js')}}"></script>
 <!-- Customized template js mandatory -->
 <script src="{{asset($activeTemplateTrue.'js/main.js')}}"></script>
 <!-- Customized template js ends -->

 <!-- theme picker -->
 <script src="{{asset($activeTemplateTrue.'js/style-picker.js')}}"></script>
 <!-- theme picker ends -->




<script src="{{asset('assets/newuser/js/bootstrapValidator.min.js')}}"></script>
<script src="{{asset('assets/newuser/js/jquery-smartwizard/dist/js/jquery.smartWizard.js')}}"></script>
<script src="{{asset('assets/newuser/js/airtime.js')}}"></script>

<script src="{{asset($activeTemplateTrue.'js/app.js')}}"></script>

  </script>

    @stack('script-lib')

    @stack('script')

    @include('partials.plugins')

    @include('partials.notify')
<!-- Customized page level js -->
<script>
    'use strict'
    $(document).ready(function () {

        /* data Table 1*/
        var table1 = $('#datatable1').DataTable({
            'responsive': true,
            'searching': true,
            "autoWidth": false,
            "bLengthChange": true,
            "pageLength": 10,
            "columnDefs": [{
                "targets": 5,
                "orderable": false
            }]
        });

        /* data Table 2*/
        var table2 = $('#datatable2').DataTable({
            'responsive': true,
            'searching': true,
            "autoWidth": false,
            "bLengthChange": true,
            "pageLength": 10,
        });

        var table3 = $('#datatable3').DataTable({
            'responsive': true,
            'searching': true,
            "autoWidth": false,
            "bLengthChange": true,
            "pageLength": 5,
        });

/* line chart summary box */
var configsummaryone = {
        type: 'line',
        data: {
            labels: ['July', 'Aug', 'Sep', 'Oct'],
            datasets: [{
                label: 'My First dataset',
                backgroundColor: 'transparent',
                borderColor: '#FFFFFF',
                borderWidth: '1.5',
                radius: 0,
                data: [
						randomScalingFactor(),
						randomScalingFactor(),
						randomScalingFactor(),
						randomScalingFactor()
					],
                fill: false,
				}]
        },
        options: {
            maintainAspectRatio: false,
            responsive: true,
            title: {
                display: false,
                text: 'Chart.js Line Chart'
            },
            tooltips: {
                mode: 'index',
                intersect: false,
            },
            hover: {
                mode: 'nearest',
                intersect: true
            },
            legend: {
                display: false,
            },
            tooltips: {
                enabled: false,
            },
            scales: {
                xAxes: [{
                    display: false,
                    scaleLabel: {
                        display: true,
                        labelString: 'Month'
                    }
					}],
                yAxes: [{
                    display: false,
                    scaleLabel: {
                        display: true,
                        labelString: 'Value'
                    }
					}]
            }
        }
    };


    var ctxsummaryone = document.getElementById('summary-one').getContext('2d');
    window.myLineChart = new Chart(ctxsummaryone, configsummaryone);

    setInterval(function () {
        configsummaryone.data.datasets.forEach(function (dataset) {
            dataset.data = dataset.data.map(function () {
                return randomScalingFactor();
            });

        });
        window.myLineChart.update();
    }, 1500);

    var ctxsummarytwo = document.getElementById('summary-two').getContext('2d');
    window.myLineChart2 = new Chart(ctxsummarytwo, configsummaryone);

    setInterval(function () {
        configsummaryone.data.datasets.forEach(function (dataset) {
            dataset.data = dataset.data.map(function () {
                return randomScalingFactor();
            });

        });
        window.myLineChart2.update();
    }, 1100);

    });

    $(window).on('resize', function () {
        //var table1 = $('#datatable1').DataTable().draw()
    })

</script>
    <script>
        $(document).ready(function (){

            "use strict";

            if(!{{ $general->dark }}){
                $('#version').addClass('light-version');
                $('.logo img').attr('src', '{{getImage(imagePath()['logoIcon']['path'] .'/logo.png')}}');

            }else{
                $('#version').removeClass('light-version');
                $('.logo img').attr('src', '{{getImage(imagePath()['logoIcon']['path'] .'/darkLogo.png')}}');
            }
 $(document).on('click touchstart', function (e){
            $('.win-loss-popup').removeClass('active');
        });
        });


    </script>
<script>

    $(document).ready(function () {
        $(".langselectable").on("click", function () {
            console.log('I ran');
            var selected = $(this);
            console.log(selected);
            var data = selected.data('lang');
            window.location.href = "{{route('home')}}/change/" + data;
        });

 /* style selected color scheme */
 if ($.type($.cookie("styleselected")) != 'undefined' && $.cookie("styleselected") != '') {
        var currentstyle = $('#stylelink');
        var paths = "{{asset($activeTemplateTrue.'css/')}}";
        var endpath = ".css";
        $('head').append('<link href="' + paths + '/' + $.cookie(`styleselected`) + endpath + '" rel="stylesheet" id="stylelink">');
        setTimeout(function () {
            currentstyle.remove();
        }, 200);

    } else {
        var paths = "{{asset($activeTemplateTrue.'css/')}}";
        var endpath = ".css";
        $('head').append('<link href="' + paths + '/' + '"css/style-darkblue-dark.css" rel="stylesheet" id="stylelink">');
    }


    });



    </script>

    <script>
$('.style-picker').on('click', function () {
        $('.loader').fadeIn();
        $('.style-picker').removeClass('active')
        $(this).addClass('active')
        var currentstyle = $('#stylelink');
        var applystyle = $(this).attr('data-target');
        var paths = "{{asset($activeTemplateTrue.'css/')}}";
        $('head').append('<link href="' + paths + '/' + applystyle + '.css" rel="stylesheet" id="stylelink">');
        setTimeout(function () {
            currentstyle.remove();
            $('.loader').fadeOut('slow');
        }, 500)

        $.cookie("styleselected", applystyle, {
            expires: 7
        });
    });

    </script>
</body>
</html>
