
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">

    <title> {{ $general->sitename(__($pageTitle)) }}</title>
    <link href="https://fonts.googleapis.com/css?family=Lato:300,400,700,900" rel="stylesheet">
    <link rel="preconnect" href="https://fonts.gstatic.com">
    <link href="https://fonts.googleapis.com/css2?family=Yellowtail&display=swap" rel="stylesheet">

    @include('partials.seo')

 <!-- fonts -->
    <link href="https://fonts.googleapis.com/css2?family=Manrope:wght@300;400;500;600;700;800&display=swap"
        rel="stylesheet">
    <link
        href="https://fonts.googleapis.com/css2?family=DM+Sans:ital,wght@0,400;0,500;0,700;1,400;1,500;1,700&display=swap"
        rel="stylesheet">

    <link rel="stylesheet" href="{{asset($activeTemplateTrue.'home/vendors/animate/animate.min.css')}}" />
    <link rel="stylesheet" href="{{asset($activeTemplateTrue.'home/vendors/animate/custom-animate.css')}}" />
    <link rel="stylesheet" href="{{asset($activeTemplateTrue.'home/vendors/bootstrap/css/bootstrap.min.css')}}" />
    <link rel="stylesheet" href="{{asset($activeTemplateTrue.'home/vendors/bxslider/jquery.bxslider.css')}}" />
    <link rel="stylesheet" href="{{asset($activeTemplateTrue.'home/vendors/fontawesome/css/all.min.css')}}" />
    <link rel="stylesheet" href="{{asset($activeTemplateTrue.'home/vendors/jquery-magnific-popup/jquery.magnific-popup.css')}}" />
    <link rel="stylesheet" href="{{asset($activeTemplateTrue.'home/vendors/jquery-ui/jquery-ui.css')}}" />

    <link rel="stylesheet" href="{{asset($activeTemplateTrue.'home/vendors/odometer/odometer.min.css')}}" />
    <link rel="stylesheet" href="{{asset($activeTemplateTrue.'home/vendors/owl-carousel/owl.carousel.min.css')}}" />
    <link rel="stylesheet" href="{{asset($activeTemplateTrue.'home/vendors/owl-carousel/owl.theme.default.min.css')}}" />
    <link rel="stylesheet" href="{{asset($activeTemplateTrue.'home/vendors/swiper/swiper.min.css')}}" />
    <link rel="stylesheet" href="{{asset($activeTemplateTrue.'home/vendors/vegas/vegas.min.css')}}" />
    <link rel="stylesheet" href="{{asset($activeTemplateTrue.'home/vendors/thm-icons/style.css')}}">
    <link rel="stylesheet" href="{{asset($activeTemplateTrue.'home/vendors/language-switcher/polyglot-language-switcher.css')}}">
    <!-- Module css -->
    <link rel="stylesheet" href="{{asset($activeTemplateTrue.'home/css/module-css/01-header-section.css')}}">
    <link rel="stylesheet" href="{{asset($activeTemplateTrue.'home/css/module-css/02-banner-section.css')}}">
    <link rel="stylesheet" href="{{asset($activeTemplateTrue.'home/css/module-css/03-about-section.css')}}">
    <link rel="stylesheet" href="{{asset($activeTemplateTrue.'home/css/module-css/04-fact-counter-section.css')}}">
    <link rel="stylesheet" href="{{asset($activeTemplateTrue.'home/css/module-css/05-testimonial-section.css')}}">
    <link rel="stylesheet" href="{{asset($activeTemplateTrue.'home/css/module-css/06-partner-section.css')}}">
    <link rel="stylesheet" href="{{asset($activeTemplateTrue.'home/css/module-css/07-footer-section.css')}}">
    <link rel="stylesheet" href="{{asset($activeTemplateTrue.'home/css/module-css/08-blog-section.css')}}">
    <link rel="stylesheet" href="{{asset($activeTemplateTrue.'home/css/module-css/09-breadcrumb-section.css')}}">
    <link rel="stylesheet" href="{{asset($activeTemplateTrue.'home/css/module-css/10-contact.css')}}">

    <!-- Template styles -->
    <link rel="stylesheet" href="{{asset($activeTemplateTrue.'home/css/style.css')}}" />
    <link rel="stylesheet" href="{{asset($activeTemplateTrue.'home/css/responsive.css')}}" />
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.css" integrity="sha512-5A8nwdMOWrSz20fDsjczgUidUBR8liPYU+WymTZP1lmY9G6Oc7HlZv156XqnsgNUzTyMefFTcsFH/tnJE/+xBg==" crossorigin="anonymous" referrerpolicy="no-referrer" />
    <link rel="stylesheet" href="{{ asset($activeTemplateTrue. 'css/color.php?color='.$general->base_color.'&secondColor='.$general->secondary_color) }}">
    <link rel='manifest' href='{{asset('assets/global/js/manifest.json')}}'>
    <script type="module">import 'https://cdn.jsdelivr.net/npm/@pwabuilder/pwaupdate';

        const el = document.createElement('pwa-update');
        document.body.appendChild(el);
          </script>
    @stack('style-lib')

    @stack('style')

</head>

<body>

    @stack('fbComment')



    <!-- Start preloader -->
    <div class="loader-wrap">
        <div class="preloader">
            <div class="preloader-close">x</div>
            <div id="handle-preloader" class="handle-preloader">
                <div class="animation-preloader">
                    <div class="spinner"></div>
                    <div class="txt-loading">
                        <span data-text-preloader="l" class="letters-loading">
                            l
                        </span>
                        <span data-text-preloader="o" class="letters-loading">
                            O
                        </span>
                        <span data-text-preloader="a" class="letters-loading">
                            a
                        </span>
                        <span data-text-preloader="d" class="letters-loading">
                            d
                        </span>
                        <span data-text-preloader="i" class="letters-loading">
                            i
                        </span>
                        <span data-text-preloader="n" class="letters-loading">
                            n
                        </span>
                        <span data-text-preloader="g" class="letters-loading">
                            g
                        </span>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <!-- End preloader -->

      <div class="page-wrapper">

    @include($activeTemplate.'partials.new_header')
    @include($activeTemplate.'partials.banner')


    @yield('content')

    @include($activeTemplate.'partials.footerhome')
</div>
    @php
    $header = getContent('header.content', true);
    $socialMedias = getContent('social_icon.element');
     $advert = getContent('dashboardadverts.content', true);
    $user = Auth::user();
      $general = App\Models\GeneralSetting::first();
@endphp
    <div class="mobile-nav__wrapper">
        <div class="mobile-nav__overlay mobile-nav__toggler"></div>
        <div class="mobile-nav__content">
            <span class="mobile-nav__close mobile-nav__toggler">
                <i class="fas fa-plus"></i>
            </span>
            <div class="logo-box">
                <a href="{{ route('home') }}" aria-label="logo image">
                    <img src="{{getImage(imagePath()['logoIcon']['path'] .'/logo.png')}}" alt="" style="max-height: 75px;"/>
                </a>
            </div>
            <div class="mobile-nav__container"></div>
            <ul class="mobile-nav__contact list-unstyled">
                <li>
                    <i class="fa fa-envelope"></i>
                    <a href="mailto:{{ @$header->data_values->email }}">{{ @$header->data_values->email }}</a>
                </li>
                <li>
                    <i class="fa fa-phone"></i>
                    <a href="tel:{{ @$header->data_values->phone }}">{{ @$header->data_values->phone }}</a>
                </li>
            </ul>
            <div class="mobile-nav__social">

            </div>
        </div>
    </div>
    <a href="#" data-target="html" class="scroll-to-target scroll-to-top">
        <i class="icon-chevron"></i>
    </a>

   <script src="{{asset($activeTemplateTrue.'home/vendors/jquery/jquery-3.6.0.min.js')}}"></script>
    <script src="{{asset($activeTemplateTrue.'home/vendors/bootstrap/js/bootstrap.bundle.min.js')}}"></script>
    <script src="{{asset($activeTemplateTrue.'home/vendors/bxslider/jquery.bxslider.min.js')}}"></script>
    <script src="{{asset($activeTemplateTrue.'home/vendors/circleType/jquery.circleType.js')}}"></script>
    <script src="{{asset($activeTemplateTrue.'home/vendors/circleType/jquery.lettering.min.js')}}"></script>
    <script src="{{asset($activeTemplateTrue.'home/vendors/isotope/isotope.js')}}"></script>
    <script src="{{asset($activeTemplateTrue.'home/vendors/jquery-ajaxchimp/jquery.ajaxchimp.min.js')}}"></script>
    <script src="{{asset($activeTemplateTrue.'home/vendors/jquery-appear/jquery.appear.min.js')}}"></script>
    <script src="{{asset($activeTemplateTrue.'home/vendors/jquery-magnific-popup/jquery.magnific-popup.min.js')}}"></script>
    <script src="{{asset($activeTemplateTrue.'home/vendors/jquery-migrate/jquery-migrate.min.js')}}"></script>
    <script src="{{asset($activeTemplateTrue.'home/vendors/jquery-ui/jquery-ui.js')}}"></script>
    <script src="{{asset($activeTemplateTrue.'home/vendors/jquery-validate/jquery.validate.min.js')}}"></script>

    <script src="{{asset($activeTemplateTrue.'home/vendors/odometer/odometer.min.js')}}"></script>
    <script src="{{asset($activeTemplateTrue.'home/vendors/owl-carousel/owl.carousel.min.js')}}"></script>
    <script src="{{asset($activeTemplateTrue.'home/vendors/swiper/swiper.min.js')}}"></script>
    <script src="{{asset($activeTemplateTrue.'home/vendors/vegas/vegas.min.js')}}"></script>
    <script src="{{asset($activeTemplateTrue.'home/vendors/wnumb/wNumb.min.js')}}"></script>
    <script src="{{asset($activeTemplateTrue.'home/vendors/wow/wow.js')}}"></script>
    <script src="{{asset($activeTemplateTrue.'home/vendors/extra-scripts/jquery.paroller.min.js')}}"></script>
    <script src="{{asset($activeTemplateTrue.'home/vendors/language-switcher/jquery.polyglot.language.switcher.js')}}"></script>

    <!-- Template js -->
    <script src="{{asset($activeTemplateTrue.'home/js/custom.js')}}"></script>




<!--<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.3.1/jquery.min.js"></script>
 latest jquery
 <script src="{{asset('assets/newuser/js/jquery-3.3.1.min.js')}}"></script>

 fly cart ui jquery
<script src="{{asset('assets/newuser/js/jquery-ui.min.js')}}"></script>

 exitintent jquery
<script src="{{asset('assets/newuser/js/jquery.exitintent.js')}}"></script>
<script src="{{asset('assets/newuser/js/exit.js')}}"></script>

 slick js
<script src="{{asset('assets/newuser/js/slick.js')}}"></script>

 menu js
<script src="{{asset('assets/newuser/js/menu.js')}}"></script>

 lazyload js
<script src="{{asset('assets/newuser/js/lazysizes.min.js')}}"></script>

 Bootstrap js
<script src="{{asset('assets/newuser/js/bootstrap.bundle.min.js')}}"></script>

 Bootstrap Notification js
<script src="{{asset('assets/newuser/js/bootstrap-notify.min.js')}}"></script>

 Fly cart js
<script src="{{asset('assets/newuser/js/fly-cart.js')}}"></script>

 Theme js
<script src="{{asset('assets/newuser/js/theme-setting.js')}}"></script>
<script src="{{asset('assets/newuser/js/script.js')}}"></script>
<script src="{{asset($activeTemplateTrue.'js/rafcounter.min.js')}}"></script>
<script src="{{asset($activeTemplateTrue.'js/nice-select.js')}}"></script>
<script src="{{asset('assets/newuser/js/jquery-smartwizard/dist/js/jquery.smartWizard.js')}}"></script>
 Airtime js

<script src="{{asset('assets/newuser/js/airtime.js')}}"></script>
<script src="{{asset('assets/newuser/js/apto.js')}}"></script>-->
    <!-- <script src="{{asset($activeTemplateTrue.'js/jquery-3.3.1.min.js')}}"></script>
    <script src="{{asset($activeTemplateTrue.'js/bootstrap.min.js')}}"></script>
    <script src="{{asset($activeTemplateTrue.'js/rafcounter.min.js')}}"></script>
    <script src="{{asset($activeTemplateTrue.'js/nice-select.js')}}"></script>
    <script src="{{asset($activeTemplateTrue.'js/owl.min.js')}}"></script>
    <script src="{{asset($activeTemplateTrue.'js/main.js')}}"></script> -->

    @stack('script-lib')

    @stack('script')

    @include('partials.plugins')

    @include('partials.notify')

    <script>

        $(document).ready(function (){

            "use strict";



            $(".langSel").on("change", function() {
                window.location.href = "{{route('home')}}/change/"+$(this).val() ;
            });

            if(!{{ $general->dark }}){
                $('#version').addClass('light-version');
                $('.logo img').attr('src', '{{getImage(imagePath()['logoIcon']['path'] .'/logo.png')}}');

            }else{
                $('#version').removeClass('light-version');
                $('.logo img').attr('src', '{{getImage(imagePath()['logoIcon']['path'] .'/darkLogo.png')}}');
            }

        });
    </script>

</body>
</html>
