@php
    $banner = getContent('banner.content', true);
@endphp

@if(request()->routeIs('home'))

 <!-- Swiper -->
 <div class="swiper homebanner two">
    <div class="swiper-wrapper">
        <div class="swiper-slide bgswiper">
            <div class="container h-100">
                <div class="row h-100 align-items-center justify-content-center">
                    <div class="col-5 col-md-4 col-lg-5 pr-4 pr-lg-5">
                        <img src="{{ getImage('assets/images/frontend/banner/' .@$banner->data_values->banner1, '1820x635') }}" alt="" class="mw-100 left-in" />
                    </div>
                    <div class="col-12 col-md-8 col-lg-7">
                        <h1 class="display-4 font-weight-bold mb-sm-4">{{ __(@$banner->data_values->banner1heading) }}</h1>
                        <h4 class="font-weight-normal mb-2 mb-md-3 mb-lg-4 subtext">{{ __(@$banner->data_values->banner1subtext) }}</h4>
                        <a href="{{route('user.login')}}" class="btn btn-primary text-white text-uppercase px-3">{{ __(@$banner->data_values->button1text) }} <i class="material-icons d-none d-md-inline-block md-18">arrow_forward</i></a>
                        <a href="{{route('user.register')}}" class="btn btn-outline-primary text-white text-uppercase px-3 ml-2">{{ __(@$banner->data_values->button2text) }}</a>

                    </div>
                </div>
            </div>
        </div>
        <div class="swiper-slide bgswiper">
            <div class="container h-100">
                <div class="row h-100 align-items-center justify-content-center">
                    <div class="col-7 col-md-4 col-lg-5 pr-md-4 pr-lg-5">
                        <img src="{{ getImage('assets/images/frontend/banner/' .@$banner->data_values->banner2, '1820x635') }}" alt="" class="mw-100 left-in" />
                    </div>
                    <div class="col-12 col-md-8 col-lg-7">
                        <h1 class="display-4 font-weight-bold mb-sm-4">{{ __(@$banner->data_values->banner2heading) }}</h1>
                        <h4 class="font-weight-normal mb-2 mb-md-3 mb-lg-4 subtext">{{ __(@$banner->data_values->banner2subtext) }}</h4>
                        <a href="{{route('user.login')}}" class="btn btn-primary text-white text-uppercase px-3">{{ __(@$banner->data_values->button1text) }} <i class="material-icons d-none d-md-inline-block md-18">arrow_forward</i></a>
                        <a href="{{route('user.register')}}" class="btn btn-outline-primary text-white text-uppercase px-3 ml-2">{{ __(@$banner->data_values->button2text) }}</a>
                    </div>
                </div>
            </div>
        </div>

    </div>
    <!-- <div class="swiper-button-next two"></div>
    <div class="swiper-button-prev two"></div> -->
    <div class="swiper-pagination"></div>
</div>


<!-- Banner Section -->



@else
<!-- Page Header Section -->

<!-- Page Header Section -->
@endif
