@php
$header = getContent('header.content', true);
$advert = getContent('dashboardadverts.content', true);
$socialMedias = getContent('social_icon.element');
$user = Auth::user();
$general = App\Models\GeneralSetting::first();
$games = App\Models\Game::where('status',1)->get(['image','name','id','max_limit','min_limit','win','invest_back','alias']);
@endphp
@php
    $breadcrumbContent = getContent('breadcrumb.content',true)
@endphp
@auth
  <!-- Header container starts -->
  <div class="container-fluid header-container">
                <div class="row header pb-1">
                    <div class="container-fluid " id="header-container">
                        <div class="row">
                            <!-- Header starts -->
                            <nav class="navbar col-12 navbar-expand ">
                                <button class="menu-btn btn btn-link btn-sm mr-3" type="button">
                                    <i class="material-icons">menu</i>
                                </button>
                                <div class="d-none d-sm-flex col-1 col-sm-6 col-xl-3">
                                    <div class="alert alert-warning mb-0 px-2 py-1 ">
                                        <marquee class="text-marque my-0 vm">{{ $advert->data_values->scroll }}</marquee>
                                    </div>
                                </div>
                                <div class="collapse navbar-collapse" id="navbarSupportedContent">
                                    <!-- large desktop market rates starts -->
                                    <div class="mx-auto col d-none d-xxl-inline cryptonews">
                                        <!-- Crypto pricing -->
                                        <script src="https://price-static.crypto.com/latest/public/static/widget/index.js"></script>
                                        <div id="crypto-widget-CoinMarquee" data-transparent="true" data-design="classic" data-coin-ids="166,1,136,382,29,1381,1986,20,1120"></div>
                                    </div>
                                     <!-- large desktop market rates ends -->

                                    <!-- icons dropwdowns starts -->
                                    <ul class="navbar-nav ml-auto">
                                        <!-- flag dropdown-->
                                        <li class="nav-item mt-sm-2 dropdown select-flag">
                                            <a class="nav-link dropdown-toggle" href="#" id="navbarDropdown0" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                                                @foreach($language as $item)
                                                @if(session('lang') == $item->code)
                                                <span class="flag-icon flag-icon-{{$item->flag}}"></span>
                                                @endif
                                                @endforeach

                                            </a>
                                            <div class="dropdown-menu " aria-labelledby="navbarDropdown0">

                                                @foreach($language as $item)
                                                <a class="dropdown-item langselectable" href="#" data-lang="{{$item->code}}"><span class="flag-icon flag-icon-{{$item->flag}}"></span> <span class="ml-2">{{ __($item->name) }}</span></a>
@endforeach
                                            </div>
                                        </li>

                                        <!-- cart dropdown-->
                                        <li class="nav-item dropdown d-none d-sm-flex">
                                            <a class="nav-link" href="{{ route('user.checkout') }}" id="navbarDropdown3" role="button" aria-haspopup="true" aria-expanded="false">
                                                <i class="material-icons">local_mall</i>
                                                <span class="counter-small bg-danger"></span>
                                            </a>

                                        </li>

                                        {{-- <!-- message dropdown-->
                                        <li class="nav-item dropdown">
                                            <a class="nav-link dropdown-toggle" href="#" id="navbarDropdown5" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                                                <i class="material-icons">email</i>
                                                <span class="counter bg-danger">1</span>
                                            </a>
                                            <div class="dropdown-menu dropdown-menu-sm-left dropdown-menu-center no-defaults pt-0 overflow-hidden" aria-labelledby="navbarDropdown5">
                                                <div class="position-relative text-center rounded">
                                                    <div class="background">
                                                        <img src="assets/img/background-part.png" alt="">
                                                    </div>
                                                    <div class="py-3 text-white">
                                                        <h5 class="font-weight-normal">Messages</h5>
                                                        <p>Updates and Status</p>
                                                    </div>

                                                </div>
                                                <div class="scroll-y h-320 d-block">
                                                    <a class="dropdown-item border-top new" href="#">
                                                        <div class="row">
                                                            <div class="col-auto align-self-center">
                                                                <i class="material-icons text-template-primary">local_mall</i>
                                                            </div>
                                                            <div class="col pl-0">
                                                                <div class="row mb-1">
                                                                    <div class="col">
                                                                        <p class="mb-0">New Order received</p>
                                                                    </div>
                                                                    <div class="col-auto pl-0">
                                                                        <p class="small text-mute text-trucated mt-1">2/12/2019</p>
                                                                    </div>
                                                                </div>
                                                                <p class="small text-mute">Order from Anand Mhatva recieved for Electronics with 6 quanity.</p>
                                                            </div>

                                                        </div>
                                                    </a>
                                                    <a class="dropdown-item border-top " href="#">
                                                        <div class="row">
                                                            <div class="col-auto align-self-center">
                                                                <i class="material-icons text-template-primary">account_balance_wallet</i>
                                                            </div>
                                                            <div class="col pl-0">
                                                                <div class="row mb-1">
                                                                    <div class="col">
                                                                        <p class="mb-0">Balance has benn added</p>
                                                                    </div>
                                                                    <div class="col-auto pl-0">
                                                                        <p class="small text-mute text-trucated mt-1">2/12/2019</p>
                                                                    </div>
                                                                </div>
                                                                <p class="small text-mute">Order from Anand Mhatva recieved for Electronics with 6 quanity.</p>
                                                            </div>
                                                        </div>
                                                    </a>
                                                    <a class="dropdown-item border-top " href="#">
                                                        <div class="row">
                                                            <div class="col-auto align-self-center">
                                                                <i class="material-icons text-template-primary">account_circle</i>
                                                            </div>
                                                            <div class="col pl-0">
                                                                <div class="row mb-1">
                                                                    <div class="col">
                                                                        <p class="mb-0">Friend request received</p>
                                                                    </div>
                                                                    <div class="col-auto pl-0">
                                                                        <p class="small text-mute text-trucated mt-1">2/12/2019</p>
                                                                    </div>
                                                                </div>
                                                                <p class="small text-mute">New friend request received from Mickey John from Australia</p>
                                                            </div>
                                                        </div>
                                                    </a>
                                                    <a class="dropdown-item border-top" href="#">
                                                        <div class="row">
                                                            <div class="col-auto align-self-center">
                                                                <i class="material-icons text-template-primary">check_circle</i>
                                                            </div>
                                                            <div class="col pl-0">
                                                                <div class="row mb-1">
                                                                    <div class="col">
                                                                        <p class="mb-0">Email Updated</p>
                                                                    </div>
                                                                    <div class="col-auto pl-0">
                                                                        <p class="small text-mute text-trucated mt-1">2/12/2019</p>
                                                                    </div>
                                                                </div>
                                                                <p class="small text-mute">Your email change request has been successfully updated</p>
                                                            </div>
                                                        </div>
                                                    </a>
                                                    <a class="dropdown-item border-top " href="#">
                                                        <div class="row">
                                                            <div class="col-auto align-self-center">
                                                                <i class="material-icons text-template-primary">account_balance_wallet</i>
                                                            </div>
                                                            <div class="col pl-0">
                                                                <div class="row mb-1">
                                                                    <div class="col">
                                                                        <p class="mb-0">Balance has benn added</p>
                                                                    </div>
                                                                    <div class="col-auto pl-0">
                                                                        <p class="small text-mute text-trucated mt-1">2/12/2019</p>
                                                                    </div>
                                                                </div>
                                                                <p class="small text-mute">Order from Anand Mhatva recieved for Electronics with 6 quanity.</p>
                                                            </div>
                                                        </div>
                                                    </a>
                                                    <a class="dropdown-item border-top " href="#">
                                                        <div class="row">
                                                            <div class="col-auto align-self-center">
                                                                <i class="material-icons text-template-primary">account_circle</i>
                                                            </div>
                                                            <div class="col pl-0">
                                                                <div class="row mb-1">
                                                                    <div class="col">
                                                                        <p class="mb-0">Friend request received</p>
                                                                    </div>
                                                                    <div class="col-auto pl-0">
                                                                        <p class="small text-mute text-trucated mt-1">2/12/2019</p>
                                                                    </div>
                                                                </div>
                                                                <p class="small text-mute">New friend request received from Mickey John from Australia</p>
                                                            </div>
                                                        </div>
                                                    </a>
                                                    <a class="dropdown-item border-top" href="#">
                                                        <div class="row">
                                                            <div class="col-auto align-self-center">
                                                                <i class="material-icons text-template-primary">check_circle</i>
                                                            </div>
                                                            <div class="col pl-0">
                                                                <div class="row mb-1">
                                                                    <div class="col">
                                                                        <p class="mb-0">Email Updated</p>
                                                                    </div>
                                                                    <div class="col-auto pl-0">
                                                                        <p class="small text-mute text-trucated mt-1">2/12/2019</p>
                                                                    </div>
                                                                </div>
                                                                <p class="small text-mute">Your email change request has been successfully updated</p>
                                                            </div>
                                                        </div>
                                                    </a>
                                                </div>
                                            </div>
                                        </li> --}}

                                        <!-- profile dropdown-->
                                        <li class="nav-item dropdown ml-0 ml-sm-4">
                                            <a class="nav-link dropdown-toggle profile-link" href="#" id="navbarDropdown6" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                                                <figure class="rounded avatar avatar-30">
                                                    <img src="{{ getImage(imagePath()['profile']['user']['path'].'/'. @$user->image,imagePath()['profile']['user']['size']) }}" alt="">
                                                </figure>
                                                <div class="username-text ml-2 mr-2 d-none d-lg-inline-block">
                                                    <h6 class="username">{{ $user->firstname }} <br><small>Balance: {{ __($general->cur_text) }} {{ showAmount($user->balance) }}</small></h6>
                                                </div>
                                                <figure class="rounded avatar avatar-30 d-none d-md-inline-block">
                                                    <i class="material-icons">expand_more</i>
                                                </figure>
                                            </a>
                                            <div class="dropdown-menu dropdown-menu-right w-300 pt-0 overflow-hidden" aria-labelledby="navbarDropdown6">
                                                <div class="position-relative text-center rounded py-5">
                                                    <div class="background">
                                                        <img src="{{asset('assets/img/background-part.png')}}" alt="">
                                                    </div>
                                                </div>
                                                <div class="text-center mb-3 top-60 z-2">
                                                    <figure class="avatar avatar-120 mx-auto shadow"><img src="{{ getImage(imagePath()['profile']['user']['path'].'/'. @$user->image,imagePath()['profile']['user']['size']) }}" alt=""></figure>
                                                </div>
                                                <h5 class="text-center mb-0">{{ $user->firstname }}</h5>
                                                <p class="text-center mb-1">{{ __($general->cur_text) }} {{ showAmount($user->balance) }} <a href="{{ route('user.deposit') }}" class="btn px-0 btn-sm vm ml-2">+ Add</a></p>
                                                <p class="text-center text-secondary fs13">Account Balance</p>
                                                <a class="dropdown-item border-top" href="{{ route('user.profile.setting') }}">
                                                    <div class="row">
                                                        <div class="col-auto align-self-center">
                                                            <i class="material-icons text-success">account_box</i>
                                                        </div>
                                                        <div class="col pl-0">
                                                            <p class="mb-0">My Profile</p>
                                                            <p class="small text-mute text-trucated">Update details and information</p>
                                                        </div>
                                                        <div class="col-auto align-self-center text-right pl-0">
                                                            <i class="material-icons text-mute small">chevron_right</i>
                                                        </div>
                                                    </div>
                                                </a>

                                                <a class="dropdown-item border-top" href="{{ route('user.kyc.index') }}">
                                                    <div class="row">
                                                        <div class="col-auto align-self-center">
                                                            <i class="material-icons text-warning">contacts</i>
                                                        </div>
                                                        <div class="col pl-0">
                                                            <p class="mb-0">KYC</p>
                                                            <p class="small text-mute text-trucated">Update your KYC Detail</p>
                                                        </div>
                                                        <div class="col-auto align-self-center text-right pl-0">
                                                            <i class="material-icons text-mute small">chevron_right</i>
                                                        </div>
                                                    </div>
                                                </a>
                                                <a class="dropdown-item border-top" href="{{ route('user.twofactor') }}">
                                                    <div class="row">
                                                        <div class="col-auto align-self-center">
                                                            <i class="material-icons text-primary">phonelink_lock</i>
                                                        </div>
                                                        <div class="col pl-0">
                                                            <p class="mb-0">2FA</p>
                                                            <p class="small text-mute text-trucated">Set two factor authentication</p>
                                                        </div>
                                                        <div class="col-auto align-self-center text-right pl-0">
                                                            <i class="material-icons text-mute small">chevron_right</i>
                                                        </div>
                                                    </div>
                                                </a>
                                                <a class="dropdown-item border-top" href="{{ route('user.change.password') }}">
                                                    <div class="row">
                                                        <div class="col-auto align-self-center">
                                                            <i class="material-icons text-primary">lock</i>
                                                        </div>
                                                        <div class="col pl-0">
                                                            <p class="mb-0">Password Settings</p>
                                                            <p class="small text-mute text-trucated">Set two factor authentication</p>
                                                        </div>
                                                        <div class="col-auto align-self-center text-right pl-0">
                                                            <i class="material-icons text-mute small">chevron_right</i>
                                                        </div>
                                                    </div>
                                                </a>

                                                <a class="dropdown-item border-top" href="{{ route('user.logout') }}">
                                                    <div class="row">
                                                        <div class="col-auto align-self-center">
                                                            <i class="material-icons text-danger">exit_to_app</i>
                                                        </div>
                                                        <div class="col pl-0">
                                                            <p class="mb-0 text-danger">Logout</p>
                                                        </div>
                                                        <div class="col-auto align-self-center text-right pl-0">
                                                            <i class="material-icons text-mute small text-danger">chevron_right</i>
                                                        </div>
                                                    </div>
                                                </a>
                                            </div>
                                        </li>
                                    </ul>
                                    <!-- icons dropwdowns starts -->
                                </div>
                            </nav>
                            <!-- Header ends -->
                        </div>
                    </div>
                </div>
            </div>

            <div class="row border-bottom mx-0 py-2 align-items-center">
                <div class="col">
                    <div class="font-weight-light mt-2 mb-0 h5">{{__($pageTitle)}}</div>
                    <nav aria-label="breadcrumb" class="px-0">
                        <ol class="breadcrumb mb-0 px-0 py-2">
                            <li class="breadcrumb-item active"></li>
                        </ol>
                    </nav>
                </div>
                <div class="col-auto">
                </div>
            </div>
            <!-- Header container ends -->
@endauth
