@php
    $partners = getContent('partner.content', true);
@endphp
 <!-- Banking For Your Needs -->
 <div class=" container-fluid position-relative">
    <div class="background-slide-image" style="background-image: url({{ getImage('assets/images/frontend/partner/' .@$partners->data_values->image, '1920x965') }})"></div>
    <div class="row position-relative">
        <div class="container my-4 main-container pb-5">
            <div class="row align-items-center my-4">
                <div class="col">
                    <p class="page-subtitle ">our Vision</p>
                    <h1 class="font-weight-light mb-2">{{ __(@$partners->data_values->heading) }}</h1>
                    <p class="mb-4 lead text-mute">{{ __(@$partners->data_values->subheading) }}</p>
                </div>
                <div class="col-auto">
                    <a href="#contactus" class="btn btn-lg btn-outline-primary text-white"><i class="bi bi-chat-dots h1 my-1 d-block"></i></a>
                </div>
            </div>
            <div class="btn-group nav nav-tabs mb-4 mb-xl-5" role="tablist" aria-label="Basic example">
                <button type="button" class="btn btn-primary nav-link active" id="tabhome125-tab" data-toggle="tab" href="#tabhome125" role="tab" aria-controls="tabhome125" aria-selected="true">
                    <span class="h5 font-weight-light d-block mt-3">Banking for</span>
                    <span class="h2 d-block mb-3">Individuals</span>
                </button>
                <button type="button" class="btn btn-primary nav-link" id="tabhome225-tab" data-toggle="tab" href="#tabhome225" role="tab" aria-controls="tabhome225" aria-selected="false">
                    <span class="h5 font-weight-light d-block mt-3">Banking for</span>
                    <span class="h2 d-block mb-3">Companies</span>
                </button>
            </div>
            <div class="tab-content">
                <div class="tab-pane fade active show" id="tabhome125" role="tabpanel" aria-labelledby="tabhome125-tab">

                    <div class="row">
                        <div class="col-12 col-md-6 col-lg-4">
                            <div class="card shdaow-sm">
                                <div class="card-body">
                                    <div class="avatar avatar-60 mb-4">
                                        <i class="bi bi-infinity h1 vm mb-0"></i>
                                    </div>
                                    <h4 class="font-weight-light mb-2">{{ __(@$partners->data_values->individualheading1) }}</h4>
                                    <p class="mb-4 lead text-mute">{{ __(@$partners->data_values->individualsubheading1) }}</p>
                                    <p class="text-mute mb-0">* {{ __(@$partners->data_values->individualpoint1) }}</p>
                                </div>
                            </div>
                        </div>
                        <div class="col-12 col-md-6 col-lg-4">
                            <div class="card shdaow-sm">
                                <div class="card-body">
                                    <div class="avatar avatar-60 mb-4">
                                        <i class="bi bi-credit-card-2-front h1 vm mb-0"></i>
                                    </div>
                                    <h4 class="font-weight-light mb-2">{{ __(@$partners->data_values->individualheading2) }}</h4>
                                    <p class="mb-4 lead text-mute">{{ __(@$partners->data_values->individualsubheading2) }}</p>
                                    <p class="text-mute mb-0">* {{ __(@$partners->data_values->individualpoint2) }}</p>
                                </div>
                            </div>
                        </div>
                        <div class="col-12 col-md-6 col-lg-4">
                            <div class="card shdaow-sm">
                                <div class="card-body">
                                    <div class="avatar avatar-60 mb-4">
                                        <i class="bi bi-cash-stack h1 vm mb-0"></i>
                                    </div>
                                    <h4 class="font-weight-light mb-2">{{ __(@$partners->data_values->individualheading3) }}</h4>
                                    <p class="mb-4 lead text-mute">{{ __(@$partners->data_values->individualsubheading3) }}</p>
                                    <p class="text-mute mb-0">* {{ __(@$partners->data_values->individualpoint3) }}</p>
                                </div>
                            </div>
                        </div>
                    </div>


                </div>
                <div class="tab-pane fade" id="tabhome225" role="tabpanel" aria-labelledby="tabhome225-tab">

                    <div class="row">
                        <div class="col-12 col-md-6 col-lg-4">
                            <div class="card shdaow-sm">
                                <div class="card-body">
                                    <div class="avatar avatar-60 mb-4">
                                        <i class="bi bi-infinity h1 vm mb-0"></i>
                                    </div>
                                    <h4 class="font-weight-light mb-2">{{ __(@$partners->data_values->companyheading1) }}</h4>
                                    <p class="mb-4 lead text-mute">{{ __(@$partners->data_values->companysubheading1) }}</p>
                                    <p class="text-mute mb-0">* {{ __(@$partners->data_values->companypoint1) }}</p>
                                </div>
                            </div>
                        </div>
                        <div class="col-12 col-md-6 col-lg-4">
                            <div class="card shdaow-sm">
                                <div class="card-body">
                                    <div class="avatar avatar-60 mb-4">
                                        <i class="bi bi-shop h1 vm mb-0"></i>
                                    </div>
                                    <h4 class="font-weight-light mb-2">{{ __(@$partners->data_values->companyheading2) }}</h4>
                                    <p class="mb-4 lead text-mute">{{ __(@$partners->data_values->companysubheading2) }}</p>
                                    <p class="text-mute mb-0">* {{ __(@$partners->data_values->companypoint2) }}</p>
                                </div>
                            </div>
                        </div>
                        <div class="col-12 col-md-6 col-lg-4">
                            <div class="card shdaow-sm">
                                <div class="card-body">
                                    <div class="avatar avatar-60 mb-4">
                                        <i class="bi bi-credit-card h1 vm mb-0"></i>
                                    </div>
                                    <h4 class="font-weight-light mb-2">{{ __(@$partners->data_values->companyheading3) }}</h4>
                                    <p class="mb-4 lead text-mute">{{ __(@$partners->data_values->companysubheading3) }}</p>
                                    <p class="text-mute mb-0">* {{ __(@$partners->data_values->companypoint3) }}</p>
                                </div>
                            </div>
                        </div>
                    </div>

                </div>
            </div>

        </div>
    </div>
</div>
<!-- Banking For Your Needs ends -->
