@extends($activeTemplate.'layouts.auth_master')
@section('content')

<div class="container  main-container" id="main-container">
    <div class="card m-4">
        <div class="card-header">
            <div class="row">
                <div class="col-12 col-sm">
                    <h5 class="title my-2">ACH Bank Transfer</h5>
                </div>
            </div>
        </div>

        <div class="row m-4">
            <div class="col-xl-8 offset-2 ">
                <div class="card">
                    <div class="card-header">
                        <h5 class="card-title">@lang('Direct ACH Transfers')</h5>
                        <br>
                        <p>@lang('You can directly transfer from your authorised bank accounts, ACH transfers are credited to your wallet in 24-48hours upon settlement')</p>
                    </div>
                    <div class="card-body">
                        <div class="d-flex justify-content-center">
                            <div>
                                <form action="{{ route('user.processbank') }}" method="POST">
                                    @csrf
                                    <div class="form-row m-4">
                                        <div class="form-group col-md-7 ">
                                            <label>@lang('Amount')</label>
                                            <input placeholder="Enter Amount" type="number" step="0.01" min="0" required name="amount" id="amount" class="form-control">
                                        </div>
                                        <div class="form-group col-auto mt-1">

                                            <div class="mt-4">
                                                <button type="submit" class="btn btn-primary"><i class="fa fa-bank" aria-hidden="true"></i> @lang('Proceed')</button>
                                            </div>
                                        </div>
                                    </div>
                                </form>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>

@endsection