@extends($activeTemplate.'layouts.auth_master')
@section('content')

<div class="container main-container" id="main-container">
  <div class="card mb-4">
    <div class="card-header">
      <div class="row">
        <div class="col-12 col-sm">
          <h5 class="title my-2">Purchased Gift Card</h5>
        </div>
        <div class="col-12 col-sm-auto">

        </div>
      </div>
    </div>

    <div class="card-body">
      <table class="table mx-0 datatable1" id="datatable1">
        <thead class="">
          <tr>
            <th class="desktop tablet mobile" data-priority="2">@lang('Date')</th>
            <th class="desktop tablet mobile" data-priority="2">@lang('Trx')</th>
            <th class="desktop tablet mobile" data-priority="2">@lang('Category')</th>
            <th class="desktop tablet mobile" data-priority="2">@lang('Sub Category')</th>
            <th class="desktop tablet mobile" data-priority="2">@lang('Details')</th>
          </tr>
        </thead>
        <tbody>

          @forelse($cards as $index => $data)

          <tr>
            <td data-label="@lang('Date')">
              {{ showDateTime($data->created_at) }}
            </td>
            <td data-label="@lang('Trx')">
              {{ $data->trx }}
            </td>
            <td data-label="@lang('Category')">
              {{ __($data->subCategory->category->name) }}
            </td>
            <td data-label="@lang('Sub Category')">
              {{ __($data->subCategory->name) }}
            </td>
            <td data-label="@lang('Details')">
              <a href="{{ route('user.card.details', $data->id) }}" class="bg--primary btn-sm">
                <i class="fa fa-desktop"></i>
              </a>
            </td>
          </tr>
          @empty
          <tr>
            <td colspan="100%">@lang('Data Not Found')!</td>
          </tr>
          @endforelse

        </tbody>
      </table>
    </div>

   

  </div>
</div>


@endsection