 @extends($activeTemplate.'layouts.auth_master')

@section('content')
<div class="container main-container" id="main-container">
    <div class="card mb-4">
        <div class="card-header">
            <div class="row">
                <div class="col-12 col-sm">
                    <h5 class="title my-2">Make Payment</h5>
                </div>
            </div>
        </div>
<!--section start-->
        <section class="login-page section-b-space">
            <div class="container">
                <div class="row">
                    <div class="col-lg-6">
                        <h3>Confirm Payment</h3>
                        <div class="theme-card">
                            <form class="theme-form" method="POST" action="{{ route('user.pg.processpayment')}}">
                                @csrf
                                <input type="hidden" name="paylink" value="{{ $paylink->paylink }}">
                                <h3>pay to: <span>{{ $paylink->merchant_email }}</span></h3>
                                <h4>Amount: {{ $paylink->currency }} {{ showAmount($paylink->amount,2) }}</h4>
                                <h4>USD Amount: {{ $debitamount }}</h4>
                           
                                <button class="btn btn-primary">Confirm</button>
                            </form>
                        </div>
                    </div>
                    <div class="col-lg-6">
                        <h3>Balance</h3>
                        <div class="theme-card">
                            <h3>Balance: {{ $general->cur_text }} {{ $user->balance }}</h3>
                           
                           
                          
                           
                        </div>
                    </div>
                
                </div>
            </div>
        
        </section>
    </div>
</div>
<!-- Account Section Starts Here -->

@endsection