@extends($activeTemplate.'layouts.auth_master')
@section('content')
   
 <div class="container main-container" id=" main-container">
    <div class="col-lg-12  card">    <!-- section start -->
    <section>
        <div class="collection-wrapper">
            <div class="container">
                <div class="row" style="align-items: center;">
                    <div class="col-lg-4" style="padding:25px;">
                          @if((strpos($subCategory->image, "https://") !== false) || (strpos($subCategory->image, "http://")) !== false)
        <div class="card card-product col-md-12 mb-3" style=" width:100%;box-shadow: 3px 5px 10px black;border-radius: 25px;background: URL(https://res.cloudinary.com/liquorexpress/image/fetch/{{ $subCategory->image }});background-repeat: no-repeat;background-size: cover;background-clip: border-box;background-position: center;">
          @else
           <div class="card card-product col-md-12 mb-3" style="width:100%;box-shadow: 3px 5px 10px black;border-radius: 25px;background: URL({{ getImage(imagePath()['sub_category']['path'].'/'.$subCategory->image) }});background-repeat: no-repeat;background-size: cover;background-clip: border-box;background-position: center;">
             @endif

               <div class="card-header text-center mb-2"><img src="{{ pinimage() }}" class="" alt="" srcset=""></div>


             <div class="card-body text-center mb-2 mt-5">
             @if((strpos($subCategory->image, "https://") !== false) || (strpos($subCategory->image, "http://")) !== false)
                <img src="https://res.cloudinary.com/liquorexpress/image/fetch/{{ $subCategory->image }}" alt="@lang('card')" style="border-radius: 10px;box-shadow: 0px 2px 10px black;" class="w-100">
                @else
            <img src="{{ getImage(imagePath()['sub_category']['path'].'/'.$subCategory->image) }}" alt="payment" style="border-radius: 10px;box-shadow: 0px 2px 10px black;" class="w-100">
        @endif


        </div>
                    </div>

                    </div>
                    <div class="col-lg-8 rtl-text" style="padding:25px;">
                        <div class="product-right" style="
    border: 1px solid #c6c6c6;
    padding: 35px;
    border-radius: 10px;
"
">
                            <h2 class="text-primary">{{ __($subCategory->name) }}</h2>
                            
                            
                            <div class="rating-section">
                                <div class="rating">
                                    @php $p = rand(3,5) @endphp
                                    @for ($i = 0; $i < $p; $i++)
                                    <i class="fa fa-star"></i>
                                    @endfor
                                </div>
                                <h6>@php echo rand(10,599) @endphp ratings</h6>
                            </div>
                            
                            
                            

                            <h3 class="price-detail"> {{ __($general->cur_text) }} Min: {{ showAmount($convertedMinPrice) }} | Max: {{ showAmount($convertedMaxPrice) }}</h3>

                            <h3 class="price-detail">{{ $subCategory->currency_code }} Min: {{ showAmount($subCategory->min_price) }} | Max: {{ showAmount($subCategory->max_price) }}</h3>
                           

                             <form action="{{ route('user.prepaycard.orderprepaid') }}" method="post">
                            <div id="selectSize" class="addeffect-section product-description border-product">

                @csrf
                <input type="hidden" required name="sku" value="{{ $subCategory->sku }}">
               
                <input type="hidden" required name="currency" value="{{ $subCategory->currency_code }}">
               
                 
                

  


                                <div class="row">
                                    <div class="col-md-6">
                                        <h5 class="d-block mb-2" style="color:red;">@lang('Enter Price') {{ $subCategory->currency_code }}:</h5>

                                        <input required type="number" name="price" placeholder="{{ showAmount($subCategory->min_price) }}"  min="{{ showAmount($subCategory->min_price) }}" max="{{ showAmount($subCategory->max_price) }}" class="form-control">

                                    </div>
                                    
                                </div>
                            </div>
                            <div class="product-buttons mt-4"><button type="submit" 
                                    class="btn btn-primary hover-solid btn-animation"><i class="fa fa-shopping-cart me-1"
                                        aria-hidden="true"></i> Cart</button>
                            </div>
                            </form>
                         
                            <div class="label-section mt-2">
                               
                               
                                <span class="label-text" style="color:red;">Activation Fee: </span>
                                 <span class="" style="color:red;">{{ $subCategory->currency_code }} {{ $subCategory->activation_fee }}</span>
                            </div>
                           @if($subCategory->balance)
                            <div class="label-section mt-2">
                               
                               
                                <span class="label-text" style="color:green;">MasterCard Balance: </span>
                                 <span class="" style="color:red;">USD {{ $subCategory->balance }}</span>
                            </div>
                           @endif
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </section>
    <!-- Section ends -->
  <!-- product-tab starts -->
  </div>
   @if($details)
<div class="col-lg-12  card"> 
    <section class="tab-product m-0">
        <div class="container">
            <div class="row">
                <div class="col-sm-12 col-lg-12">
                    <div class="card">
                       <div class="card-header">
                            <h3 class="card-title">Details</h3>
                            </div>
                        

                    </ul>
                    <div class="card-body" id="top-tabContent">
                        <div class="" id="top-home" role="tabpanel"
                            aria-labelledby="top-home-tab">
                            <div class="product-tab-discription">
                                <div class="part">
                                     @foreach($details->content as $d)
    <?php print_r($d->description);?>
    @endforeach
                                </div>

                            </div>
                        </div>

                    </div>
                </div>
            </div>
        </div>
    </section>
    <!-- product-tab ends -->
        @endif
</div>

</div>



@endsection

